<?php
class quotation_approval extends CI_Controller {
	function quotation_approval()
	{
		parent::__construct();
		if($this->session->userdata('user_logged_in') != true)
		{
			$this->session->set_flashdata('response','<div class="alert alert-error">Unauthorised access. Login required.</div>');
			redirect('login');
		}
		$this->load->library('form_validation');
		$this->load->library('pagination');
		$this->load->model('furniture_quotation_model');
		$this->load->helper('num_words');
	}
	function index($page=1)
	{
		/*$config['per_page']		= 5;
		$config['base_url'] 	= site_url('approval/quotation_approval/index/');
		$config['total_rows'] 	= $this->crud_model->get_count('logos',array());

		$offset = ($page-1) * $config['per_page'];

		$data['records'] = $this->crud_model->get('logos',
		array(),
		$config['per_page'],
		$offset
		);

		$this->pagination->initialize($config);
		$data['pagination'] = $this->pagination->create_links();*/
		
		
		$query= $this->db->query("SELECT A.`id`,A.`user_id`,A.`module`,A.`approval_type_1`,A.`approval_type_2`,U.`user_name` FROM `approval` A LEFT JOIN `users` U ON U.`user_id`=A.`user_id`");
		$ListData	=	$query->result_array();
		$data['records']    = $query->result_array();
		$this->load->view('templates/header');
		$this->load->view('approval/list',$data);
		$this->load->view('templates/footer');
	}
	function create()
	{
		$data['user_list'] = $this->crud_model->get_list('user_id','user_name','users',array(""=>' --Select User-- '));
		$this->load->view('templates/header');
		$this->load->view('approval/create',$data);
		$this->load->view('templates/footer');
	}
	function edit($id)
	{
		$where=array(
				'logo_id' => $id
		);
		$records=$this->crud_model->get('logos',$where);
		if($records != false){		
		
			//true section
			$data['company_name']	= $records[0]['company_name'];
			$data['logo_filename']	= $records[0]['logo_filename'];
			$data['logo_id'] = $records[0]['logo_id'];
			$this->load->view('templates/header');
			$this->load->view('masters/logos/edit',$data);
			$this->load->view('templates/footer');

		}
		else{
			//false section
			$this->session->set_flashdata('response','<div class="alert alert-error">error</div>');
			redirect('masters/logos');
		}

	}
	function do_insert()
	{
		$error	='';
		$this->form_validation->set_rules('quotation_approval_type_1', 'Quotation Approval 1', 'required');
		$this->form_validation->set_rules('job_order_approval_type_1', 'Job Order Approval 1', 'required');
		$this->form_validation->set_rules('work_order_approval_type_1', 'Work Order Approval 1', 'required');
		$this->form_validation->set_rules('invoice_approval_type_1', 'Invoice Approval 1', 'required');
		$this->form_validation->set_rules('receipt_approval_type_1', 'Receipt Approval 1', 'required');

		

		if ($this->form_validation->run() == FALSE) {
			// false section
			$this->session->set_flashdata('response','<div class="alert alert-error">'.validation_errors().'</div>',':old:');
			$data['user_list'] = $this->crud_model->get_list('user_id','user_name','users',array(""=>' --Select User-- '));
			$this->load->view('templates/header');
			$this->load->view('approval/create',$data);
			$this->load->view('templates/footer');
		} elseif($error!='') {
			$this->session->set_flashdata('response','<div class="alert alert-error">'.$error.'</div>',':old:');
			$data['user_list'] = $this->crud_model->get_list('user_id','user_name','users',array(""=>' --Select User-- '));
			$this->load->view('templates/header');
			$this->load->view('approval/create',$data);
			$this->load->view('templates/footer');			
			
		} else {
			$result_data= array();
			$rr = 'false';
			$quotation_approval_type_1=$this->input->post('quotation_approval_type_1');
			$quotation_approval_type_2=$this->input->post('quotation_approval_type_2');
			$job_order_approval_type_1=$this->input->post('job_order_approval_type_1');
			$job_order_approval_type_2=$this->input->post('job_order_approval_type_2');
			$work_order_approval_type_1=$this->input->post('work_order_approval_type_1');
			$work_order_approval_type_2=$this->input->post('work_order_approval_type_2');
			$invoice_approval_type_1=$this->input->post('invoice_approval_type_1');
			$invoice_approval_type_2=$this->input->post('invoice_approval_type_2');
			$receipt_approval_type_1=$this->input->post('receipt_approval_type_1');
			$receipt_approval_type_2=$this->input->post('receipt_approval_type_2');
			
			if ($quotation_approval_type_1=='1'){
				$data=array(
				 'module'=> 1,
				 'user_id' => NULL,
				 'approval_type_1' => $this->input->post('quotation_approval_type_1')
				 );
				
				 $rr= $this->db->insert('approval', $data);
			}
			if ($quotation_approval_type_1=='2'){
				$data=array(
				 'module'=> 1,
				 'user_id' => $this->input->post('quotation_approval_1_user_1'),
				 'approval_type_1' => $this->input->post('quotation_approval_type_1')
				 );
				$rr= $this->db->insert('approval', $data);
			}
			if ($quotation_approval_type_1=='3'){
				$data=array(
				 	array(
						 'module'=> 1,
						 'user_id' => $this->input->post('quotation_approval_1_user_1'),
						 'approval_type_1' => $this->input->post('quotation_approval_type_1')
					   ),
				    array(
					     'module'=> 1,
						 'user_id' => $this->input->post('quotation_approval_1_user_2'),
						 'approval_type_1' => $this->input->post('quotation_approval_type_1')
					)
				 );
				 $rr= $this->db->insert_batch('approval', $data);
			}
			if ($quotation_approval_type_1=='4'){
				$data=array(
					 array(
					     'module'=> 1,
						 'user_id' => $this->input->post('quotation_approval_1_user_1'),
						 'approval_type_1' => $this->input->post('quotation_approval_type_1')
					   ),
					   array(
					     'module'=> 1,
						 'user_id' => $this->input->post('quotation_approval_1_user_2'),
						 'approval_type_1' => $this->input->post('quotation_approval_type_1')
					   )
				 );
				 $rr= $this->db->insert_batch('approval', $data);
			}
			if ($quotation_approval_type_2=='2'){
				$data=array(
				 'module'=> 1,
				 'user_id' => $this->input->post('quotation_approval_2_user_1'),
				 'approval_type_2' => $this->input->post('quotation_approval_type_2')
				 );
				 $rr= $this->db->insert('approval', $data);
			}
			if ($quotation_approval_type_2=='3'){
				$data=array(
				 	array(
						 'module'=> 1,
						 'user_id' => $this->input->post('quotation_approval_2_user_1'),
						 'approval_type_2' => $this->input->post('quotation_approval_type_2')
					   ),
				    array(
						 'module'=> 1,
						 'user_id' => $this->input->post('quotation_approval_2_user_2'),
						 'approval_type_2' => $this->input->post('quotation_approval_type_2')
					)
				 );
				$rr= $this->db->insert_batch('approval', $data);
			}
			if ($quotation_approval_type_2=='4'){
				$data=array(
				 	array(
						 'module'=> 1,
						 'user_id' => $this->input->post('quotation_approval_2_user_1'),
						 'approval_type_2' => $this->input->post('quotation_approval_type_2')
					   ),
				    array(
						 'module'=> 1,
						 'user_id' => $this->input->post('quotation_approval_2_user_2'),
						 'approval_type_2' => $this->input->post('quotation_approval_type_2')
					)
				 );
				 $rr= $this->db->insert_batch('approval', $data);
			}
			
			//Job Order
			if ($job_order_approval_type_1=='1'){
				$data=array(
				 'module'=> 2,
				 'user_id' => NULL,
				 'approval_type_1' => $this->input->post('job_order_approval_type_1')
				 );
				
				 $rr= $this->db->insert('approval', $data);
			}
			if ($job_order_approval_type_1=='2'){
				$data=array(
				 'module'=> 2,
				 'user_id' => $this->input->post('job_order_approval_1_user_1'),
				 'approval_type_1' => $this->input->post('job_order_approval_type_1')
				 );
				$rr= $this->db->insert('approval', $data);
			}
			if ($job_order_approval_type_1=='3'){
				$data=array(
				 	array(
						 'module'=> 2,
						 'user_id' => $this->input->post('job_order_approval_1_user_1'),
						 'approval_type_1' => $this->input->post('job_order_approval_type_1')
					   ),
				    array(
					     'module'=> 2,
						 'user_id' => $this->input->post('job_order_approval_1_user_2'),
						 'approval_type_1' => $this->input->post('job_order_approval_type_1')
					)
				 );
				 $rr= $this->db->insert_batch('approval', $data);
			}
			if ($job_order_approval_type_1=='4'){
				$data=array(
					 array(
					     'module'=> 2,
						 'user_id' => $this->input->post('job_order_approval_1_user_1'),
						 'approval_type_1' => $this->input->post('job_order_approval_type_1')
					   ),
					   array(
					     'module'=> 2,
						 'user_id' => $this->input->post('job_order_approval_1_user_2'),
						 'approval_type_1' => $this->input->post('job_order_approval_type_1')
					   )
				 );
				 $rr= $this->db->insert_batch('approval', $data);
			}
			if ($job_order_approval_type_2=='2'){
				$data=array(
				 'module'=> 2,
				 'user_id' => $this->input->post('job_order_approval_2_user_1'),
				 'approval_type_2' => $this->input->post('job_order_approval_type_2')
				 );
				 $rr= $this->db->insert('approval', $data);
			}
			if ($job_order_approval_type_2=='3'){
				$data=array(
				 	array(
						 'module'=> 2,
						 'user_id' => $this->input->post('job_order_approval_2_user_1'),
						 'approval_type_2' => $this->input->post('job_order_approval_type_2')
					   ),
				    array(
						 'module'=> 2,
						 'user_id' => $this->input->post('job_order_approval_2_user_2'),
						 'approval_type_2' => $this->input->post('job_order_approval_type_2')
					)
				 );
				$rr= $this->db->insert_batch('approval', $data);
			}
			if ($job_order_approval_type_2=='4'){
				$data=array(
				 	array(
						 'module'=> 2,
						 'user_id' => $this->input->post('job_order_approval_2_user_1'),
						 'approval_type_2' => $this->input->post('job_order_approval_type_2')
					   ),
				    array(
						 'module'=> 2,
						 'user_id' => $this->input->post('job_order_approval_2_user_2'),
						 'approval_type_2' => $this->input->post('job_order_approval_type_2')
					)
				 );
				 $rr= $this->db->insert_batch('approval', $data);
			}
			
			//Work Order
			if ($work_order_approval_type_1=='1'){
				$data=array(
				 'module'=> 3,
				 'user_id' => NULL,
				 'approval_type_1' => $this->input->post('work_order_approval_type_1')
				 );
				
				 $rr= $this->db->insert('approval', $data);
			}
			if ($work_order_approval_type_1=='2'){
				$data=array(
				 'module'=> 3,
				 'user_id' => $this->input->post('work_order_approval_1_user_1'),
				 'approval_type_1' => $this->input->post('work_order_approval_type_1')
				 );
				$rr= $this->db->insert('approval', $data);
			}
			if ($work_order_approval_type_1=='3'){
				$data=array(
				 	array(
						 'module'=> 3,
						 'user_id' => $this->input->post('work_order_approval_1_user_1'),
						 'approval_type_1' => $this->input->post('work_order_approval_type_1')
					   ),
				    array(
					     'module'=> 3,
						 'user_id' => $this->input->post('work_order_approval_1_user_2'),
						 'approval_type_1' => $this->input->post('work_order_approval_type_1')
					)
				 );
				 $rr= $this->db->insert_batch('approval', $data);
			}
			if ($work_order_approval_type_1=='4'){
				$data=array(
					 array(
					     'module'=> 3,
						 'user_id' => $this->input->post('work_order_approval_1_user_1'),
						 'approval_type_1' => $this->input->post('work_order_approval_type_1')
					   ),
					   array(
					     'module'=> 3,
						 'user_id' => $this->input->post('work_order_approval_1_user_2'),
						 'approval_type_1' => $this->input->post('work_order_approval_type_1')
					   )
				 );
				 $rr= $this->db->insert_batch('approval', $data);
			}
			if ($work_order_approval_type_2=='2'){
				$data=array(
				 'module'=> 3,
				 'user_id' => $this->input->post('work_order_approval_2_user_1'),
				 'approval_type_2' => $this->input->post('work_order_approval_type_2')
				 );
				 $rr= $this->db->insert('approval', $data);
			}
			if ($work_order_approval_type_2=='3'){
				$data=array(
				 	array(
						 'module'=> 3,
						 'user_id' => $this->input->post('work_order_approval_2_user_1'),
						 'approval_type_2' => $this->input->post('work_order_approval_type_2')
					   ),
				    array(
						 'module'=> 3,
						 'user_id' => $this->input->post('work_order_approval_2_user_2'),
						 'approval_type_2' => $this->input->post('work_order_approval_type_2')
					)
				 );
				$rr= $this->db->insert_batch('approval', $data);
			}
			if ($work_order_approval_type_2=='4'){
				$data=array(
				 	array(
						 'module'=> 3,
						 'user_id' => $this->input->post('work_order_approval_2_user_1'),
						 'approval_type_2' => $this->input->post('work_order_approval_type_2')
					   ),
				    array(
						 'module'=> 3,
						 'user_id' => $this->input->post('work_order_approval_2_user_2'),
						 'approval_type_2' => $this->input->post('work_order_approval_type_2')
					)
				 );
				 $rr= $this->db->insert_batch('approval', $data);
			}
			//Invoice
			if ($invoice_approval_type_1=='1'){
				$data=array(
				 'module'=> 4,
				 'user_id' => NULL,
				 'approval_type_1' => $this->input->post('invoice_approval_type_1')
				 );
				
				 $rr= $this->db->insert('approval', $data);
			}
			if ($invoice_approval_type_1=='2'){
				$data=array(
				 'module'=> 4,
				 'user_id' => $this->input->post('invoice_approval_1_user_1'),
				 'approval_type_1' => $this->input->post('invoice_approval_type_1')
				 );
				$rr= $this->db->insert('approval', $data);
			}
			if ($invoice_approval_type_1=='3'){
				$data=array(
				 	array(
						 'module'=> 4,
						 'user_id' => $this->input->post('invoice_approval_1_user_1'),
						 'approval_type_1' => $this->input->post('invoice_approval_type_1')
					   ),
				    array(
					     'module'=> 4,
						 'user_id' => $this->input->post('invoice_approval_1_user_2'),
						 'approval_type_1' => $this->input->post('invoice_approval_type_1')
					)
				 );
				 $rr= $this->db->insert_batch('approval', $data);
			}
			if ($invoice_approval_type_1=='4'){
				$data=array(
					 array(
					     'module'=> 4,
						 'user_id' => $this->input->post('invoice_approval_1_user_1'),
						 'approval_type_1' => $this->input->post('invoice_approval_type_1')
					   ),
					   array(
					     'module'=> 4,
						 'user_id' => $this->input->post('invoice_approval_1_user_2'),
						 'approval_type_1' => $this->input->post('invoice_approval_type_1')
					   )
				 );
				 $rr= $this->db->insert_batch('approval', $data);
			}
			if ($invoice_approval_type_2=='2'){
				$data=array(
				 'module'=> 4,
				 'user_id' => $this->input->post('invoice_approval_2_user_1'),
				 'approval_type_2' => $this->input->post('invoice_approval_type_2')
				 );
				 $rr= $this->db->insert('approval', $data);
			}
			if ($invoice_approval_type_2=='3'){
				$data=array(
				 	array(
						 'module'=> 4,
						 'user_id' => $this->input->post('invoice_approval_2_user_1'),
						 'approval_type_2' => $this->input->post('invoice_approval_type_2')
					   ),
				    array(
						 'module'=> 4,
						 'user_id' => $this->input->post('invoice_approval_2_user_2'),
						 'approval_type_2' => $this->input->post('invoice_approval_type_2')
					)
				 );
				$rr= $this->db->insert_batch('approval', $data);
			}
			if ($invoice_approval_type_2=='4'){
				$data=array(
				 	array(
						 'module'=> 4,
						 'user_id' => $this->input->post('invoice_approval_2_user_1'),
						 'approval_type_2' => $this->input->post('invoice_approval_type_2')
					   ),
				    array(
						 'module'=> 4,
						 'user_id' => $this->input->post('invoice_approval_2_user_2'),
						 'approval_type_2' => $this->input->post('invoice_approval_type_2')
					)
				 );
				 $rr= $this->db->insert_batch('approval', $data);
			}
			
			//Receipt
			if ($receipt_approval_type_1=='1'){
				$data=array(
				 'module'=> 5,
				 'user_id' => NULL,
				 'approval_type_1' => $this->input->post('receipt_approval_type_1')
				 );
				
				 $rr= $this->db->insert('approval', $data);
			}
			if ($receipt_approval_type_1=='2'){
				$data=array(
				 'module'=> 5,
				 'user_id' => $this->input->post('receipt_approval_1_user_1'),
				 'approval_type_1' => $this->input->post('receipt_approval_type_1')
				 );
				$rr= $this->db->insert('approval', $data);
			}
			if ($receipt_approval_type_1=='3'){
				$data=array(
				 	array(
						 'module'=> 5,
						 'user_id' => $this->input->post('receipt_approval_1_user_1'),
						 'approval_type_1' => $this->input->post('receipt_approval_type_1')
					   ),
				    array(
					     'module'=> 5,
						 'user_id' => $this->input->post('receipt_approval_1_user_2'),
						 'approval_type_1' => $this->input->post('receipt_approval_type_1')
					)
				 );
				 $rr= $this->db->insert_batch('approval', $data);
			}
			if ($receipt_approval_type_1=='4'){
				$data=array(
					 array(
					     'module'=> 5,
						 'user_id' => $this->input->post('receipt_approval_1_user_1'),
						 'approval_type_1' => $this->input->post('receipt_approval_type_1')
					   ),
					   array(
					     'module'=> 5,
						 'user_id' => $this->input->post('receipt_approval_1_user_2'),
						 'approval_type_1' => $this->input->post('receipt_approval_type_1')
					   )
				 );
				 $rr= $this->db->insert_batch('approval', $data);
			}
			if ($receipt_approval_type_2=='2'){
				$data=array(
				 'module'=> 5,
				 'user_id' => $this->input->post('receipt_approval_2_user_1'),
				 'approval_type_2' => $this->input->post('receipt_approval_type_2')
				 );
				 $rr= $this->db->insert('approval', $data);
			}
			if ($receipt_approval_type_2=='3'){
				$data=array(
				 	array(
						 'module'=> 5,
						 'user_id' => $this->input->post('receipt_approval_2_user_1'),
						 'approval_type_2' => $this->input->post('receipt_approval_type_2')
					   ),
				    array(
						 'module'=> 5,
						 'user_id' => $this->input->post('receipt_approval_2_user_2'),
						 'approval_type_2' => $this->input->post('receipt_approval_type_2')
					)
				 );
				$rr= $this->db->insert_batch('approval', $data);
			}
			if ($receipt_approval_type_2=='4'){
				$data=array(
				 	array(
						 'module'=> 5,
						 'user_id' => $this->input->post('receipt_approval_2_user_1'),
						 'approval_type_2' => $this->input->post('receipt_approval_type_2')
					   ),
				    array(
						 'module'=> 5,
						 'user_id' => $this->input->post('receipt_approval_2_user_2'),
						 'approval_type_2' => $this->input->post('receipt_approval_type_2')
					)
				 );
				 $rr= $this->db->insert_batch('approval', $data);
			}
			
			//$rr=$this->crud_model->insert('approval',$result_data);
		
			// redirect
			$this->session->set_flashdata('response','<div class="alert alert-success">Approval added successfully</div>');
			redirect('approval/quotation_approval');
			
		}

	}

	function do_update() {
	
		$this->form_validation->set_rules('company_name', 'Company Name', 'required|max_length[100]');
		
		
		$logos_id=$this->input->post('logo_id');
		if ($this->form_validation->run() == FALSE) {
			// false section
			$where=array("logo_id"=>$logo_id);
				
			$records=$this->crud_model->get('logos',$where);
			
			if($records != false) {
				//true section
				$data['company_name']			 = $records[0]['company_name'];
				
				$this->session->set_flashdata('response','<div class="alert alert-error">'.validation_errors().'</div>',':old:');
				$this->load->view('templates/header');
				
								
				$this->load->view('masters/logos/edit',$data);
				$this->load->view('templates/footer');

			}
			else {
				//false section
				$this->session->set_flashdata('response','<div class="alert alert-error">error</div>');
				redirect('masters/logos');
			}
		} else {// true section

			$company_name =  $this->input->post('company_name');
			$logo_id   =  $this->input->post('logo_id');

			$where=array(
				'logo_id'  => $logo_id
			);
			
			$data=array(
			  'company_name' =>$company_name
			);

			$records=$this->crud_model->update('logos',$data,$where);

			$this->session->set_flashdata('response','<div class="alert alert-success">Company logo updated</div>');
			redirect('masters/logos');
		}
	}
	function do_delete($id=0)
	{
		$where=array(
			'logo_id'=> $id
		);
		$records=$this->crud_model->get('logos',$where);
		$filename = $records[0]["logo_filename"];
		unlink(FCPATH."images/logos/".$filename);
		
		$this->crud_model->delete('logos',$where);
		$this->session->set_flashdata('response','<div class="alert alert-success">Company logo deleted</div>');
		redirect('masters/logos');
	}
	function approver($page=1){
		$where = array();
		$where1 = array('view_furniture_quotations_client_project_users.project_status !=' => '1');
		
		if($this->session->userdata('user_group_id') != 1){
			$where = array('furniture_quotation.salesman_id' => $this->session->userdata('user_id'));
		}

		$config['per_page']		= 2000;
		$config['base_url'] 	= site_url('furniture/furniture_quotations/index/');
		$config['total_rows'] 	= $this->crud_model->get_view_furniture_quotations_client_project_users_count($where);
		$offset = ($page-1) * $config['per_page'];

		if($this->session->userdata('user_group_id') != 1){
			$where = array('view_furniture_quotations_client_project_users.salesman_id' => $this->session->userdata('user_id'));
			$where1 = array('view_furniture_quotations_client_project_users.salesman_id' => $this->session->userdata('user_id'),'view_furniture_quotations_client_project_users.project_status !=' => '1');
		}
        
		$data['records'] = $this->crud_model->get('view_furniture_quotations_client_project_users',
				$where1,
				$config['per_page'],
				$offset,
				'quotation_id',
				'desc');
				
		
		$this->load->view('approval/approver',$data);
	}
	function printQuotation($quotation_id=0,$type="",$image_type="",$chekval=0,$without_sub=0,$without_group=0){
		$records = $this->furniture_quotation_model->get_full_quotation_details($quotation_id);
		$records['furniture_itemlist'] = $this->crud_model->get('furniture_items', array('furniture_items.quotation_id'=>$quotation_id), null, null, "ex_furniture_area", "ASC", null, null, null, "furniture_area");
		//var_dump($records);
		
		if($records == false) {
				$this->session->set_flashdata('response','<div class="alert alert-error">Please Select a Quotation First..</div>');
				redirect('furniture/furniture_quotations');
		}
		
		$records['logos_url'] = array();
		$logos_id = explode(",",$records['quotation_logos']);
		foreach($logos_id as $key=>$logo_id) {
			$where = array('logo_id' => $logo_id);
			$logo = $this->crud_model->get('logos',$where); 
			if($logo[0]['logo_filename']){
				array_push($records['logos_url'], "images/logos/".$logo[0]['logo_filename']);
			}
                        //else if($records['logo_filename']){
				//array_push($records['logos_url'], "images/company_division/".$records['logo_filename']);
			//}
		}
		
		$records['footer_url'] = array();
		$footer_id = explode(",",$records['quotation_footer']);
		foreach($footer_id as $key=>$footer_id) {
			$where = array('footer_id' => $footer_id);
			$footer = $this->crud_model->get('footer',$where); 
			if($footer[0]['footer_image']){
				array_push($records['footer_url'], $footer[0]['footer_image']);
			}
		}
		
		/*$records['footer_url'] = array();
		$footer_id = $records['quotation_footer'];
		$where = array('footer_id' => $footer_id);
		$footer = $this->crud_model->get('footer',$where); 
			if($footer[0]['footer_image']){
				array_push($records['footer_url'], $footer[0]['footer_image']);
			}*/
		
		$query = $this->db->get('company_details');  
		$records['company_details'] = $query->row();
		foreach ($query->result() as $row)
			{
				$company_email_name =  $row->company_name;
			}
		//var_dump($records); exit;
		 //$this->load->view('manage/printQuotation', $records);
		// $this->load->view('general/quotations/printview1', $records);
		if($image_type=="with_image"){
			$records['image']	=	"with_image";
		}else{
			$records['image']	=	"without_image";
		}
		
		$this->db->select('item_specifications.item_id as item_id,item_specifications.specification as specification');
		$this->db->from('furniture_items');
		$this->db->join('items','items.id = furniture_items.item_id','inner');
		$this->db->join('item_specifications','item_specifications.item_id = items.id','inner');
		$this->db->where('furniture_items.quotation_id', $quotation_id); 
		$rs_new = $this->db->get();
		if($rs_new->num_rows() > 0){
			$specific_count = $rs_new->result_array();
		}
		else{
			$specific_count = array();
		}
		$records['xxxx'] = $rs_new->num_rows();
		$records['chekval'] = $chekval;
		$records['without_sub'] = $without_sub;
		$records['without_group'] = $without_group;
		if($type=="pdf"){
		$records['print_type'] = "pdf_print_type";
		$this->load->helper(array('dompdf', 'file'));
		$html = $this->load->view('general/quotations/printview1', $records, true);
		pdf_create($html, 'Quotation_No_'.$records['quotation_number_full']);
		}else if($type=="normal"){
		$records['print_type'] = "normal_print_type";
		$this->load->view('general/quotations/printnormal', $records);
		}else if($type=="email"){
		
		$this->db->select('*');
		$this->db->from('emails'); 
		$query_email = $this->db->get();
		$records_email=$query_email->result_array();
		
		$records['print_type'] = "email_print_type";
		$this->load->helper(array('dompdf', 'file'));
		$html = $this->load->view('general/quotations/printview1', $records, true);
		pdf_create($html, 'Quotation_No_'.$quotation_id,$stream=FALSE);
				
				
				
				$from 		= $records['salesman_email_id'];
				$fromname 	= $company_email_name;
				$to 		= $records['client_email'];
				$cc 		= @$records_email[0]['quote_cc'];
				$subject 	= 'Quotation for '.$records['project_name'];
				$message 	= 'Please find attached quote for '.$records['project_name'].'.<br /><br /><br /> Regards,<br />'.$records['salesman_name'].'<br />'.$records['salesman_contact_number'];
				if($rs_new->num_rows() > 0 && $chekval==1){
				$this->load->library('email_multiple');
				$send = $this->email_multiple->send($from,$fromname,$to,$subject,$message,$cc,$bcc="",$quotation_id,$specific_count);
				}else{
				$this->load->library('email_attach');
				$send = $this->email_attach->send($from,$fromname,$to,$subject,$message,$cc,$bcc="",$quotation_id);
				}
				if($send){
					$this->session->set_flashdata('response','<div class="alert alert-success">Email Send Successfully</div>');
				}else{
					$this->session->set_flashdata('response','<div class="alert alert-error">Something Wrong.Try Again</div>');
				}
				redirect('manage_quotation/quotation/'.$quotation_id.'/'.$records['division_id'].'/'.$records['quotation_number']);
		}
		 //if you want to write it to disk and/or send it as an attachment  
	}
	public function quotation_approved(){
		$q_id	=	$this->input->post('q_id');
		$user_id	=	$this->session->userdata('user_id');
		$val	=	0;
		$approved_data= $this->db->query("SELECT * FROM `quotation_approval` WHERE `quotation_id`='$q_id' and `approval_1_user_1`='$user_id'");
		if (count($approved_data->result_array())>0){
			$this->session->set_flashdata('response','<div class="alert alert-success">Already Approved</div>');
			redirect('approval/quotation_approval/approver');
			
		} else {
			$query= $this->db->query("SELECT * FROM `furniture_quotation` WHERE `id`='$q_id'");
			$listData	=	$query->row();
			if (count($listData)>0){
				$val	=	$query->row()->flag-1;
				$this->crud_model->update('furniture_quotation',array('flag'=>$val),array('id'=>$q_id));
				$this->session->set_flashdata('response','<div class="alert alert-success">Quotation Approved</div>');
				redirect('approval/quotation_approval/approver');
			}
		}
	}
}
