<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Crushing_update_list extends CI_Controller {
	function Crushing_update_list() {
		parent::__construct();
		if($this->session->userdata('user_logged_in') != true){
			$this->session->set_flashdata('response','<div class="alert alert-error">Unauthorised access. Login required.</div>');
			redirect('login');
		}
		/*if($this->crud_model->check_permission("crushing_update_list","view")==false && $this->session->userdata('default_controller_name')!="crushing_update_list/list_cube_sample"){
			$this->session->set_flashdata('response','<div class="alert alert-error">You have no permission to access this page.Please contact administrator.</div>');
			redirect($this->session->userdata('default_controller_name'));
		}*/
		$this->load->library('form_validation');
		$this->load->library('pagination');
		$this->load->model('furniture_quotation_model');
		$this->load->helper('num_words');
	}
	function list_cube_sample($crushing_date='',$client='',$age='',$chkbox='') {
		if (@$this->input->get('crushing_date')!='') {
			$crushing_date =   date("Y-m-d", strtotime($this->input->get("crushing_date")));
		}elseif ($crushing_date != "") {
			$crushing_date	=	date("Y-m-d", strtotime($crushing_date));
		} else {
			$crushing_date	= "";
		}
		if ($crushing_date!=''){
			$where="  WHERE CS.crushing_date='$crushing_date'";
			$cd	=1;
		} else {
			$where=" ";
			$cd	=2;
		}
		if ($chkbox != "NIL") {
			$chkbox	=	$chkbox;
		} else {
			$chkbox	= "NIL";
		}
		
		if ($chkbox!='NIL'){
			$where.="  and  CS.`workorder_id` Not in ( SELECT CS.`workorder_id` FROM `cube_sample` CS left join `test_b` TB on TB.`wo_id`=CS.`workorder_id` inner join `test_h` TH on TB.`test_id`=TH.`test_id` and TH.`test_status`='1' WHERE CS.crushing_date='$crushing_date' group by CS.`workorder_id` )";
			//$cd	=1;
		} else {
			//$where=" ";
			//$cd	=2;
		}
		/*if (@$this->input->get('client')!='') {
			$client =   $this->input->get("client");
		}elseif ($client != "") {
			$client	=	$client;
		} else {
			$client	= "";
		}
		if ($client!=''){
			$where.="  AND WOM.`client_id`='$client'";
		} else {
			$where.=" ";
		}
		
		if (@$this->input->get('age')!='') {
			$age =   $this->input->get("age");
		}elseif ($age != "") {
			$age	=	$age;
		} else {
			$age	= "";
		}
		if ($age!=''){
			$where.="  AND CS.`age` like '%$age%'";
		} else {
			$where.=" ";
		}
		*/
		$datacount			=	$this->db->query("SELECT CS.`cube_id`,CS.`workorder_id`,CS.`sample_no`,CS.`client_sample_id`,CS.`age`,CS.`crushing_date`,WOM.`client_name`,WOM.`mix_design`,WOM.`Received_Date`,WOM.`Casting_Date`,WOM.`work_order_no` FROM `cube_sample` CS INNER JOIN `work_order_main` WOM ON WOM.`id`=CS.`workorder_id`".$where." group by CS.`workorder_id` ");
		
		$config['uri_segment'] = 7;
		$config['base_url'] 	= site_url('crushing_update_list/list_cube_sample/'.$crushing_date.'/'.$client.'/'.$age.'/'.$chkbox);
		 $config["total_rows"] = $datacount->num_rows();
		$config['num_links'] = 10;
        $config["per_page"] = 50;
        $this->pagination->initialize($config);
		
		if ($this->uri->segment(7)) {
            $page = $this->uri->segment(7)*50-50;
            $i=$page+1;
        } else {
            $page = 0;
            $i=1;
        }
		$data1				=	$this->db->query("SELECT CS.`cube_id`,CS.`workorder_id`,CS.`sample_no`,CS.`client_sample_id`,CS.`age`,CS.`crushing_date`,WOM.`client_name`,WOM.`mix_design`,WOM.`Received_Date`,WOM.`Casting_Date`,WOM.`work_order_no` FROM `cube_sample` CS INNER JOIN `work_order_main` WOM ON WOM.`id`=CS.`workorder_id`".$where." group by CS.`workorder_id` limit ".$page.",".$config["per_page"]);
		
		
		$data['records']	=	$data1->result_array();
		$data['crush']	=	$cd;
		$data['pagination'] = $this->pagination->create_links();
		$data['crushing_date']	=	$crushing_date;
		$data['chkbox']	=	$chkbox;
		$this->load->view('templates/header');
		$this->load->view('manage/crushing_update_list',$data);
		$this->load->view('templates/footer');
	}
	function update_crushing_report($workorder_id='',$crushing_date=''){
		if ($workorder_id!='' && $crushing_date!=''){
		$data1				=	$this->db->query("SELECT CS.`cube_id`,CS.`workorder_id`,CS.`sample_no`,CS.`client_sample_id`,CS.`age`,CS.`crushing_date`,WOM.`client_name`,WOM.`mix_design`,WOM.`Received_Date`,WOM.`Casting_Date`,WOM.`project_name`,WOM.`project_id`,WOM.`client_id`,WOM.`division`,WOM.`work_order_no`,NCM.`client_address` FROM `cube_sample` CS INNER JOIN `work_order_main` WOM ON WOM.`id`=CS.`workorder_id` INNER JOIN `new_client_master` NCM ON NCM.client_id=WOM.client_id where CS.workorder_id='$workorder_id' and CS.`crushing_date`='$crushing_date' ");
		$data['records']	=	$data1->result_array();
		
		$this->load->view('templates/header');
		$this->load->view('furniture/quotations/update_crushing_report',$data);
		$this->load->view('templates/footer');
		}
	}
	function crushing_completed($test_id=''){
		if ($test_id!=''){
			$data = array(
				'test_status' 		=> 1
			);
			$this->crud_model->update('test_h',$data,array('test_id' => $test_id));
			$log_data=array(
					'trn_no'			=>	$test_id,
					'trn_type' 			=>	'CO',
					'voc_type' 			=>	'CR',
					'trn_user_id' 		=>	$this->session->userdata('user_id'),
					'trn_date_time' 	=>	date('Y-m-d H:i:s'),
					'status' 			=>	1
				);
			$this->crud_model->insert('log_table',$log_data);
			redirect('crushing_update_list/list_cube_sample');
		}
	}
	
	public function export_list_cube_sample($crushing_date='',$client='',$age='',$chkbox='') {
		if (@$this->input->get('crushing_date')!='') {
			$crushing_date =   date("Y-m-d", strtotime($this->input->get("crushing_date")));
		}elseif ($crushing_date != "") {
			$crushing_date	=	date("Y-m-d", strtotime($crushing_date));
		} else {
			$crushing_date	= "";
		}
		if ($crushing_date!=''){
			$where="  WHERE CS.crushing_date='$crushing_date'";
			$cd	=1;
		} else {
			$where=" ";
			$cd	=2;
		}
		if ($chkbox != "NIL") {
			$chkbox	=	$chkbox;
		} else {
			$chkbox	= "NIL";
		}
		
		if ($chkbox!='NIL'){
			$where.="  and  CS.`workorder_id` Not in ( SELECT CS.`workorder_id` FROM `cube_sample` CS left join `test_b` TB on TB.`wo_id`=CS.`workorder_id` inner join `test_h` TH on TB.`test_id`=TH.`test_id` and TH.`test_status`='1' WHERE CS.crushing_date='$crushing_date' group by CS.`workorder_id` )";
			//$cd	=1;
		} else {
			//$where=" ";
			//$cd	=2;
		}
		/*if (@$this->input->get('client')!='') {
			$client =   $this->input->get("client");
		}elseif ($client != "") {
			$client	=	$client;
		} else {
			$client	= "";
		}
		if ($client!=''){
			$where.="  AND WOM.`client_id`='$client'";
		} else {
			$where.=" ";
		}
		
		if (@$this->input->get('age')!='') {
			$age =   $this->input->get("age");
		}elseif ($age != "") {
			$age	=	$age;
		} else {
			$age	= "";
		}
		if ($age!=''){
			$where.="  AND CS.`age` like '%$age%'";
		} else {
			$where.=" ";
		}
		*/
		$datacount			=	$this->db->query("SELECT CS.`cube_id`,CS.`workorder_id`,CS.`sample_no`,CS.`client_sample_id`,CS.`age`,CS.`crushing_date`,WOM.`client_name`,WOM.`mix_design`,WOM.`Received_Date`,WOM.`Casting_Date`,WOM.`work_order_no` FROM `cube_sample` CS INNER JOIN `work_order_main` WOM ON WOM.`id`=CS.`workorder_id`".$where." group by CS.`workorder_id` ");
		
		$config['uri_segment'] = 7;
		$config['base_url'] 	= site_url('crushing_update_list/list_cube_sample/'.$crushing_date.'/'.$client.'/'.$age.'/'.$chkbox);
		 $config["total_rows"] = $datacount->num_rows();
		$config['num_links'] = 10;
        $config["per_page"] = 1000000000000;
        $this->pagination->initialize($config);
		
		if ($this->uri->segment(7)) {
            $page = $this->uri->segment(7)*1000000000000-1000000000000;
            $i=$page+1;
        } else {
            $page = 0;
            $i=1;
        }
		$data1				=	$this->db->query("SELECT CS.`cube_id`,CS.`workorder_id`,CS.`sample_no`,CS.`client_sample_id`,CS.`age`,CS.`crushing_date`,WOM.`client_name`,WOM.`mix_design`,WOM.`Received_Date`,WOM.`Casting_Date`,WOM.`work_order_no` FROM `cube_sample` CS INNER JOIN `work_order_main` WOM ON WOM.`id`=CS.`workorder_id`".$where." group by CS.`workorder_id` limit ".$page.",".$config["per_page"]);
		
		
		$records	=	$data1->result_array();
		
		$list	='';
			$details    =   array();
        	foreach($records as $record){
				
						$new    =   array(
							$i++,
							date("M d Y", strtotime($record['Received_Date'])),
							date("M d Y", strtotime($record['Casting_Date'])),
							$record['work_order_no'],
							$record['client_name'],
						);
						array_push($details,$new);
					
					} 
					$head   =   array(
						"No",
						"Received Date",
						"Cast Date",
						"Work Order No",
						"Client Name"
					);
        			$this->load->library('Excel');
        			$Excel = new Excel;
        			$Excel->export($head, $details, 0, "PendingCubeCrushingList");
		
	}
	
	function cube_crushing_report_do_update(){
		$this->form_validation->set_rules('hidden_workorder_id', 'Work Order No', 'required');
		$hidden_workorder_id	=	$this->input->post('hidden_workorder_id');
		$hidden_crushing_date	=	$this->input->post('hidden_crushing_date');
		$query_data= $this->db->query("SELECT * FROM `test_b` T WHERE T.wo_id='$hidden_workorder_id'");
		$first=$query_data->row();
		if (count($first)===0){
			$data = array(
				'test_date' 		=> date('Y-m-d'),
				'test_by' 			=> $this->session->userdata('user_id'),
				'test_method' 		=> $this->input->post('test_method_variation')
			);
			$this->db->insert('test_h',$data);
			
			$query= $this->db->query("SELECT max(`test_id`) as `MaxID` FROM `test_h`");
				$maxId      = $query->row();
				if ($maxId->MaxID==NULL){
					$mid	='';
				} else {
					$mid=$maxId->MaxID;
				}
			if ($mid!=''){
				$workorder_id	=	$this->input->post('workorder_id');
				$sample_no		=	$this->input->post('sample_no');
				$client_sample_id	=	$this->input->post('client_sample_id');
				$cube_checked_dims	=	$this->input->post('cube_checked_dims');
				$cube_height	=	$this->input->post('cube_height');
				$cube_width	=	$this->input->post('cube_width');
				$cube_length	=	$this->input->post('cube_length');
				$cube_mass	=	$this->input->post('cube_mass');
				$cube_density	=	$this->input->post('cube_density');
				$cube_load	=	$this->input->post('cube_load');
				$cube_strength	=	$this->input->post('cube_strength');
				$cube_fracture	=	$this->input->post('cube_fracture');
				
				
				$report_date	=	date("Y-m-d", strtotime($this->input->post('report_date')));
				$report_no	=	$this->input->post('report_no');
				$cube_age	=	$this->input->post('cube_age');
				$location	=	$this->input->post('location');
				
				for($i=0; $i<count($workorder_id) ; $i++){
					if($workorder_id[$i]!="" && $sample_no[$i]!=""){
						
						$datanew2 = array(
							'wo_id' 			=> 	$workorder_id[$i],
							'test_id'		 	=>	$mid,
							'sample_id' 		=>	$sample_no[$i],
							'report_no' 		=>	$report_no,
							'cube_age' 			=>	$cube_age,
							'cube_height' 		=> 	$cube_height[$i],
							'cube_width' 		=> 	$cube_width[$i],
							'cube_length' 		=> 	$cube_length[$i],
							'cube_checked_dims' => 	$cube_checked_dims[$i],
							'cube_mass' 		=> 	$cube_mass[$i],
							'cube_density' 		=> 	$cube_density[$i],
							'cube_load' 		=> 	$cube_load[$i],
							'cube_strength' 	=> 	$cube_strength[$i],
							'cube_fracture' 	=> 	$cube_fracture[$i],
							'location'			=> 	$this->input->post('location'),
							'structure_location'=> 	$this->input->post('structure_location'),
							'grade_of_concrete'=> 	$this->input->post('grade_of_concrete'),
							'specified_strength'=> 	$this->input->post('specified_strength'),
							'number_of_cube'=> 	$this->input->post('number_of_cube'),
							'nominal_size'=> 	$this->input->post('nominal_size'),
							'supplier_of_concrete'=> 	$this->input->post('supplier_of_concrete'),
							'curing_condition_since_receipt'=> 	$this->input->post('curing_condition_since_receipt'),
							'sampled_by'=> 	$this->input->post('sampled_by'),
							'condition_of_the_specimen_on_receipt'=> 	$this->input->post('condition_of_the_specimen_on_receipt'),
							'mass_and_density_measurement'=> 	$this->input->post('mass_and_density_measurement'),
							'test_method_variation'=> 	$this->input->post('test_method_variation'),
							'tested_by'=> 	$this->input->post('tested_by'),
							'test_method'=> 	$this->input->post('test_method'),
							'consultant'=> 	$this->input->post('consultant'),
							'remarks'=> 	$this->input->post('remarks'),
							'printable_client_name'=> 	$this->input->post('printable_client_name'),
							'main_contactor'=> 	$this->input->post('main_contactor'),
							'sub_contractor'=> 	$this->input->post('sub_contractor'),
							'report_date'=> 	$report_date,
					);
					$this->db->insert('test_b',$datanew2);
					}
				}
				$log_data=array(
					'trn_no'			=>	$report_no,
					'trn_type' 			=>	'C',
					'voc_type' 			=>	'CR',
					'trn_user_id' 		=>	$this->session->userdata('user_id'),
					'trn_date_time' 	=>	date('Y-m-d H:i:s'),
					'status' 			=>	1
				);
				$this->crud_model->insert('log_table',$log_data);
				redirect('crushing_update_list/update_crushing_report/'.$hidden_workorder_id.'/'.$hidden_crushing_date);
			}
		} else {
				$workorder_id	=	$this->input->post('workorder_id');
				$sample_no		=	$this->input->post('sample_no');
				$client_sample_id	=	$this->input->post('client_sample_id');
				$cube_checked_dims	=	$this->input->post('cube_checked_dims');
				$cube_height	=	$this->input->post('cube_height');
				$cube_width	=	$this->input->post('cube_width');
				$cube_length	=	$this->input->post('cube_length');
				$cube_mass	=	$this->input->post('cube_mass');
				$cube_density	=	$this->input->post('cube_density');
				$cube_load	=	$this->input->post('cube_load');
				$cube_strength	=	$this->input->post('cube_strength');
				$cube_fracture	=	$this->input->post('cube_fracture');
				
				$report_no	=	$this->input->post('report_no');
				$cube_age	=	$this->input->post('cube_age');
				$location	=	$this->input->post('location');
				$mid=$first->test_id;
				for($i=0; $i<count($workorder_id) ; $i++){
					if($workorder_id[$i]!="" && $sample_no[$i]!=""){
						$datanew2 = array(
							'wo_id' 			=> 	$workorder_id[$i],
							'test_id'		 	=>	$mid,
							'sample_id' 		=>	$sample_no[$i],
							'report_no' 		=>	$report_no,
							'cube_age' 			=>	$cube_age,
							'cube_height' 		=> 	$cube_height[$i],
							'cube_width' 		=> 	$cube_width[$i],
							'cube_length' 		=> 	$cube_length[$i],
							'cube_checked_dims' => 	$cube_checked_dims[$i],
							'cube_mass' 		=> 	$cube_mass[$i],
							'cube_density' 		=> 	$cube_density[$i],
							'cube_load' 		=> 	$cube_load[$i],
							'cube_strength' 	=> 	$cube_strength[$i],
							'cube_fracture' 	=> 	$cube_fracture[$i],
							'location'			=> 	$this->input->post('location'),
							'structure_location'=> 	$this->input->post('structure_location'),
							'grade_of_concrete'=> 	$this->input->post('grade_of_concrete'),
							'specified_strength'=> 	$this->input->post('specified_strength'),
							'number_of_cube'=> 	$this->input->post('number_of_cube'),
							'nominal_size'=> 	$this->input->post('nominal_size'),
							'supplier_of_concrete'=> 	$this->input->post('supplier_of_concrete'),
							'curing_condition_since_receipt'=> 	$this->input->post('curing_condition_since_receipt'),
							'sampled_by'=> 	$this->input->post('sampled_by'),
							'condition_of_the_specimen_on_receipt'=> 	$this->input->post('condition_of_the_specimen_on_receipt'),
							'mass_and_density_measurement'=> 	$this->input->post('mass_and_density_measurement'),
							'test_method_variation'=> 	$this->input->post('test_method_variation'),
							'tested_by'=> 	$this->input->post('tested_by'),
							'consultant'=> 	$this->input->post('consultant'),
							'test_method'=> 	$this->input->post('test_method'),
							'printable_client_name'=> 	$this->input->post('printable_client_name'),
							'main_contactor'=> 	$this->input->post('main_contactor'),
							'sub_contractor'=> 	$this->input->post('sub_contractor'),
					);
					$hidden_sample_no=$sample_no[$i];
					$query_data= $this->db->query("SELECT * FROM `test_b` T WHERE T.wo_id='$hidden_workorder_id' and  T.sample_id='$hidden_sample_no'");
						if (count($query_data->result_array())>0){
							$this->crud_model->update('test_b',$datanew2,array('sample_id' => $hidden_sample_no));
						} else {
							$this->db->insert('test_b',$datanew2);
						}
					}
				}
				$log_data=array(
					'trn_no'			=>	$report_no,
					'trn_type' 			=>	'E',
					'voc_type' 			=>	'CR',
					'trn_user_id' 		=>	$this->session->userdata('user_id'),
					'trn_date_time' 	=>	date('Y-m-d H:i:s'),
					'status' 			=>	1
				);
				$this->crud_model->insert('log_table',$log_data);
				redirect('crushing_update_list/update_crushing_report/'.$hidden_workorder_id.'/'.$hidden_crushing_date);
		}
	}
	function print_crushing_report($workorder_id='',$crushing_date=''){
		if ($workorder_id!='' && $crushing_date!=''){
		$body='';
		$body2='';
		$html='';
		$footer='';
			
		$data1				=	$this->db->query("SELECT CS.`cube_id`,CS.`workorder_id`,CS.`sample_no`,CS.`client_sample_id`,CS.`age`,CS.`crushing_date`,WOM.`client_name`,WOM.`mix_design`,WOM.`Received_Date`,WOM.`Casting_Date`,WOM.`sampled_submitted_date`,WOM.`project_name`,WOM.`project_id`,WOM.`client_id`,WOM.`division`,WOM.`work_order_no`,NCM.`client_address` FROM `cube_sample` CS INNER JOIN `work_order_main` WOM ON WOM.`id`=CS.`workorder_id` INNER JOIN `new_client_master` NCM ON NCM.client_id=WOM.client_id where CS.workorder_id='$workorder_id' and CS.`crushing_date`='$crushing_date' ");
		
		$records	=	$data1->result_array();
		$current_page_number=1;
		if (count($records)%6==0){
			$total_page=count($records)%6;
		} 
		/*else if (count($records)<=6){
			
		} else {
			echo "hi";
			$total_page=(count($records)%6)+1;
		}*/
		if (count($records)<=6){
			$total_page=1;
		} else {
			if (count($records)%6==0){
				$total_page=count($records)/6;
			}  else {
				$total_page=	ceil(count($records)/6);
				
				/*$piece=		explode(".",$str);
				if ($piece[1]>50000000000000000){
					echo "hi";
				} else {
					echo "no";
				}
				if (round(8/6)){
				}
				$total_page=(count($records)%6)+1;*/
			}
		}
		$body.='<table width="100%" border="0" cellpadding="0" cellspacing="0" id="ashbar">
	<tr>
  		<td>
        	<table width="88%" border="0" align="center" cellpadding="0" cellspacing="0">
    			<tr>
      				<td width="30%" align="left">
                    	<h2 style="font-size: 20px !important;">TEST REPORT- COMPRESSIVE STRENGTH OF CONCRETE CUBE</h2>
                    </td>
    			</tr>
  			</table>
       	</td>
	</tr>
</table>
<table width="100%" border="0" align="center" cellpadding="0" cellspacing="0">
	
    <tr>
    	<td valign="top">
        <form id="data-form" name="data-form" class="form-horizontal" method="post" enctype="multipart/form-data" >
        	<div id="TabbedPanels1" class="TabbedPanels">
                <div class="TabbedPanelsContentGroup">
                	<div class="TabbedPanelsContent">';
					$edit_workorder_id=$records[0]['workorder_id'];
								$edit_crushing_date=$records[0]['crushing_date'];
				   				$edit_data	=	$this->db->query("SELECT * FROM `test_b` T WHERE T.wo_id='$edit_workorder_id'");
								$edit_test_b	=	$edit_data->result_array();
								if (count($edit_test_b)>0){
									$edit_location	=	$edit_test_b[0]['location'];
									$edit_structure_location	=	$edit_test_b[0]['structure_location'];
									$edit_nominal_size	=	$edit_test_b[0]['nominal_size'];
									if ($edit_test_b[0]['grade_of_concrete']!='0'){
										$edit_grade_of_concrete	=	$edit_test_b[0]['grade_of_concrete'];
									} else {
										$edit_grade_of_concrete	=	'';
									}
									
									$edit_specified_strength	=	$edit_test_b[0]['specified_strength'];
									$edit_supplier_of_concrete	=	$edit_test_b[0]['supplier_of_concrete'];
									$edit_curing_condition_since_receipt	=	$edit_test_b[0]['curing_condition_since_receipt'];
									$edit_sampled_by	=	$edit_test_b[0]['sampled_by'];
									$edit_condition_of_the_specimen_on_receipt	=	$edit_test_b[0]['condition_of_the_specimen_on_receipt'];
									$edit_mass_and_density_measurement	=	$edit_test_b[0]['mass_and_density_measurement'];
									$edit_test_method_variation	=	$edit_test_b[0]['test_method_variation'];
									$tested_by	=	$edit_test_b[0]['tested_by'];
									$test_method	=	$edit_test_b[0]['test_method'];
									$consultant	=	$edit_test_b[0]['consultant'];
									$report_date	=	date("M d Y", strtotime($edit_test_b[0]['report_date']));
									$main_contactor	=	$edit_test_b[0]['main_contactor'];
									$sub_contractor	=	$edit_test_b[0]['sub_contractor'];
									$printable_client_name	=	$edit_test_b[0]['printable_client_name'];
								} else {
									$edit_location	='';
									$edit_structure_location	='';
									$edit_nominal_size	='';
									$edit_grade_of_concrete	=$records[0]['mix_design'];
									$edit_specified_strength	='';
									$edit_supplier_of_concrete	='';
									$edit_curing_condition_since_receipt	='';
									$edit_sampled_by	='';
									$edit_condition_of_the_specimen_on_receipt	='';
									$edit_mass_and_density_measurement	='';
									$edit_test_method_variation='';
									$tested_by	='';
									$test_method	='';
									$consultant	='';
									$report_date	='';
									$main_contactor	='';
									$sub_contractor	='';
									$printable_client_name	=	$records[0]['client_name'];
								}
								if (strpos($edit_grade_of_concrete, 'mm2') !== false) {
									$edit_grade_of_concrete= str_replace("mm2", "mm<span style='font-size: 60%;line-height: 1.6;position: relative;vertical-align: super;top: -100px;' >2</span>", $edit_grade_of_concrete);
									
								}
								if (strpos($edit_specified_strength, 'mm2') !== false) {
									$edit_specified_strength= str_replace("mm2", "mm<span style='font-size: 60%;line-height: 1.6;position: relative;vertical-align: super;top: -100px;' >2</span>", $edit_specified_strength);
									
								}
								if (strpos($edit_curing_condition_since_receipt, 'oC') !== false) {
									$edit_curing_condition_since_receipt= str_replace("oC", "<span style='font-size: 60%;line-height: 1.6;position: relative;vertical-align: super;top: -100px;' >0</span>C", $edit_curing_condition_since_receipt);
									
								}
								if (strpos($edit_curing_condition_since_receipt, '+-') !== false) {
									$edit_curing_condition_since_receipt= str_replace("+-", "&plusmn;", $edit_curing_condition_since_receipt);
									
								}
								$uppend_tr='';
								$row_count=0;
		$body.='<table width="100%" border="0" align="center" cellpadding="3" cellspacing="0">
                        		<tr>
								<td style="width:500px;">
									<table width="100%" border="0" align="center" cellpadding="3" cellspacing="0">';
										if ($printable_client_name!=NULL){
								$body.='<tr>
                                			<td colspan="2" class="arial_font_family" style="width:170px;" valign="top">Client<br>Address</td>	
                                			<td colspan="7" class="arial_font_family"  style="width:300px;"><b>'.nl2br($printable_client_name).'</b></td>
										</tr>';
										} else {
											$row_count++;
											/*$uppend_tr.='<tr>
											<td colspan="2">&nbsp;</td>		
                                			<td colspan="7">&nbsp;</td>
										</tr>';*/
										}
										if ($main_contactor!=NULL){
								$body.='<tr>
                                			<td colspan="2" class="arial_font_family"  valign="top">Main Contactor</td>	
                                			<td colspan="7" class="arial_font_family">'.$main_contactor.'</td>
										</tr>';
										} else {
											$row_count++;
											/*$uppend_tr.='<tr>
											<td colspan="2">&nbsp;</td>		
                                			<td colspan="7">&nbsp;</td>
										</tr>';*/
										}
										if ($sub_contractor!=NULL){
								$body.='<tr>
                                			<td colspan="2" class="arial_font_family"  valign="top">Sub Contactor</td>	
                                			<td colspan="7" class="arial_font_family">'.$sub_contractor.'</td>
										</tr>';
										} else {
											$row_count++;
											/*$uppend_tr.='<tr>
											<td colspan="2">&nbsp;</td>		
                                			<td colspan="7">&nbsp;</td>
										</tr>';*/
										}
										if ($consultant!=NULL){
										$body.='<tr>
                                			<td colspan="2" class="arial_font_family">Consultant</td>	
                                			<td colspan="7" class="arial_font_family"><b>'.$consultant.'</b></td>
										</tr>';
										} else {
											$row_count++;
											/*$uppend_tr.='<tr>
											<td colspan="2">&nbsp;</td>		
                                			<td colspan="7">&nbsp;</td>
										</tr>';*/
										}
										/*$body.='<tr>
                                			<td colspan="2" class="arial_font_family">Address</td>	
                                			<td colspan="7" class="arial_font_family">'.$records[0]['client_address'].'</td>
										</tr>';*/
										$body.='<tr>
                                			<td colspan="2" class="arial_font_family" style="width:170px;"  valign="top">Project</td>	
                                			<td colspan="7" class="arial_font_family" style="width:300px;"><b>'.$records[0]['project_name'].'</b></td>
										</tr>';
								if ($edit_location!=NULL){
								$body.='<tr>
                                			<td colspan="2" class="arial_font_family"  valign="top">Location</td>	
                                			<td colspan="7" class="arial_font_family">'.$edit_location.'</td>
										</tr>';
									} else {
											$row_count++;
											/*$uppend_tr.='<tr>
											<td colspan="2">&nbsp;</td>		
                                			<td colspan="7">&nbsp;</td>
										</tr>';*/
										}
										if ($edit_structure_location!=NULL){
								$body.='<tr>
                                			<td colspan="2" class="arial_font_family"  valign="top">Structure /Location</td>	
                                			<td colspan="7" class="arial_font_family"><b>'.$edit_structure_location.'</b></td>
										</tr>';
										} else {
											$row_count++;
											/*$uppend_tr.='<tr>
											<td colspan="2">&nbsp;</td>		
                                			<td colspan="7">&nbsp;</td>
										</tr>';*/
										}
									if ($row_count>=2){
										$uppend_tr.='<tr>
											<td colspan="2">&nbsp;</td>		
                                			<td colspan="7">&nbsp;</td>
										</tr><tr>
											<td colspan="2">&nbsp;</td>		
                                			<td colspan="7">&nbsp;</td>
										</tr><tr>
											<td colspan="2">&nbsp;</td>		
                                			<td colspan="7">&nbsp;</td>
										</tr>';
									} else {
										
										$uppend_tr.='<tr>
											<td colspan="2">&nbsp;</td>		
                                			<td colspan="7">&nbsp;</td>
										</tr>';
									}
									
										$body.=$uppend_tr;
										$body.='
									</table>
								</td>
								<td style="width:215px;" valign="top">
									<table width="100%" border="0" align="center" cellpadding="3" cellspacing="0">
										<tr>
											<td colspan="2" class="arial_font_family" style="width:140px;"  valign="top">Report No</td>	
                                			<td colspan="3" class="arial_font_family" style="width:60px;"  valign="top"><b>'.$records[0]['work_order_no'].'/'.$records[0]['age'].'D'.'</b></td>
                                		</tr>
										<tr>
										<td colspan="2" class="arial_font_family"  valign="top">Work order No.</td>	
                                <td colspan="3" class="arial_font_family"  valign="top">'.$records[0]['work_order_no'].'</td>
                                </tr>
								
                                	<tr>
                                <td colspan="2" class="arial_font_family"  valign="top">Date of Cast</td>	
                                <td colspan="3" class="arial_font_family"  valign="top">'.date("M d Y", strtotime($records[0]['Casting_Date'])).'</td>
                                </tr>
                                	<tr>
                                <td colspan="2" class="arial_font_family" valign="top">Date sample Recd.</td>	
                                <td colspan="3" class="arial_font_family" valign="top">'.date("M d Y", strtotime($records[0]['Received_Date'])).'</td>
                                </tr>
                                <tr>
                                <td colspan="2" class="arial_font_family" valign="top">Date of test.</td>	
                                <td colspan="3" class="arial_font_family" valign="top">'.date("M d Y", strtotime($records[0]['crushing_date'])).'</td>
                                </tr>
                                <tr>
                                <td colspan="2" class="arial_font_family" valign="top">Report Date</td>	
                                <td colspan="3" class="arial_font_family" valign="top">'.$report_date.'</td>
                                </tr>
                                
									</table>
								</td>
								</tr>
								</table>';
				$body.='<table width="100%" border="0" align="center" cellpadding="1" cellspacing="0">
                                <tr>	
                                <td colspan="2" class="arial_font_family" style="width:170px;">Grade of Concrete</td>	
                                <td colspan="7" class="arial_font_family" style="width:300px;">'.$edit_grade_of_concrete.'</td>
                               	<td colspan="2" class="arial_font_family" style="width:140px;">Age of specimen</td>	
                                <td colspan="3" class="arial_font_family" >'.$records[0]['age'].' Days</td>
                                </tr>
                                <tr>	
                                <td colspan="2" class="arial_font_family" style="width:200px;">Specified strength</td>	
                                <td colspan="7" class="arial_font_family" style="width:300px;">'.$edit_specified_strength.'</td>
                               	<td colspan="2" class="arial_font_family" style="width:140px;">Number of cube(s)</td>	
                                <td colspan="3" class="arial_font_family" >'.count($records).'</td>
                                </tr>
                                <tr>	
                                <td colspan="2" class="arial_font_family" style="width:170px;">Supplier  of concrete</td>	
                                <td colspan="7" class="arial_font_family" style="width:300px;">'.$edit_supplier_of_concrete.'</td>
                               	<td colspan="2" class="arial_font_family" style="width:140px;">Nominal size (mm)</td>	
                                <td colspan="3" class="arial_font_family" >';
                                 if ($edit_nominal_size=='1'){ $nom="100x100x100";}
                                 if ($edit_nominal_size=='2'){ $nom="150x150x150";}
                                 if ($edit_nominal_size=='3'){ $nom="Others";}
                          $body.=$nom.'</td>
                                </tr>
                                <tr>	
                                <td colspan="2" class="arial_font_family" style="width:170px;">Curing condition since receipt</td>	
                                <td colspan="7" class="arial_font_family" style="width:300px;">'.$edit_curing_condition_since_receipt.'</td>
                               	<td colspan="2" class="arial_font_family" style="width:140px;">Sampled by</td>	
                                <td colspan="3" class="arial_font_family">'.$edit_sampled_by.'</td>
                                </tr>
									
                                <tr>	
                                <td colspan="2" class="arial_font_family" style="width:170px;">Condition of the specimen on receipt</td>	
                                <td colspan="7" class="arial_font_family" style="width:300px;">'.$edit_condition_of_the_specimen_on_receipt.'</td>
                               	<td colspan="2" class="arial_font_family" style="width:140px;">Tested By</td>	
                                <td colspan="3" class="arial_font_family">'.$tested_by.'</td>
                                </tr>
								<tr>	
                                <td colspan="2" class="arial_font_family" style="width:170px;">Test method</td>	
                                <td colspan="7" class="arial_font_family" style="width:300px;"><b>'.$test_method.'</b></td>
                               	<td colspan="2" class="arial_font_family" style="width:140px;"></td>	
                                <td colspan="3" class="arial_font_family"></td>
                                </tr>
								<tr>	
                                <td colspan="2" class="arial_font_family" style="width:170px;">Mass and Density measurement</td>	
                                <td colspan="7" class="arial_font_family" style="width:300px;">'.$edit_mass_and_density_measurement.'</td>
                               	<td colspan="2" class="arial_font_family" >Page No.</td>';	
                                
                           $body2.='<tr>	
                                <td colspan="2" class="arial_font_family" style="width:170px;">Test method variation</td>	
                                <td colspan="7" class="arial_font_family" style="width:300px;">'.$edit_test_method_variation.'</td>
								<td colspan="2" class="arial_font_family" style="width:140px;">&nbsp;</td>	
                                <td colspan="3" class="arial_font_family" >&nbsp;</td>
                                </tr>
								<tr>	
                                <td colspan="2" class="arial_font_family" style="width:170px;">&nbsp;</td>	
                                <td colspan="7" class="arial_font_family" style="width:300px;">&nbsp;</td>
								<td colspan="2" class="arial_font_family" style="width:140px;">&nbsp;</td>	
                                <td colspan="3" class="arial_font_family">&nbsp;</td>
                                </tr>
								<tr>	
                                <td colspan="2" class="arial_font_family"><b>Test Results</b></td>	
                                <td colspan="7" class="arial_font_family">&nbsp;</td>
                               	<td colspan="2" class="arial_font_family">&nbsp;</td></tr></table>';
                           $body2.='<table width="100%" border="0" align="center" cellpadding="3" cellspacing="0"><tr>
                                <td colspan="2" class="border_left border_top" style="border-left:1px solid #000;border-top:1px solid #000;font-family: Arial,Helvetica Neue,Helvetica,sans-serif;
		font-size: 75%;">&nbsp;</td>
								<td colspan="2" class="border_left border_top" style="border-left:1px solid #000;border-top:1px solid #000;font-family: Arial,Helvetica Neue,Helvetica,sans-serif;
		font-size: 75%;">&nbsp;</td>
								<td  class="border_left border_top" style="border-left:1px solid #000;border-top:1px solid #000;font-family: Arial,Helvetica Neue,Helvetica,sans-serif;
		font-size: 75%;">&nbsp;</td>
                                <td colspan="3" align="center" class="arial_font_family border_left border_top" style="border-left:1px solid #000;border-top:1px solid #000;font-family: Arial,Helvetica Neue,Helvetica,sans-serif;
		font-size: 75%;">Dimensions (mm)</td>
								<td  class="border_left border_top" style="border-left:1px solid #000;border-top:1px solid #000;font-family: Arial,Helvetica Neue,Helvetica,sans-serif;
		font-size: 75%;">&nbsp;</td>
								<td  class="border_left border_top" style="border-left:1px solid #000;border-top:1px solid #000;font-family: Arial,Helvetica Neue,Helvetica,sans-serif;
		font-size: 75%;">&nbsp;</td>
								<td  class="border_left border_top" style="border-left:1px solid #000;border-top:1px solid #000;font-family: Arial,Helvetica Neue,Helvetica,sans-serif;
		font-size: 75%;">&nbsp;</td>
								<td  class="border_left border_top" style="border-left:1px solid #000;border-top:1px solid #000;font-family: Arial,Helvetica Neue,Helvetica,sans-serif;font-size: 75%;">&nbsp;</td>
                                <td  class="arial_font_family border_left border_top border_right" style="border-left:1px solid #000;border-top:1px solid #000;border-right:1px solid #000;font-family: Arial,Helvetica Neue,Helvetica,sans-serif;
		font-size: 75%;">&nbsp;</td>
                                </tr>
                                <tr >
                                <td colspan="2" class="arial_font_family border_left border_bottom"  style="border-left:1px solid #000;font-family: Arial,Helvetica Neue,Helvetica,sans-serif;font-size: 75%;border-bottom:1px solid #000;" align="center">Client ID</td>
                                <td colspan="2" class="arial_font_family border_left border_bottom" style="border-left:1px solid #000;font-family: Arial,Helvetica Neue,Helvetica,sans-serif;font-size: 75%;border-bottom:1px solid #000;"  align="center">QEL Sample ID</td>
                                <td class="arial_font_family border_left border_bottom" style="border-left:1px solid #000;font-family: Arial,Helvetica Neue,Helvetica,sans-serif;font-size: 75%;border-bottom:1px solid #000;"  align="center">Checked <br>
                                Dims.<br>
                                within<br>
                                limit</td>
                                <td class="arial_font_family border_left border_bottom border_top" style="border-left:1px solid #000;font-family: Arial,Helvetica Neue,Helvetica,sans-serif;font-size: 75%;border-bottom:1px solid #000;"  align="center">Height</td>
                                <td class="arial_font_family border_left border_bottom border_top" style="border-left:1px solid #000;font-family: Arial,Helvetica Neue,Helvetica,sans-serif;font-size: 75%;border-bottom:1px solid #000;"  align="center">Width</td>
                                <td class="arial_font_family border_left border_bottom border_top" style="border-left:1px solid #000;font-family: Arial,Helvetica Neue,Helvetica,sans-serif;font-size: 75%;border-bottom:1px solid #000;"  align="center">Length</td>
                                <td class="arial_font_family border_left border_bottom " style="border-left:1px solid #000;font-family: Arial,Helvetica Neue,Helvetica,sans-serif;font-size: 75%;border-bottom:1px solid #000;"  align="center">Mass <br />(kg)</td>
                                <td class="arial_font_family border_left border_bottom " style="border-left:1px solid #000;font-family: Arial,Helvetica Neue,Helvetica,sans-serif;font-size: 75%;border-bottom:1px solid #000;"  align="center">Density <br />(kg/m<span style="font-size: 60%;line-height: 1.6;position: relative;vertical-align: super;top: -100px;" >3</span>)</td>
                                <td class="arial_font_family border_left border_bottom " style="border-left:1px solid #000;font-family: Arial,Helvetica Neue,Helvetica,sans-serif;font-size: 75%;border-bottom:1px solid #000;"  align="center">Maximum<br />Load at<br /> Failure<br />(kN)</td>
                                <td class="arial_font_family border_left border_bottom " style="border-left:1px solid #000;font-family: Arial,Helvetica Neue,Helvetica,sans-serif;font-size: 75%;border-bottom:1px solid #000;"  align="center">Compressive<br /> Strength (N/mm<span style="font-size: 60%;line-height: 1.6;position: relative;vertical-align: super;top: -100px;" >2</span>)</td>
                                <td class="arial_font_family border_left border_bottom border_right" style="border-left:1px solid #000;font-family: Arial,Helvetica Neue,Helvetica,sans-serif;font-size: 75%;border-bottom:1px solid #000;border-right:1px solid #000;"  align="center">Fracture Type</td>
                                </tr>';
								if($records != false) {
											foreach($records as $re){
												$workorder_id	=	$records[0]['workorder_id'];
												$sample_no	=	$re['sample_no'];
												$data				=	$this->db->query("SELECT T.`remarks`,U.user_name FROM `test_b` T INNER JOIN `test_h` H ON H.`test_id`=T.`test_id` INNER JOIN `users` U ON H.test_by=U.user_id WHERE T.wo_id='$workorder_id'");
												//print("SELECT * FROM `test_b` T WHERE T.wo_id='$workorder_id' and  T.sample_id='$sample_no'");
												$test_b	=	$data->row();
												if (count($test_b)>0){
													if ($test_b->remarks==NULL){
														$remarks	='&nbsp;';
													} else {
														$remarks=$test_b->remarks;
													}
													if ($test_b->user_name==NULL){
														$user_name	='';
													} else {
														$user_name=$test_b->user_name;
														if (strpos($user_name, '(') !== false and strpos($user_name, ')') !== false) {
															$piece = explode("(", $user_name);
															$te = $piece[1];
															$piece2 = explode(")", $te);
															$user_name =$piece2[0];
														} else {
															$user_name = '';
														}
													}
												} else {
													$remarks	='&nbsp;';
													$user_name	='';
												}
											}
											
								}
			$footer.='<tr><td colspan="13" class="arial_font_family">&nbsp;</td></tr>
			<tr><td colspan="13" class="arial_font_family">Note : SF= Satisfactory failure  USF =Unsatisfactory failure.</td></tr>
			<tr><td colspan="13" class="arial_font_family">'.$remarks.'</td></tr>
					<tr><td colspan="13" class="arial_font_family"></td></tr>
					<tr><td colspan="13" class="arial_font_family"></td></tr>
					</table>
					
					<table width="100%" border="0" align="center" cellpadding="1" cellspacing="0" id="footer">
					<tr><td colspan="5" class="arial_font_family"  style="width:400px;"><b>Checked by : QA/QC</b></td><td colspan="5">&nbsp;</td><td colspan="3"><b style="font-size:25px;font-family:  Cambria, Georgia, serif;"><i>V. Sivanantham</i></b></td></tr>
					<tr><td colspan="5" class="arial_font_family">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;'.$user_name.'&nbsp;</td><td colspan="5">&nbsp;</td><td colspan="3"><b style="font-size:17px;font-family:  Cambria, Georgia, serif;"><i>Laboratory Manager</i></b></td></tr><tr><td colspan="13" class="arial_font_family">&nbsp;</td></tr>
					<tr><td colspan="13" class="arial_font_family"  style="font-size:8px !important;">Results relate only to the sample tested. This report shall not be reproduced except in full, without the written approval of the laboratory.</td></tr>
					<tr><td colspan="13" class="arial_font_family" style="font-size:8px !important;">Form No.TRF/032/Rev.02</td></tr>
                        </table>
          			</div>
           		</div>
      		</div>
            </form>
   		</td>
	</tr>
</table>';

/*<table width="100%" border="0" align="center" cellpadding="1" cellspacing="0" id="footer">
					<tr><td colspan="13" style="height:30px;" > &nbsp;
					</td></tr>
					</table>*/
								$n=0;
								$td_count=0;
								$test='';
		if($records != false) {
											foreach($records as $record){
												$workorder_id	=	$records[0]['workorder_id'];
												$sample_no	=	$record['sample_no'];
												$data				=	$this->db->query("SELECT * FROM `test_b` T WHERE T.wo_id='$workorder_id' and  T.sample_id='$sample_no'");
												$test_b	=	$data->row();
												if (count($test_b)>0){
													if ($test_b->cube_height==NULL or $test_b->cube_height==0){
														$cube_height	='';
													} else {
														$cube_height=number_format($test_b->cube_height,1);
													}
													if ($test_b->cube_width==NULL or $test_b->cube_width==0){
														$cube_width	='';
													} else {
														$cube_width=number_format($test_b->cube_width,1);
													}
													if ($test_b->cube_length==NULL or $test_b->cube_length==0){
														$cube_length	='';
													} else {
														$cube_length=number_format($test_b->cube_length,1);
													}
													if ($test_b->cube_mass==NULL or $test_b->cube_mass==0){
														$cube_mass	='';
													} else {
														$cube_mass=number_format($test_b->cube_mass,3);
													}
													if ($test_b->cube_density==NULL or $test_b->cube_density==0){
														$cube_density	='';
													} else {
														$cube_density=$test_b->cube_density;
													}
													if ($test_b->cube_load==NULL or $test_b->cube_load==0){
														$cube_load	='';
													} else {
														$cube_load=$test_b->cube_load;
													}
													if ($test_b->cube_strength==NULL or $test_b->cube_strength==0){
														$cube_strength	='';
													} else {
														$cube_strength=number_format($test_b->cube_strength,1);
													}
													if ($test_b->cube_fracture==NULL){
														$cube_fracture	='';
													} else {
														$cube_fracture=$test_b->cube_fracture;
													}
													if ($test_b->cube_checked_dims==NULL){
														$cube_checked_dims	='';
													} else {
														$cube_checked_dims=$test_b->cube_checked_dims;
													}
													if ($test_b->remarks==NULL){
														$remarks	='';
													} else {
														$remarks=$test_b->remarks;
													}
												} else {
													$cube_height='';
													$cube_width='';
													$cube_length='';
													$cube_mass='';
													$cube_density='';
													$cube_load='';
													$cube_strength='';
													$cube_fracture='USF';
													$cube_checked_dims='NO';
													$remarks	='';
												}
												//style="border-left:1px solid #000;font-family: Arial,Helvetica Neue,Helvetica,sans-serif;font-size: 75%;border-bottom:1px solid #000;"
						$html.='<tr class="tr_class">
                                <td colspan="2" class="arial_font_family  border_left border_bottom" align="center" style="width:7%;padding-top:8px;padding-bottom:8px;border-left:1px solid #000;font-family: Arial,Helvetica Neue,Helvetica,sans-serif;font-size: 75%;border-bottom:1px solid #000;">'.$record['client_sample_id'].'</td>
                                <td colspan="2" class="arial_font_family border_left border_bottom" align="center" style="width:13%;border-left:1px solid #000;font-family: Arial,Helvetica Neue,Helvetica,sans-serif;font-size: 75%;border-bottom:1px solid #000;">'.$record['sample_no'].'</td>
                                <td class="arial_font_family border_left border_bottom" align="center" style="width:6.66%;border-left:1px solid #000;font-family: Arial,Helvetica Neue,Helvetica,sans-serif;font-size: 75%;border-bottom:1px solid #000;">'.$cube_checked_dims.'</td>
                                <td class="arial_font_family border_left border_bottom" align="center" style="width:7%;border-left:1px solid #000;font-family: Arial,Helvetica Neue,Helvetica,sans-serif;font-size: 75%;border-bottom:1px solid #000;">'.$cube_height.'</td>
                                <td class="arial_font_family border_left border_bottom" align="center" style="width:7%;border-left:1px solid #000;font-family: Arial,Helvetica Neue,Helvetica,sans-serif;font-size: 75%;border-bottom:1px solid #000;">'.$cube_width.'</td>
                                <td class="arial_font_family border_left border_bottom" align="center" style="width:7%;border-left:1px solid #000;font-family: Arial,Helvetica Neue,Helvetica,sans-serif;font-size: 75%;border-bottom:1px solid #000;">'.$cube_length.'</td>
                                <td class="arial_font_family border_left border_bottom" align="center" style="width:7.7%;border-left:1px solid #000;font-family: Arial,Helvetica Neue,Helvetica,sans-serif;font-size: 75%;border-bottom:1px solid #000;">'.$cube_mass.'</td>
                                <td class="arial_font_family border_left border_bottom" align="center" style="width:9.5%;border-left:1px solid #000;font-family: Arial,Helvetica Neue,Helvetica,sans-serif;font-size: 75%;border-bottom:1px solid #000;">'.$cube_density.'</td>
                                <td class="arial_font_family border_left border_bottom" align="center" style="width:12.7%;border-left:1px solid #000;font-family: Arial,Helvetica Neue,Helvetica,sans-serif;font-size: 75%;border-bottom:1px solid #000;">'.$cube_load.'</td>
                                <td class="arial_font_family border_left border_bottom" align="center" style="width:7.5%;border-left:1px solid #000;font-family: Arial,Helvetica Neue,Helvetica,sans-serif;font-size: 75%;border-bottom:1px solid #000;"><b>'.$cube_strength.'</b></td>
                                <td class="arial_font_family border_left border_bottom border_right" align="center" style="width:7.7%;border-left:1px solid #000;font-family: Arial,Helvetica Neue,Helvetica,sans-serif;font-size: 75%;border-bottom:1px solid #000;">'.$cube_fracture.'</td>
                                </tr>';
								$n++;
								$td_count++;
								if ($n%6==0){
									$break='<div class="pagebreak" style="page-break-after: always;">&nbsp;</div>';
									$cur='<td colspan="3" class="arial_font_family">'.$current_page_number++.' of '.$total_page.'</td>';
									$test.=$body.$cur.$body2.$html.$footer.$break;
									$html='';
									$td_count=0;
								} 
						}
					}
					$cur='<td colspan="3">'.$current_page_number++.' of '.$total_page.'</td>';
					if ($n%6==0){
							$all=$test;
					} else {
							for($x=0;$x<6-$td_count;$x++){
								$html.='<tr class="tr_class">
                                <td colspan="2" class="arial_font_family  border_left border_bottom" align="center" style="width:13%;padding-top:8px;padding-bottom:8px;">&nbsp;</td>
                                <td colspan="2" class="arial_font_family border_left border_bottom" align="center" style="width:7%;">&nbsp;</td>
                                <td class="arial_font_family border_left border_bottom" align="center" style="width:6.66%;">&nbsp;</td>
                                <td class="arial_font_family border_left border_bottom" align="center" style="width:7%;">&nbsp;</td>
                                <td class="arial_font_family border_left border_bottom" align="center" style="width:7%;">&nbsp;</td>
                                <td class="arial_font_family border_left border_bottom" align="center" style="width:7%;">&nbsp;</td>
                                <td class="arial_font_family border_left border_bottom" align="center" style="width:7.7%;">&nbsp;</td>
                                <td class="arial_font_family border_left border_bottom" align="center" style="width:9.5%;">&nbsp;</td>
                                <td class="arial_font_family border_left border_bottom" align="center" style="width:12.7%;">&nbsp;</td>
                                <td class="arial_font_family border_left border_bottom" align="center" style="width:7.5%;"><b>&nbsp;</b></td>
                                <td class="arial_font_family border_left border_bottom border_right" align="center" style="width:7.7%;">&nbsp;</td>
                                </tr>';
							}
							$all=$test.$body.$cur.$body2.$html.$footer;
					}
		
		
		//$this->load->helper(array('dompdf', 'file'));
		$nabas	=	$this->load->view('furniture/quotations/print_crushing_report',array('html' =>$all),true);
		//print $nabas;
		$this->load->library('dompdf_gen');
		
		// Convert to PDF
		$filename	=	"CRUSHING_REPORT".date("YmdHis").".pdf";
		$this->dompdf->load_html($nabas);
		$this->dompdf->render();
		$this->dompdf->stream($filename, array("Attachment" => false));
		
		//print $nabas;
		//pdf_create($nabas, 'testpdf');
		}
	}
}
?>