<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Cube_work_sheet extends CI_Controller {
	function Cube_work_sheet() {
		parent::__construct();
		if($this->session->userdata('user_logged_in') != true){
			$this->session->set_flashdata('response','<div class="alert alert-error">Unauthorised access. Login required.</div>');
			redirect('login');
		}
		if($this->crud_model->check_permission("cube_work_sheet_report","view")==false && $this->session->userdata('default_controller_name')!="cube_work_sheet/list_cube_work_sheet"){
			$this->session->set_flashdata('response','<div class="alert alert-error">You have no permission to access this page.Please contact administrator.</div>');
			redirect($this->session->userdata('default_controller_name'));
		}
		$this->load->library('form_validation');
		$this->load->library('pagination');
		$this->load->model('furniture_quotation_model');
		$this->load->helper('num_words');
	}
	function list_cube_work_sheet($work_order_no="NIL",$client_id="NIL",$project_id="NIL",$crushing_date="NIL") {
		$k=0;
		$sql='';
		if (@$this->input->post('crushing_date')) {
			$crushing_date =   date("Y-m-d", strtotime($this->input->post("crushing_date")));
		}elseif ($crushing_date != "NIL") {
			$crushing_date	=	date("Y-m-d", strtotime($crushing_date));
		} else {
			$crushing_date	= "";
		}
		if ($crushing_date != "NIL" and $crushing_date != ""){
			$k++;
			$sql	.= "where CS.`crushing_date` = '$crushing_date'";
		}
		
		if (@$this->input->post('work_order_no')) {
			$work_order_no =   $this->input->post("work_order_no");
		}elseif ($work_order_no != "NIL") {
			$work_order_no	=	$work_order_no;
		} else {
			$work_order_no	= "NIL";
		}
		
		
		if ($work_order_no != "NIL"){
			$k++;
			$sql	.= "and CS.`workorder_id` = '$work_order_no'";
		}
		
		if (@$this->input->post('client_id')) {
			$client_id =   $this->input->post("client_id");
		}elseif ($client_id != "NIL") {
			$client_id	=	$client_id;
		} else {
			$client_id	= "NIL";
		}
		
		if ($client_id != "NIL"){
			$sql	.= " and WOM.client_id='$client_id'";
		}
		
		if (@$this->input->post('project_id')) {
			$project_id =   $this->input->post("project_id");
		}elseif ($project_id != "NIL") {
			$project_id	=	$project_id;
		} else {
			$project_id	= "NIL";
		}
		
		if ($project_id != "NIL"){
			$sql	.= " and WOM.project_id='$project_id'";
		}
		
		
		$i=1;
		
		//w.test_name='Particle Size Distribution'
		//pagging start
		$config['uri_segment'] = 6;
        //$config['use_page_numbers'] = TRUE;
		$config['base_url'] = base_url() . "index.php/invoice/list_cube_work_sheet/";
        //$config["total_rows"] = $row_count_data->num_rows();
        $config['num_links'] = 10;
        $config["per_page"] = 1000000000000;
        $this->pagination->initialize($config);
        if ($this->uri->segment(6)) {
            $page = $this->uri->segment(6)*1000000000000-1000000000000;
            $i=$page+1;
        } else {
            $page = 0;
            $i=1;
        }
        //pagging end
		
		
		$data1				=	$this->db->query("SELECT CS.`cube_id`,CS.`workorder_id`,CS.`sample_no`,CS.`client_sample_id`,CS.`age`,CS.`crushing_date`,WOM.`client_name`,WOM.`mix_design`,WOM.`Received_Date`,WOM.`Casting_Date`,WOM.`project_name`,WOM.`project_id`,WOM.`client_id`,WOM.`division`,WOM.`work_order_no`,NCM.`client_address` FROM `cube_sample` CS INNER JOIN `work_order_main` WOM ON WOM.`id`=CS.`workorder_id` INNER JOIN `new_client_master` NCM ON NCM.client_id=WOM.client_id ".$sql." group by CS.`workorder_id`,CS.`crushing_date`");
		
		$data['records']	=	$data1->result_array();
		
		
		
		
		if ( $k==0 ){
			$search_count=0;
		} else {
			$search_count=1;
		}
		$data['project_id']	=	$project_id;
		$data['search_count']	=	$search_count;
		$data['pagination'] = $this->pagination->create_links();
		$this->load->view('templates/header');
		$this->load->view('manage/list_cube_work_sheet',$data);
		$this->load->view('templates/footer');
	}
	public function client_data(){
		$client_name	=	$this->input->post('client_name');
		$html	='';
		$job_data = $this->db->query("SELECT client_id,client_name FROM `new_client_master` WHERE `client_name` LIKE '%$client_name%'");
		if(count($job_data->result_array())>0){
		$html ='';
		foreach ($job_data->result_array() as $job_datas){
			 $html.='<li value="' .$job_datas['client_id'] .'" class="client_button0"><input type="hidden" class="client_cls" value="'.$job_datas['client_name'].'" />'.$job_datas['client_name'].'</li>';
		}
		} else {
			$html.='<li style="color:red;"> No Results Found </li>';
		}
		print $html;
	}
	public function project_details(){
		$client_id	=	$this->input->post('client_id');
		$html	='';
		$job_data = $this->db->query("SELECT * FROM `projects` WHERE `client_id`='$client_id'");
		if(count($job_data->result_array())>0){
		$html ='';
		foreach ($job_data->result_array() as $job_datas){
			 $html.='<li value="' .$job_datas['id'] .'" class="client_button1"><input type="hidden" class="project_cls" value="'.$job_datas['project_name'].'" />'.$job_datas['project_name'].'</li>';
		}
		} else {
			$html.='<li style="color:red;"> No Results Found </li>';
		}
		print $html;
	}
	public function client_search_cube(){
		$client_name	=	$this->input->post('client_name');
		$project_name	=	$this->input->post('project_name');
		 $html	='';
		$job_data = $this->db->query("SELECT CS.`cube_id`,CS.`workorder_id`,CS.`sample_no`,CS.`client_sample_id`,CS.`age`,CS.`crushing_date`,WOM.`client_name`,WOM.`mix_design`,WOM.`Received_Date`,WOM.`Casting_Date`,WOM.`project_name`,WOM.`project_id`,WOM.`client_id`,WOM.`division`,WOM.`work_order_no` FROM `cube_sample` CS INNER JOIN `work_order_main` WOM ON WOM.`id`=CS.`workorder_id` where WOM.`client_id`='$client_name' AND WOM.`project_id`='$project_name' group by WOM.`work_order_no`");
		
		 //WOM.`client_id`='$client_name' AND WOM.`project_id`='$project_name'
		if(count($job_data->result_array())>0){
		$html ='';
		foreach ($job_data->result_array() as $job_datas){
			 $html.='<li value="' .$job_datas['work_order_no'] .'" class="client_button" ><input type="hidden" class="division_cls" value="'.$job_datas['division'].'" /><input type="hidden" class="work_order_id_cls" value="'.$job_datas['workorder_id'].'" />'.$job_datas['work_order_no'].'</li>';
		}
		} else {
			$html.='<li style="color:red;"> No Results Found </li>';
		}
		print $html;
	}
	public function search_job(){
		$work_order_no	=	$this->input->post('work_order_no');
		 $html	='';
		$job_data = $this->db->query("SELECT CS.`cube_id`,CS.`workorder_id`,CS.`sample_no`,CS.`client_sample_id`,CS.`age`,CS.`crushing_date`,WOM.`client_name`,WOM.`mix_design`,WOM.`Received_Date`,WOM.`Casting_Date`,WOM.`project_name`,WOM.`project_id`,WOM.`client_id`,WOM.`division`,WOM.`work_order_no` FROM `cube_sample` CS INNER JOIN `work_order_main` WOM ON WOM.`id`=CS.`workorder_id` where WOM.`work_order_no` LIKE '%$work_order_no%'  group by WOM.`work_order_no`");
		if(count($job_data->result_array())>0){
		$html ='';
		foreach ($job_data->result_array() as $job_datas){
			  //nabas comment
			 //data-toggle="modal" data-target="#jobModal"
			 //comment end
			 $html.='<li value="' .$job_datas['work_order_no'] .'" class="client_button" ><input type="hidden" class="division_cls" value="'.$job_datas['division'].'" /><input type="hidden" class="work_order_id_cls" value="'.$job_datas['workorder_id'].'" />'.$job_datas['work_order_no'].'</li>';
		}
		} else {
			$html.='<li style="color:red;"> No Results Found </li>';
		}
		print $html;
	}
	
	
	
	public function export_cube_work_sheet($work_order_no="NIL",$client_id="NIL",$project_id="NIL",$crushing_date="NIL") {
		$k=0;
		$sql='';
		if (@$this->input->post('crushing_date')) {
			$crushing_date =   date("Y-m-d", strtotime($this->input->post("crushing_date")));
		}elseif ($crushing_date != "NIL") {
			$crushing_date	=	date("Y-m-d", strtotime($crushing_date));
		} else {
			$crushing_date	= "";
		}
		
		if ($crushing_date != "NIL"){
			$k++;
			$sql	.= "where CS.`crushing_date` = '$crushing_date'";
		}
		
		if (@$this->input->post('work_order_no')) {
			$work_order_no =   $this->input->post("work_order_no");
		}elseif ($work_order_no != "NIL") {
			$work_order_no	=	$work_order_no;
		} else {
			$work_order_no	= "NIL";
		}
		
		
		if ($work_order_no != "NIL"){
			$k++;
			$sql	.= "and CS.`workorder_id` = '$work_order_no'";
		}
		
		if (@$this->input->post('client_id')) {
			$client_id =   $this->input->post("client_id");
		}elseif ($client_id != "NIL") {
			$client_id	=	$client_id;
		} else {
			$client_id	= "NIL";
		}
		
		if ($client_id != "NIL"){
			$sql	.= " and WOM.client_id='$client_id'";
		}
		
		if (@$this->input->post('project_id')) {
			$project_id =   $this->input->post("project_id");
		}elseif ($project_id != "NIL") {
			$project_id	=	$project_id;
		} else {
			$project_id	= "NIL";
		}
		
		if ($project_id != "NIL"){
			$sql	.= " and WOM.project_id='$project_id'";
		}
		
		
		$i=1;
		
		$this->db->query("SET SQL_BIG_SELECTS=1");
		$data1				=	$this->db->query("SELECT CS.`cube_id`,CS.`workorder_id`,CS.`sample_no`,CS.`client_sample_id`,CS.`age`,CS.`crushing_date`,WOM.`client_name`,WOM.`mix_design`,WOM.`Received_Date`,WOM.`Casting_Date`,WOM.`project_name`,WOM.`project_id`,WOM.`client_id`,WOM.`division`,WOM.`work_order_no`,NCM.`client_address` FROM `cube_sample` CS INNER JOIN `work_order_main` WOM ON WOM.`id`=CS.`workorder_id` INNER JOIN `new_client_master` NCM ON NCM.client_id=WOM.client_id ".$sql);
		$records	=	$data1->result_array();
		
        	$list	='';
			$details    =   array();
			$total=0;
			$new1   =   array(
				"COMPRESSIVE STRENGTH OF CONCRETE CUBES",
			);
			array_push($details,$new1);
			
			$new2   =   array(
				"BS EN 12390 - Part 1:2012, Part 2:2009, Part 3:2009, Part 7:2009",
			);
			array_push($details,$new2);
			if($records){
				$new3   =   array(
					"Client",
					$records[0]['client_name'],
					"",
					"",
					"",
					"",
					"",
					"",
					"",
					"Report No.",
					"",
					$records[0]['work_order_no'].' -'.$records[0]['age'].'D',
					"",
					"",
				);
				array_push($details,$new3);
				$new4   =   array(
					"Address",
					$records[0]['client_address'],
					"",
					"",
					"",
					"",
					"",
					"",
					"",
					"Work order No.",
					"",
					$records[0]['work_order_no'],
					"",
					"",
				);
				array_push($details,$new4);
				
				$new5   =   array(
					"Project",
					$records[0]['project_name'],
					"",
					"",
					"",
					"",
					"",
					"",
					"",
					"Date of Cast",
					"",
					date("M d Y", strtotime($records[0]['Casting_Date'])),
					"",
					"",
				);
				array_push($details,$new5);
				
				$pro	=	$records[0]['project_name'];
										
				if (strpos($pro, '@') !== false) {
						$pieces = explode("@", $pro);
						if($pieces[1]!==''){
							$location=$pieces[1];
						} else {
							$location='';
						}
				} else {
					$location='';
				}
				
				$new6   =   array(
					"Location",
					$location,
					"",
					"",
					"",
					"",
					"",
					"",
					"",
					"Date sample Recd.",
					"",
					date("M d Y", strtotime($records[0]['Received_Date'])),
					"",
					"",
				);
				array_push($details,$new6);
				
				$new7   =   array(
					"",
					"",
					"",
					"",
					"",
					"",
					"",
					"",
					"",
					"Date of test",
					"",
					date("M d Y", strtotime($records[0]['crushing_date'])),
					"",
					"",
				);
				array_push($details,$new7);
				$new8   =   array(
						"",
						"",
						"",
						"",
						"",
						"",
						"",
						"",
						"",
						"Grade Of Concrete",
						"",
						$records[0]['mix_design'],
					);
					array_push($details,$new8);
					
					$new9   =   array(
						"Balance : ",
						"",
						"",
						"Compressive Machine : ",
						"",
						"",
						"Calliper : ",
						"",
						"",
						"Test Age",
						"",
						(string)$records[0]['age'],
						"",
					);
					array_push($details,$new9);
					$new10   =   array(
						"Feeler Guage : ",
						"",
						"",
						"Straight Edge :  ",
						"",
						"",
						"Right Angle :  ",
						"",
						"",
						"Surface Condition",
						"",
						"Moist",
						"Saturated",
						"",
					);
					array_push($details,$new10);
					$new11   =   array(
						"QEL Sample ID",
						"Client ID",
						"Dimensions (mm)",
						"",
						"",
						"Area (mm2)",
						"Flatness (mm)",
						"Perpendicularity (mm)",
						"Weight(kg)",
						"Load(kN)",
						"Density(kg/m3)",
						"Compressive Strength(N/mm2)",
						"Fracture Type",
						"Remarks",
					);
					array_push($details,$new11);
					$new12   =   array(
						"",
						"",
						"Height",
						"Width",
						"Length",
						"",
						"",
						"",
						"",
						"",
						"",
						"",
						"",
						"",
					);
					array_push($details,$new12);
					foreach($records as $record){
						$newloop    =   array(
							$record['sample_no'],
							$record['client_sample_id'],
							"",
							"",
							"",
							"",
							"",
							"",
							"",
							"",
							"",
							"",
							"",
							"",
						);
						array_push($details,$newloop);
					}
			}
			$head   =   array(
				"QEL -BAHRAIN BRANCH",
			);
			$this->load->library('Excel');
			$Excel = new Excel;
			$Excel->export_test($head, $details, 0, "CubeWorkSheet");
        	
	}
	public function print_cube_work_sheet($work_order_no="NIL",$client_id="NIL",$project_id="NIL",$crushing_date="NIL") {
		$k=0;
		$sql='';
		$body='';
		$body2='';
		$html='';
		$footer='';
		$footer2='';
		if (@$this->input->post('crushing_date')) {
			$crushing_date =   date("Y-m-d", strtotime($this->input->post("crushing_date")));
		}elseif ($crushing_date != "NIL") {
			$crushing_date	=	date("Y-m-d", strtotime($crushing_date));
		} else {
			$crushing_date	= "";
		}
		
		if ($crushing_date != "NIL"){
			$k++;
			$sql	.= "where CS.`crushing_date` = '$crushing_date'";
		}
		
		if (@$this->input->post('work_order_no')) {
			$work_order_no =   $this->input->post("work_order_no");
		}elseif ($work_order_no != "NIL") {
			$work_order_no	=	$work_order_no;
		} else {
			$work_order_no	= "NIL";
		}
		
		
		if ($work_order_no != "NIL"){
			$k++;
			$sql	.= "and CS.`workorder_id` = '$work_order_no'";
		}
		
		if (@$this->input->post('client_id')) {
			$client_id =   $this->input->post("client_id");
		}elseif ($client_id != "NIL") {
			$client_id	=	$client_id;
		} else {
			$client_id	= "NIL";
		}
		
		if ($client_id != "NIL"){
			$sql	.= " and WOM.client_id='$client_id'";
		}
		
		if (@$this->input->post('project_id')) {
			$project_id =   $this->input->post("project_id");
		}elseif ($project_id != "NIL") {
			$project_id	=	$project_id;
		} else {
			$project_id	= "NIL";
		}
		
		if ($project_id != "NIL"){
			$sql	.= " and WOM.project_id='$project_id'";
		}
		
		
		$i=1;
		$html='';
		$this->db->query("SET SQL_BIG_SELECTS=1");
		$data1				=	$this->db->query("SELECT CS.`cube_id`,CS.`workorder_id`,CS.`sample_no`,CS.`client_sample_id`,CS.`age`,CS.`crushing_date`,WOM.`client_name`,WOM.`mix_design`,WOM.`Received_Date`,WOM.`Casting_Date`,WOM.`project_name`,WOM.`project_id`,WOM.`client_id`,WOM.`division`,WOM.`work_order_no`,NCM.`client_address` FROM `cube_sample` CS INNER JOIN `work_order_main` WOM ON WOM.`id`=CS.`workorder_id` INNER JOIN `new_client_master` NCM ON NCM.client_id=WOM.client_id ".$sql);
		
		$records	=	$data1->result_array();
		$na_workorder_id	=	$records[0]['workorder_id'];
		$na_age	=	$records[0]['age'];
		
		$age_data				=	$this->db->query("SELECT max(CS.`age`) as age FROM `cube_sample` CS WHERE CS.`workorder_id`='$na_workorder_id'  and CS.`age`<'$na_age' ");
		
		if (count($age_data->row())!=0) {
			$pre_age= $age_data->row()->age;
			$max_cube_strength_data				=	$this->db->query("SELECT max(`cube_strength`) as max_cube_strength FROM `test_b` WHERE `wo_id`='$na_workorder_id' and `cube_age`='$pre_age'");
			if (count($max_cube_strength_data->row())>0) {
				$max_cube_strength= $max_cube_strength_data->row()->max_cube_strength;
			} else {
				$max_cube_strength='';
			}
			$min_cube_strength_data				=	$this->db->query("SELECT min(`cube_strength`) as min_cube_strength FROM `test_b` WHERE `wo_id`='$na_workorder_id' and `cube_age`='$pre_age'");
			if (count($min_cube_strength_data->row())>0) {
				$min_cube_strength= $min_cube_strength_data->row()->min_cube_strength;
			} else {
				$min_cube_strength='';
			}
		} else {
			$max_cube_strength='';
			$min_cube_strength='';
		}
		
		if ($max_cube_strength!='' and $min_cube_strength!=''){
			$na_rem=number_format($min_cube_strength,1).'-'.number_format($max_cube_strength,1);
		} else {
			$na_rem='';
		}
		
		$current_page_number=1;
		if (count($records)%10==0){
			$total_page=count($records)%10;
		} 
		if (count($records)<=10){
			$total_page=1;
		} else {
			if (count($records)%10==0){
				$total_page=count($records)/10;
			}  else {
				$total_page=	ceil(count($records)/10);
			}
		}
		$body.='<table width="100%" border="0" cellpadding="0" cellspacing="0" id="ashbar">
	<tr>
  		<td style="width:80%;">
        	<table width="100%" border="0" align="center" cellpadding="0" cellspacing="0">
				<tr>
      				<td width="80%" align="center">
                    	<h2 style="margin: 0 !important;font-size: 17px !important;">QEL -BAHRAIN BRANCH</h2>
                    </td>
					
    			</tr>
    			<tr>
      				<td width="30%" align="center">
                    	<p style="font-size: 14px !important;">WORKSHEET FOR CUBE COMPRESSIVE STRENGTH</p>
                    </td>
    			</tr>
				<tr>
      				<td width="30%" align="center">
                    	<p style="font-size: 14px !important;">BS EN 12390 - Part 1:2012, Part 2:2009, Part 3:2009, Part 7:2009</p>
                    </td>
    			</tr>
  			</table>
       	</td>
	
	<td><table width="100%" border="0" align="center" cellpadding="0" cellspacing="0"><td><tr><img src="'.base_url().'/images/company_logo/logo3.png" alt="" class="logoimg" style="height:60px;" /></td></tr>
	<tr>
      				<td width="30%" align="center">
                    	&nbsp;
                    </td>
    			</tr>
	</table></td></tr>
</table>
<table width="98%" border="0" align="center" cellpadding="0" cellspacing="0">
	
    <tr>
    	<td valign="top">';
					if($records != false) {
						if (strpos($records[0]['mix_design'], 'mm2') !== false) {
							$mix_design= str_replace("mm2", "mm<sup>2</sup>", $records[0]['mix_design']);
						} else {
							$mix_design=$records[0]['mix_design'];
						}
					$body.='<table width="100%" border="0" align="center" cellpadding="1" cellspacing="0">
                        		<tr>
                                <td colspan="2" class="arial_font_family" style="width:110px;">Client</td>	
                                <td colspan="7" class="arial_font_family" style="width:350px;">'.$records[0]['client_name'].'</td>	
                                <td colspan="2" class="arial_font_family" style="width:150px;">Report No</td>	
                                <td colspan="3" class="arial_font_family" style="width:80px;">'.$records[0]['work_order_no'].'/'.$records[0]['age'].'D'.'</td>
                                </tr>
                                <tr>
                                <td colspan="2" class="arial_font_family">Address</td>	
                                <td colspan="7" class="arial_font_family">'.$records[0]['client_address'].'</td>	
                                <td colspan="2" class="arial_font_family">Work order No.</td>	
                                <td colspan="3" class="arial_font_family">'.$records[0]['work_order_no'].'</td>
                                </tr>
                                <tr>
                                <td colspan="2" class="arial_font_family">Project</td>	
                                <td colspan="7" class="arial_font_family">'.$records[0]['project_name'].'</td>	
                                <td colspan="2" class="arial_font_family">Date of Cast</td>	
                                <td colspan="3" class="arial_font_family">'.date("M d Y", strtotime($records[0]['Casting_Date'])).'</td>
                                </tr>
                                <tr>
                                <td colspan="2" class="arial_font_family">Location</td>	
                                <td colspan="7" class="arial_font_family"></td>	
                                <td colspan="2" class="arial_font_family">Date sample Recd.</td>	
                                <td colspan="3" class="arial_font_family">'.date("M d Y", strtotime($records[0]['Received_Date'])).'</td>
                                </tr>
                                <tr>
                                <td colspan="2" class="arial_font_family">&nbsp;</td>	
                                <td colspan="7" class="arial_font_family"></td>	
                                <td colspan="2" class="arial_font_family">Date of test.</td>	
                                <td colspan="3" class="arial_font_family">'.date("M d Y", strtotime($records[0]['crushing_date'])).'</td>
                                </tr>
								<tr>
                                <td colspan="2" class="arial_font_family">&nbsp;</td>	
                                <td colspan="7" class="arial_font_family"></td>	
                                <td colspan="2" class="arial_font_family">Grade of Concrete.</td>	
                                <td colspan="3" class="arial_font_family">'.$mix_design.'</td>
                                </tr>
								<tr>
                                <td colspan="2" class="arial_font_family">&nbsp;</td>	
                                <td colspan="7" class="arial_font_family">&nbsp;</td>	
                                <td colspan="2" class="arial_font_family">&nbsp;</td>	
                                <td colspan="3" class="arial_font_family">&nbsp;</td>
                                </tr>
								</table>';
			$body.='<table width="100%" border="0" align="center" cellpadding="1" cellspacing="0">
                        		<tr>
                                <td colspan="2" class="arial_font_family" style="width:160px;">Balance : </td>	
                                <td colspan="3" class="arial_font_family" style="width:80px;">&nbsp;</td>	
								<td colspan="2" class="arial_font_family" style="width:250px;">Compressive Machine : </td>	
                                <td colspan="3" class="arial_font_family" style="width:110px;">&nbsp;</td>	
								<td colspan="2" class="arial_font_family" style="width:150px;">Calliper :  </td>	
                                <td colspan="3" class="arial_font_family" style="width:80px;">&nbsp;</td>
                                <td colspan="2" class="arial_font_family" style="width:200px;">Test Age</td>	
                                <td colspan="3" class="arial_font_family" style="width:200px;">'.$records[0]['age'].'</td>
                                </tr>
								<tr>
                                <td colspan="2" class="arial_font_family" >Feeler Guage :</td>	
                                <td colspan="3" class="arial_font_family" >&nbsp;</td>	
								<td colspan="2" class="arial_font_family" >Straight Edge : </td>	
                                <td colspan="3" class="arial_font_family" >&nbsp;</td>	
								<td colspan="2" class="arial_font_family" >Right Angle :  </td>	
                                <td colspan="3" class="arial_font_family" >&nbsp;</td>
                                <td colspan="2" class="arial_font_family" >Surface Condition</td>	
                                <td colspan="1" class="arial_font_family" >Moist</td>
								<td colspan="2" class="arial_font_family" >Saturated</td>
                                </tr>
								</table></td></tr></table>';
			$body.='<table width="98%" border="0" align="center" cellpadding="3" cellspacing="0"><tr>
                                <td colspan="2" class="border_left border_top">&nbsp;</td>
								<td colspan="2" class="border_left border_top">&nbsp;</td>
								<td  class="border_left border_top">&nbsp;</td>
                                <td colspan="3" align="center" class="arial_font_family border_left border_top">Dimensions (mm)</td>
								<td  class="border_left border_top">&nbsp;</td>
								<td  class="border_left border_top">&nbsp;</td>
								<td  class="border_left border_top">&nbsp;</td>
								<td  class="border_left border_top">&nbsp;</td>
								<td  class="border_left border_top">&nbsp;</td>
								<td  class="border_left border_top">&nbsp;</td>
                                <td  class="arial_font_family border_left border_top">&nbsp;</td>
								<td  class="arial_font_family border_left border_top">&nbsp;</td>
								<td  class="arial_font_family border_left border_top border_right">&nbsp;</td>
                                </tr>
                                <tr>
                                <td colspan="2" class="arial_font_family border_left border_bottom" align="center" style="width:16%">QEL Sample ID</td>
                                <td colspan="2" class="arial_font_family border_left border_bottom" align="center" style="width:13%;">Client ID</td>
                                <td class="arial_font_family border_left border_bottom" align="center" style="width:6.66%;">Checked 
                                Dims.<br>
                                within 
                                limit</td>
                                <td class="arial_font_family border_left border_bottom border_top" align="center" style="width:8%;">Height</td>
                                <td class="arial_font_family border_left border_bottom border_top" align="center" style="width:8%;">Width</td>
                                <td class="arial_font_family border_left border_bottom border_top" align="center" style="width:8%;">Length</td>
                                <td class="arial_font_family border_left border_bottom " align="center" style="width:8%;">Area<br> (mm<sup>2</sup>)</td>
								<td class="arial_font_family border_left border_bottom " align="center" style="width:4%;">Flatness <br/>(mm)</td>
                                <td class="arial_font_family border_left border_bottom " align="center"  style="width:5%;">Perpendi<br>cularity (mm)</td>
								
                                <td class="arial_font_family border_left border_bottom " align="center" style="width:8%;">Weight<br>(kg)</td>
								<td class="arial_font_family border_left border_bottom " align="center" style="width:8%;">Density<br>(kg/m<sup>3</sup>)</td>
                                <td class="arial_font_family border_left border_bottom " align="center" style="width:8%;">Load<br>(kN)</td>
								<td class="arial_font_family border_left border_bottom " align="center" style="width:8%;">Comp. Strength<br>
(N/mm<sup>2</sup>)</td>
								
                                <td class="arial_font_family border_left border_bottom" align="center" style="width:4%;">Fracture Type</td>
								<td class="arial_font_family border_left border_bottom border_right" align="center" style="width:15%;">Remarks</td>
                                </tr>';
								$footer.='</table>';
							/*$footer.='<table width="95%" border="0" align="center" cellpadding="1" cellspacing="0" id="footer">
									<tr><td colspan="21"  > &nbsp;
									</td></tr>
									</table>';*/
							$footer.='<table width="98%" border="0" align="center" cellpadding="3" cellspacing="0">
                        		<tr>
                                <td colspan="21" class="arial_font_family" style="width:700px">&nbsp;</td>
								<td class="arial_font_family" style="width:150px">WS-032</td>
								</tr>
								<tr>
                                <td colspan="21" class="arial_font_family">&nbsp;</td>
								<td class="arial_font_family">Issued On 16/02/2016</td>
								</tr>
								<tr>
                                <td colspan="3" class="arial_font_family">Tested by</td>
								<td colspan="4" class="arial_font_family">&nbsp;</td>
								<td colspan="3" class="arial_font_family">Witnessed by</td>
								<td colspan="4" class="arial_font_family">&nbsp;</td>
								<td colspan="3" class="arial_font_family">Checked by</td>
								<td colspan="4" class="arial_font_family">&nbsp;</td>
								<td class="arial_font_family">Rev-01</td>
								</tr>
								<tr>
                                <td colspan="3" class="arial_font_family">&nbsp;</td>
								<td colspan="4" class="arial_font_family">&nbsp;</td>
								<td colspan="3" class="arial_font_family">&nbsp;</td>
								<td colspan="4" class="arial_font_family">&nbsp;</td>
								<td colspan="3" class="arial_font_family">&nbsp;</td>
								<td colspan="4" class="arial_font_family">&nbsp;</td>';
								$footer2.='</tr>
								</table>';
								$n=0;
								$test='';
								$td_count=0;
											foreach($records as $record){
										$html.='<tr>
												<td colspan="2" class="arial_font_family border_left border_bottom" height="35">'.$record['sample_no'].'</td>
												<td colspan="2" class="arial_font_family border_left border_bottom">'.$record['client_sample_id'].'</td>
												<td  class="arial_font_family border_left border_bottom">&nbsp;</td>
												<td class="arial_font_family border_left border_bottom " align="center">&nbsp;</td>
												<td class="arial_font_family border_left border_bottom " align="center">&nbsp;</td>
												<td class="arial_font_family border_left border_bottom " align="center">&nbsp;</td>
												<td  class="arial_font_family border_left border_bottom">&nbsp;</td>
												<td  class="arial_font_family border_left border_bottom">&nbsp;</td>
												<td  class="arial_font_family border_left border_bottom">&nbsp;</td>
												<td  class="arial_font_family border_left border_bottom">&nbsp;</td>
												<td  class="arial_font_family border_left border_bottom">&nbsp;</td>
												<td  class="arial_font_family border_left border_bottom">&nbsp;</td>
												<td  class="arial_font_family border_left border_bottom">&nbsp;</td>
												<td  class="arial_font_family border_left border_bottom">&nbsp;</td>
												<td  class="arial_font_family border_left border_bottom border_right" >'.$na_rem.'</td>
												</tr>';
												$n++;
										$td_count++;
										if ($n%10==0){
											$break='<div class="pagebreak" style="page-break-after: always;">&nbsp;</div>';
											$cur='<td class="arial_font_family">Page No '.$current_page_number++.' of '.$total_page.'</td>';
											$test.=$body.$html.$footer.$cur.$footer2.$break;
											$html='';
											$td_count=0;
										} 
									}
											
								}
							$cur='<td class="arial_font_family">Page No '.$current_page_number++.' of '.$total_page.'</td>';
					if ($n%10==0){
							$all=$test;
					} else {
							for($x=0;$x<10-$td_count;$x++){
								$html.='<tr>
												<td colspan="2"  height="35">&nbsp;</td>
												<td colspan="2" >&nbsp;</td>
												<td >&nbsp;</td>
												<td align="center">&nbsp;</td>
												<td align="center">&nbsp;</td>
												<td align="center">&nbsp;</td>
												<td >&nbsp;</td>
												<td >&nbsp;</td>
												<td >&nbsp;</td>
												<td >&nbsp;</td>
												<td >&nbsp;</td>
												<td >&nbsp;</td>
												<td >&nbsp;</td>
												<td >&nbsp;</td>
												<td >&nbsp;</td>
												</tr>';
							}
							$all=$test.$body.$html.$footer.$cur.$footer2;
					}	
			$this->load->view('manage/print_cube_work_sheet',array('html' =>$all));
        	
        	
	}
}
?>