<?php
 if (!defined('BASEPATH')) exit('No direct script access allowed');
 
class Furnitures_invoice_c extends CI_Controller{
	function Furniture_quotation_client_project(){

		parent::__construct();

		if($this->session->userdata('user_logged_in') != true) {
			$this->session->set_flashdata('response','<div class="alert alert-error">Unauthorised access. Login required.</div>');
			redirect('login');
		}
		
		$this->load->library('form_validation');
		$this->load->helper('cookie','string');
		
	}
	function index($client="") {
		$quotation_number    = $this->input->post('quotation_number');
		$client    = $this->input->post('client');
		$this->load->view('templates/header');
		$this->load->model('invoice_model');
		$data['results'] = $this->invoice_model->selectcount();
		$data['h']=$this->invoice_model->list_details($quotation_number);
		$data['detail']=$this->invoice_model->getonerow($quotation_number);
		$data['sumdetail']=$this->invoice_model->getsumrow($quotation_number,$client);
		$data['client_det']=$client;
		$data['client_det_id']=$this->input->post('client_id');
		$list = $this->crud_model->get_list('division_id','division_name','company_division',array('select'=>' - Select - '));
		$data['division_list'] = $list;
		$this->load->view('furniture/quotations/invoice_view',$data);
		$this->load->view('templates/footer');
		
		if(isset($_POST["invoice_save"])) {
		$this->load->model("invoice_model");
		$this->invoice_model->invoice_submit();
		$this->session->set_flashdata('response', 'Invoice Created...');
		redirect('invoices');
		}
		
		
	}
	function search_quotation() {
	
		$search_name = trim($this->input->post('quotation_number_new_one'));
		$search_name1 = trim($this->input->post('textfield2'));
		
		$like=null;
		$array = explode("-",$search_name.'-0');
		$like=array('quotation_number'=>$array[1],'division_code'=>$array[0]);
		//$or_like=array('quotation_number'=>$search_name);
		$where=array('quotation_status'=>'Confirmed');
		$records['quotation_list']=$this->crud_model->get('view_furniture_quotations_client_project_users',
				$where,
				null,
				null,
				null,
				null,
				$like,
				null,null);
		
						
		if($records['quotation_list'] == false ){
			echo 0;
		} else {
			$records=html_escape($records);
			$this->load->view('furniture/quotations/quotation_search_result', $records);
			
		}
		
	}
	function search_client() {
	
		$search_name = trim($this->input->post('client'));
		
		$like=null;
		if($search_name!=''){
			$like=array('client_name'=>$search_name);
		}
		
		$records['client_list']=$this->crud_model->get('new_client_master',array(), null,null,null,null,$like,null);
						
		if($records['client_list'] == false ){
			echo 0;
		} else {
			$records=html_escape($records);
			$this->load->view('furniture/quotations/client_search_result', $records);
			
		}
		
	}
	public function add_new_client(){
		$client = $this->input->post('client_name');
		$this->load->model("invoice_model");
		$this->invoice_model->client_data_submit();
		$this->session->set_flashdata('message', 'New Client Added...');
		redirect('furniture/furnitures_invoice_c/index/'.$client);
   }
   /*public function insert_invoice(){
		$this->load->model("invoice_model");
		$this->invoice_model->invoice_submit();
		$this->session->set_flashdata('message', 'New Invoice Created...');
		redirect('furniture/furnitures_invoice_c');
   }*/
   public function edit($id){
			$this->load->model('invoice_model');
			$data['h1']=$this->invoice_model->invoice_getonerow($id);
			$data['h']=$this->invoice_model->list_invoice_details($id);
			$this->load->view('templates/header');
			$this->load->view('furniture/quotations/edit_invoice',$data);
			$this->load->view('templates/footer');
	}
  public function update(){
			$id = $this->input->post('invid');
			$this->load->model('invoice_model');
			$this->invoice_model->update($id);
			$this->session->set_flashdata('response', 'Invoice Updated...');
		    redirect('invoices');
	}
  public function delete($id){
			$this->load->model('invoice_model');
			$this->invoice_model->delete($id);
			$this->session->set_flashdata('response', 'Invoice Cancelled...');
		    redirect('invoices');
	}
  function sub_category() {
		$sub_category_name =  $this->input->post('sub_category');
		$this->db->like('item_name',$sub_category_name);
		$this->db->or_like('item_code', $sub_category_name);
		//$this->db->like('item_code',$sub_category_name);
		$query = $this->db->get('items');  
		if($query->num_rows() > 0){
					$item_list = $query->result_array();
					
					$java_script='<script type="text/javascript" >var item_list = new Array();';
					$html='<div id="search_result" ><table class="table table-bordered table-hover"><tr style="background:#434343; color:#FFFFFF;"><th>Item Code</th>
					<th>Item Name</th>
					<th>Selling Price</th>
					<th>Action</th>
					</tr>';

					foreach($item_list as $index=>$client_entry) {
						$java_script.="item_list[" . $index . "]=new Array();";
						$java_script.="item_list[" . $index . "][0]='" . $client_entry['item_name'] . "';";
						$java_script.="item_list[" . $index . "][1]='" . $client_entry['selling_price'] . "';";
						$java_script.="item_list[" . $index . "][2]='" . preg_replace( "/\r|\n/", " ", $client_entry['description'] ) . "';";
						
						$html.='<tr><td>'. $client_entry['item_code'] . '</td>
									<td>'. $client_entry['item_name'] . '</td>
									<td>'. $client_entry['selling_price'] . '</td>
									<td><button type="button" value="' .$index .'" class="client_button" style="background: #586688; color:#FFFFFF;">Select</button> </td>
						</tr>';
							
					}
					
				$java_script.='</script>';
				$html.='</table></div>';
				
				echo $java_script;
				echo $html;
		}
		else{
			return false;
		}
	}
} 
?>