<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Invoices extends CI_Controller {

	function Invoices() {
		parent::__construct();
		if($this->session->userdata('user_logged_in') != true)
		{
			$this->session->set_flashdata('response','<div class="alert alert-error">Unauthorised access. Login required.</div>');
			redirect('login');
		}
		$this->load->library('form_validation');
		$this->load->library('pagination');
		$this->load->model('furniture_quotation_model');
		$this->load->helper('num_words');
	}

	public function index($quotation_id=0) {

                $invoices = $this->furniture_quotation_model->get_all_invoices();

                /*
                foreach($invoices as $index =>$invoice){
			//var_dump($invoice);
			//echo "<br/><br/>";
			//$quotation_id = $invoice['id'];
			//$amount_paid = $this->furniture_quotation_model->get_paid_receipts_total($quotation_id);
			//$invoices[$index]['amount_paid'] =$amount_paid;
			//$invoices[$index]['balance_amount'] =$invoice['quotation_total']- $invoice['quotation_discount']- $amount_paid;
                        //$invoices[$index]['invoice_amount'] =$invoice['quotation_total']- $invoice['quotation_discount'];
		}*/
		//exit;
		$records['invoices'] = $invoices;
		//print_r($records['invoices']); exit;
		$this->load->view('templates/header');
		$this->load->view('manage/invoice',$records);
		$this->load->view('templates/footer');

                }

	public function invoice_sep($val=0) {
		if($val==1){
		$SQL = "`paid_amount`=(`invoice_percentage_amount` - `invoice_discount`) AND `invoice_status`!='1'";
		}
		if($val==2){
		$SQL = "`paid_amount`<(`invoice_percentage_amount` - `invoice_discount`) AND `paid_amount`!='0.00'";
		}
		if($val==3){
		$SQL = "`paid_amount`='0.00' AND `invoice_status`!='1'";
		}
		if($val==4){
		$SQL = "`invoice_status`='1'";
		}
		if($val==10){
		$SQL = "`invoice_status`='10'";
		}
		$rs = $this->db->query("SELECT * FROM furniture_invoice INNER JOIN company_division ON company_division.division_id = furniture_invoice.quotation_divisionid LEFT JOIN new_client_master ON new_client_master.client_id = furniture_invoice.client_id LEFT JOIN furniture_quotation ON furniture_quotation.id = furniture_invoice.quotation_id WHERE ".$SQL." ORDER BY invoice_date DESC");
		if($rs->num_rows() > 0){
			$records['invoices'] = $rs->result_array();
		}
		else{
			$records['invoices'] = false;
		}
		
		$this->load->view('templates/header');
		$this->load->view('manage/invoice',$records);
		$this->load->view('templates/footer');

     }
}

?>