<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Job_and_work_order extends CI_Controller {
	function Job_and_work_order() {
		parent::__construct();
		if($this->session->userdata('user_logged_in') != true){
			$this->session->set_flashdata('response','<div class="alert alert-error">Unauthorised access. Login required.</div>');
			redirect('login');
		}
		if($this->crud_model->check_permission("job_and_work_order","view")==false && $this->session->userdata('default_controller_name')!="job_and_work_order/list_job_and_work_order"){
			$this->session->set_flashdata('response','<div class="alert alert-error">You have no permission to access this page.Please contact administrator.</div>');
			redirect($this->session->userdata('default_controller_name'));
		}
		$this->load->library('form_validation');
		$this->load->library('pagination');
		$this->load->model('furniture_quotation_model');
		$this->load->helper('num_words');
	}
	function list_job_and_work_order($job_no="NIL",$client="NIL",$project_id="NIL") {
		$k=0;
		if (@$this->input->post('job_no')) {
			$job_no =   $this->input->post("job_no");
		}elseif ($job_no != "NIL") {
			$job_no	=	$job_no;
		} else {
			$job_no	= "NIL";
		}
		$sql='';
		
		if ($job_no != "NIL"){
			$k++;
			$sql	.= "where job_id = '$job_no'";
		}
		
		if (@$this->input->post('client')) {
			$client =   $this->input->post("client");
		}elseif ($client != "NIL") {
			$client	=	$client;
		} else {
			$client	= "NIL";
		}
		
		if ($client != "NIL"){
			$sql	.= " and client_id='$client'";
		}
		
		if (@$this->input->post('project_id')) {
			$project_id =   $this->input->post("project_id");
		}elseif ($project_id != "NIL") {
			$project_id	=	$project_id;
		} else {
			$project_id	= "NIL";
		}
		
		if ($project_id != "NIL"){
			$sql	.= " and project_id='$project_id'";
		}
		
		$row_count_data	=	$this->db->query("SELECT * FROM `work_order_main` " .$sql);
		//w.test_name='Particle Size Distribution'
		//pagging start
		$config['uri_segment'] = 6;
        //$config['use_page_numbers'] = TRUE;
		$config['base_url'] = base_url() . "index.php/invoice/list_job_and_work_order/".$job_no."/".$client."/".$project_id;
        $config["total_rows"] = $row_count_data->num_rows();
        $config['num_links'] = 10;
        $config["per_page"] = 1000000000000;
        $this->pagination->initialize($config);
        if ($this->uri->segment(6)) {
            $page = $this->uri->segment(6)*1000000000000-1000000000000;
            $i=$page+1;
        } else {
            $page = 0;
            $i=1;
        }
        //pagging end
		
		
		
		
		
		
		
		if ( $k==0 ){
			
			$data['records']	=NUll;
			$search_count=0;
		} else {
			$this->db->query("SET SQL_BIG_SELECTS=1");
			$data1				=	$this->db->query("SELECT * FROM `work_order_main`  " .$sql);
			$data['records']	=	$data1->result_array();
			$search_count=1;
		}
		$data['client']	=	$client;
		$data['project_id']	=	$project_id;
		$data['search_count']	=	$search_count;
		$data['pagination'] = $this->pagination->create_links();
		$this->load->view('templates/header');
		$this->load->view('manage/list_job_and_work_order',$data);
		$this->load->view('templates/footer');
	}
	
	
	function print_job_and_work_order($job_no="NIL",$client="NIL",$project_id="NIL") {
		$k=0;
		if (@$this->input->post('job_no')) {
			$job_no =   $this->input->post("job_no");
		}elseif ($job_no != "NIL") {
			$job_no	=	$job_no;
		} else {
			$job_no	= "NIL";
		}
		$sql='';
		
		if ($job_no != "NIL"){
			$k++;
			$sql	.= "where job_id = '$job_no'";
		}
		
		if (@$this->input->post('client')) {
			$client =   $this->input->post("client");
		}elseif ($client != "NIL") {
			$client	=	$client;
		} else {
			$client	= "NIL";
		}
		
		if ($client != "NIL"){
			$sql	.= " and client_id='$client'";
		}
		
		if (@$this->input->post('project_id')) {
			$project_id =   $this->input->post("project_id");
		}elseif ($project_id != "NIL") {
			$project_id	=	$project_id;
		} else {
			$project_id	= "NIL";
		}
		
		if ($project_id != "NIL"){
			$sql	.= " and project_id='$project_id'";
		}
		
		$row_count_data	=	$this->db->query("SELECT * FROM `work_order_main` " .$sql);
		//w.test_name='Particle Size Distribution'
		//pagging start
		$config['uri_segment'] = 6;
        //$config['use_page_numbers'] = TRUE;
		$config['base_url'] = base_url() . "index.php/invoice/list_un_invoice_work_order/".$job_no."/".$client."/".$project_id;
        $config["total_rows"] = $row_count_data->num_rows();
        $config['num_links'] = 10;
        $config["per_page"] = 1000000000000;
        $this->pagination->initialize($config);
        if ($this->uri->segment(6)) {
            $page = $this->uri->segment(6)*1000000000000-1000000000000;
            $i=$page+1;
        } else {
            $page = 0;
            $i=1;
        }
        //pagging end
		
		$this->db->query("SET SQL_BIG_SELECTS=1");
		$data1				=	$this->db->query("SELECT * FROM `work_order_main`  " .$sql);
		$data['records']	=	$data1->result_array();
		
		
		
		
		if ( $k==0 ){
			$search_count=0;
		} else {
			$search_count=1;
		}
		$data['client']	=	$client;
		$data['project_id']	=	$project_id;
		$data['search_count']	=	$search_count;
		$data['pagination'] = $this->pagination->create_links();
		//$this->load->view('templates/header');
		$this->load->view('manage/print_job_and_work_order',$data);
		//$this->load->view('templates/footer');
	}
	
	public function export_job_and_work_order($job_no="NIL",$client="NIL",$project_id="NIL") {
		$k=0;
		if (@$this->input->post('job_no')) {
			$job_no =   $this->input->post("job_no");
		}elseif ($job_no != "NIL") {
			$job_no	=	$job_no;
		} else {
			$job_no	= "NIL";
		}
		$sql='';
		
		if ($job_no != "NIL"){
			$k++;
			$sql	.= "where job_id = '$job_no'";
		}
		
		if (@$this->input->post('client')) {
			$client =   $this->input->post("client");
		}elseif ($client != "NIL") {
			$client	=	$client;
		} else {
			$client	= "NIL";
		}
		
		if ($client != "NIL"){
			$sql	.= " and client_id='$client'";
		}
		
		if (@$this->input->post('project_id')) {
			$project_id =   $this->input->post("project_id");
		}elseif ($project_id != "NIL") {
			$project_id	=	$project_id;
		} else {
			$project_id	= "NIL";
		}
		
		if ($project_id != "NIL"){
			$sql	.= " and project_id='$project_id'";
		}
		
		$row_count_data	=	$this->db->query("SELECT * FROM `work_order_main` " .$sql);
		//w.test_name='Particle Size Distribution'
		//pagging start
		$config['uri_segment'] = 6;
        //$config['use_page_numbers'] = TRUE;
		$config['base_url'] = base_url() . "index.php/invoice/list_un_invoice_work_order/".$job_no."/".$client."/".$project_id;
        $config["total_rows"] = $row_count_data->num_rows();
        $config['num_links'] = 10;
        $config["per_page"] = 1000000000000;
        $this->pagination->initialize($config);
        /*if ($this->uri->segment(6)) {
            $page = $this->uri->segment(6)*1000000000000-1000000000000;
            $i=$page+1;
        } else {
            $page = 0;
            $i=1;
        }*/
        //pagging end
		$i=1;
		
		$this->db->query("SET SQL_BIG_SELECTS=1");
		$data1				=	$this->db->query("SELECT * FROM `work_order_main`  " .$sql);
		$records	=	$data1->result_array();
		
        	$list	='';
			$details    =   array();
			$total=0;
        	foreach($records as $record){
				$work_order_no=$record['work_order_no'];
				$this->db->query("SET SQL_BIG_SELECTS=1");
				$data1 = $this->db->query("SELECT * FROM `work_order`  where work_order_no ='" .$work_order_no."'" );
				$work_order_details =	$data1->result_array();
				foreach($work_order_details as $work_order_detail) {
					$amount = ($work_order_detail['quantity']*$work_order_detail['rate'])-$work_order_detail['discount'];
					if ($work_order_detail['sub_clause']!=''){ $sub_clause='-'.$work_order_detail['sub_clause']; } else { $sub_clause=''; }
					if ($work_order_detail['uom']!=''){ $uom=$work_order_detail['uom']; } else { $uom=''; }

					$new    =   array(
							$i++,
							$record['work_order_no'],
							date("M d Y", strtotime($record['work_order_date'])),
							$record['client_name'],
							$record['project_name'],
							$work_order_detail['item_name'].''.$sub_clause,
							$work_order_detail['quantity'].' '.$uom,
							number_format($amount,3),
							number_format($work_order_detail['quantity']*$amount,3),
						);
						array_push($details,$new);
					}
				}
					
					$head   =   array(
						"No",
						"Work Order No",
						"Work Order Date",
						"Client Name",
						"Project Name",
						"Test",
						"Qty",
						"Rate",
						"Amount",
					);
        			$this->load->library('Excel');
        			$Excel = new Excel;
        			$Excel->export($head, $details, 0, "JobAndWorkOrder");
					
	}
}
?>