<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Job_wise_qty extends CI_Controller {
	function Job_wise_qty() {
		parent::__construct();
		if($this->session->userdata('user_logged_in') != true){
			$this->session->set_flashdata('response','<div class="alert alert-error">Unauthorised access. Login required.</div>');
			redirect('login');
		}
		if($this->crud_model->check_permission("job_wise_qty","view")==false && $this->session->userdata('default_controller_name')!="job_wise_qty/report"){
			$this->session->set_flashdata('response','<div class="alert alert-error">You have no permission to access this page.Please contact administrator.</div>');
			redirect($this->session->userdata('default_controller_name'));
		}
		$this->load->library('form_validation');
		$this->load->library('pagination');
		$this->load->model('furniture_quotation_model');
		$this->load->helper('num_words');
	}
	function report() {
		
		
		$this->load->view('templates/header');
		$this->load->view('manage/job_wise_qty');
		$this->load->view('templates/footer');
	}

	public function search_job(){
		$job_no	=	$this->input->post('job_no');
		 $html	='';
		$job_data = $this->db->query("SELECT * FROM `jobs` where status='1' and division='M' and job_no LIKE '%$job_no%' limit 25 ");
		if(count($job_data->result_array())>0){
		$html ='';
		foreach ($job_data->result_array() as $job_datas){
			 $html.='<li value="' .$job_datas['job_id'] .'" class="client_button" ><input type="hidden" class="division_cls" value="'.$job_datas['division'].'" /><input type="hidden" class="job_no" value="'.$job_datas['job_no'].'" />'.$job_datas['job_no'].'</li>';
		}
		} else {
			$html.='<li style="color:red;"> No Results Found </li>';
		}
		print $html;
	}
	
	public function export_job_wise_qty($from="NIL",$to="NIL",$status="NIL",$job_id="NIL"){ 
		$k=0;
		
		$sql='';
		
		if (@$this->input->post('from')) {
			$from =   $this->input->post("from");
		}elseif ($from != "NIL") {
			$from	=	$from;
		} else {
			$from	= "NIL";
		}
		
		if ($from != "NIL" && $to != "NIL"){
			$sql	.= " and j.job_date BETWEEN '$from' AND '$to'";
		}

		if ($job_id != "NIL"){
			$sql	.= " and j.job_id=$job_id";
		}
		
		if (@$this->input->post('status')) {
			$status =   $this->input->post("status");
		}elseif ($status != "NIL") {
			$status	=	$status;
		} else {
			$status	= "NIL";
		}
		
		/* if ($status != "NIL"){
			if ($status=='1'){
				$sql	.= " and invoice_status='1'";
			} else if ($status=='0') {
				$sql	.= " and invoice_status='0'";
			} else if ($status=='10') {
				$sql	.= " and invoice_status='10'";
			} else {
				$sql	.= "";
			}
			
		} */
		

		$invoice_data 		  = $this->db->query("SELECT j.`job_id`,j.job_no,j.job_date,j.lpo_no,j.lpo_date,jd.test_name,sum(jd.quantity) as total_qty,jd.id as job_details_id FROM jobs j inner join `job_details` jd on j.job_id=jd.job_id  WHERE j.type='actuals' ".$sql." group by j.`job_id`,jd.item_id,item_order,test_name");
		//$invoice_data			=	$this->db->query("SELECT * FROM `furniture_invoice` ".$sql);
		
		
		$invoice_data_array	=	$invoice_data->result_array();
		
		$list	='';
		$details    =   array();
		$i=1;
		$Grand_total=0;
		foreach ($invoice_data_array as $invoice_data_arrays){
			//,
			//inner join `work_order` wo on jd.id=wo.`job_details_id`
			$this->db->query("SET SQL_BIG_SELECTS=1");

			$job_details_id	= $invoice_data_arrays['job_details_id'];

			$wo_count = $this->db->query("SELECT sum(wo.`quantity`) as tested_qty FROM `work_order` wo WHERE wo.status='1' AND wo.`job_details_id`=$job_details_id");
			$wo_data=$wo_count->result_array();
			if($wo_data!=false){
				$tested_qty = $wo_data[0]['tested_qty'];
				$balance_qty = $invoice_data_arrays['total_qty']-$wo_data[0]['tested_qty'];
			} else {
				$tested_qty = 0;
				$balance_qty = 0;
			}
			
			if($invoice_data_arrays['lpo_date']!='00-00-0000' && $invoice_data_arrays['lpo_date']!='0000-00-00' && $invoice_data_arrays['lpo_date']!='' && $invoice_data_arrays['lpo_date']!=NULL){
				$lpo_date = date("M d Y",strtotime($invoice_data_arrays['lpo_date']));
			} else {
				$lpo_date = '';
			}
			
			$new    =   array(
						$i++,
						$invoice_data_arrays['job_no'],
						date("M d Y",strtotime($invoice_data_arrays['job_date'])),
						$invoice_data_arrays['lpo_no'],
						$lpo_date,
						$invoice_data_arrays['test_name'],
						$invoice_data_arrays['total_qty'],
						$tested_qty,
						$balance_qty,
					);
			array_push($details,$new);
		}
		
		
		$head   =   array(
			"No",
			"Job No",
			"Job Date",
			"LPO No",
			"LPO Date",
			"Item Name",
			"Total Qty",
			"Consumed Qty",
			"Balance Qty",
		);
		$this->load->library('Excel');
        $Excel = new Excel;
        $Excel->export($head, $details, 0, "JobwiseQuantity");
					
	}
}
?>