<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Uninvoice_report extends CI_Controller {
	function Uninvoice_report() {
		parent::__construct();
		if($this->session->userdata('user_logged_in') != true){
			$this->session->set_flashdata('response','<div class="alert alert-error">Unauthorised access. Login required.</div>');
			redirect('login');
		}
		
		$this->load->library('form_validation');
		$this->load->library('pagination');
		$this->load->model('furniture_quotation_model');
		$this->load->helper('num_words');
	}
	function list_un_invoice_work_order($work_order_date="NIL",$client="NIL",$project_id="NIL",$type="NIL") {
		if (@$this->input->post('work_order_date')) {
			$work_order_date =   $this->input->post("work_order_date");
		}elseif ($work_order_date != "NIL") {
			$work_order_date	=	$work_order_date;
		} else {
			$work_order_date	= "NIL";
		}
		$sql='';
		
		if ($work_order_date != "NIL"){
			$sql	.= " and work_order_date <= '$work_order_date'";
		}
		
		if (@$this->input->post('client_id')) {
			$client =   $this->input->post("client_id");
		}elseif ($client != "NIL") {
			$client	=	$client;
		} else {
			$client	= "NIL";
		}
		
		if ($client != "NIL"){
			$sql	.= " and client_id='$client'";
		}
		
		if (@$this->input->post('project_id')) {
			$project_id =   str_replace("%20"," ",$this->input->post("project_id"));
		}elseif ($project_id != "NIL") {
			$project_id	=	str_replace("%20"," ",$project_id);
		} else {
			$project_id	= "NIL";
		}
		
		if ($project_id != "NIL"){
			$sql	.= " and project_id='$project_id'";
		}
		
		if (@$this->input->post('type')) {
			$type =   $this->input->post("type");
		} elseif ($type != "NIL") {
			$type	=	$type;
		} else {
			$type	= "NIL";
		}
		$where='';
		if ($type != "NIL"){
			if($type=='Approved'){
				$where	.= "  where status=1";
			} elseif($type=='Unapproved'){
				$where	.= "  where status=2";
			}
		}
		
		$row_count_data	=	$this->db->query("select work_order_no, work_order_date, client_name, project_name from work_order_main ".$where." and work_order_no not in (select distinct(work_order_number) from furniture_invoice_details
inner join furniture_invoice ON furniture_invoice.invoice_id=furniture_invoice_details.invoice_id where invoice_status = 1 OR invoice_status='10' ) ".$sql." order by client_name, project_name");

	// and work_order_no NOT IN (SELECT work_order_no FROM `work_order` WHERE `test_name`='spare' )	
		//pagging start
		$config['uri_segment'] = 7;
        //$config['use_page_numbers'] = TRUE;
		$config['base_url'] = base_url() . "index.php/invoice/list_un_invoice_work_order/".$work_order_date."/".$client."/".$project_id;
        $config["total_rows"] = $row_count_data->num_rows();
        $config['num_links'] = 10;
        $config["per_page"] = 1000000000000;
        $this->pagination->initialize($config);
        if ($this->uri->segment(7)) {
            $page = $this->uri->segment(7)*1000000000000-1000000000000;
            $i=$page+1;
        } else {
            $page = 0;
            $i=1;
        }
        //pagging end
		
		if ($project_id!='NIL'){
			
		}
		
		$data1				=	$this->db->query("select work_order_no, work_order_date, client_name, project_name from work_order_main ".$where." and work_order_no not in (select distinct(work_order_number) from furniture_invoice_details
inner join furniture_invoice ON furniture_invoice.invoice_id=furniture_invoice_details.invoice_id where invoice_status = 1 OR invoice_status='10' )  ".$sql."  order by client_name, project_name limit ".$page.",".$config["per_page"]);
		
	//and work_order_no NOT IN (SELECT work_order_no FROM `work_order` WHERE `test_name`='spare' )	
		$data['records']	=	$data1->result_array();
		$data['work_order_date']	=	$work_order_date;
		$data['client']	=	$client;
		$data['project_id']	=	$project_id;
		$data['type']	=	$type;
		$data['pagination'] = $this->pagination->create_links();
		$this->load->view('templates/header');
		$this->load->view('manage/list_un_invoice_work_order',$data);
		$this->load->view('templates/footer');
	}
	
	function print_un_invoice_work_order($work_order_date="NIL",$client="NIL",$project_id="NIL",$type="NIL") {
		if (@$this->input->post('work_order_date')) {
			$work_order_date =   $this->input->post("work_order_date");
		}elseif ($work_order_date != "NIL") {
			$work_order_date	=	$work_order_date;
		} else {
			$work_order_date	= "NIL";
		}
		$sql='';
		
		if ($work_order_date != "NIL"){
			$sql	.= " and work_order_date <= '$work_order_date'";
		}
		
		if (@$this->input->post('client_id')) {
			$client =   $this->input->post("client_id");
		}elseif ($client != "NIL") {
			$client	=	$client;
		} else {
			$client	= "NIL";
		}
		
		if ($client != "NIL"){
			$sql	.= " and client_id='$client'";
		}
		
		if (@$this->input->post('project_id')) {
			$project_id =   str_replace("%20"," ",$this->input->post("project_id"));
		}elseif ($project_id != "NIL") {
			$project_id	=	str_replace("%20"," ",$project_id);
		} else {
			$project_id	= "NIL";
		}
		
		if ($project_id != "NIL"){
			$sql	.= " and project_id='$project_id'";
		}
		
		if (@$this->input->post('type')) {
			$type =   $this->input->post("type");
		} elseif ($type != "NIL") {
			$type	=	$type;
		} else {
			$type	= "NIL";
		}
		$where='';
		if ($type != "NIL"){
			if($type=='Approved'){
				$where	.= "  where status=1";
			} elseif($type=='Unapproved'){
				$where	.= "  where status=2";
			}
		}
		
		$row_count_data	=	$this->db->query("select work_order_no, work_order_date, client_name, project_name from work_order_main ".$where." and work_order_no not in (select distinct(work_order_number) from furniture_invoice_details
inner join furniture_invoice ON furniture_invoice.invoice_id=furniture_invoice_details.invoice_id where invoice_status = 1 OR invoice_status='10' ) ".$sql." order by client_name, project_name");
		
		//pagging start
		$config['uri_segment'] = 7;
        //$config['use_page_numbers'] = TRUE;
		$config['base_url'] = base_url() . "index.php/invoice/list_un_invoice_work_order/".$work_order_date."/".$client."/".$project_id;
        $config["total_rows"] = $row_count_data->num_rows();
        $config['num_links'] = 10;
        $config["per_page"] = 1000000000000;
        $this->pagination->initialize($config);
        if ($this->uri->segment(7)) {
            $page = $this->uri->segment(7)*1000000000000-1000000000000;
            $i=$page+1;
        } else {
            $page = 0;
            $i=1;
        }
        //pagging end
		
		if ($project_id!='NIL'){
			
		}
		
		$data1				=	$this->db->query("select work_order_no, work_order_date, client_name, project_name from work_order_main ".$where." and work_order_no not in (select distinct(work_order_number) from furniture_invoice_details
inner join furniture_invoice ON furniture_invoice.invoice_id=furniture_invoice_details.invoice_id where invoice_status = 1 OR invoice_status='10' )  ".$sql."  order by client_name, project_name limit ".$page.",".$config["per_page"]);
		
		$data['records']	=	$data1->result_array();
		$data['work_order_date']	=	$work_order_date;
		$data['client']	=	$client;
		$data['project_id']	=	$project_id;
		$data['type']	=	$type;
		$data['pagination'] = $this->pagination->create_links();
		//$this->load->view('templates/header');
		$this->load->view('manage/print_un_invoice_work_order',$data);
		//$this->load->view('templates/footer');
	}
	
	function project_list() {
		$client_id 		= 	$this->input->post('client_id');
		$data_val 		= 	$this->db->query("SELECT id,project_name FROM `projects` WHERE client_id='$client_id'");
		$method_list	=	$data_val->result_array();				
		if($method_list != false ){
			$html = '<option value="">-- select --</option>';
			foreach($method_list as $method_lists){
				$html .= '<option value="'.$method_lists['id'].'">'.$method_lists['project_name'].'</option>';
			}
			echo $html;
		}else{
			echo 0;
		}
	}
	public function export_un_invoice_work_order($work_order_date="NIL",$client="NIL",$project_id="NIL",$type="NIL") {
		if (@$this->input->post('work_order_date')) {
			$work_order_date =   $this->input->post("work_order_date");
		}elseif ($work_order_date != "NIL") {
			$work_order_date	=	$work_order_date;
		} else {
			$work_order_date	= "NIL";
		}
		$sql='';
		
		if ($work_order_date != "NIL"){
			$sql	.= " and work_order_date <= '$work_order_date'";
		}
		
		if (@$this->input->post('client_id')) {
			$client =   $this->input->post("client_id");
		}elseif ($client != "NIL") {
			$client	=	$client;
		} else {
			$client	= "NIL";
		}
		
		if ($client != "NIL"){
			$sql	.= " and client_id='$client'";
		}
		
		if (@$this->input->post('project_id')) {
			$project_id =   str_replace("%20"," ",$this->input->post("project_id"));
		}elseif ($project_id != "NIL") {
			$project_id	=	str_replace("%20"," ",$project_id);
		} else {
			$project_id	= "NIL";
		}
		
		if ($project_id != "NIL"){
			$sql	.= " and project_id='$project_id'";
		}
		
		if (@$this->input->post('type')) {
			$type =   $this->input->post("type");
		} elseif ($type != "NIL") {
			$type	=	$type;
		} else {
			$type	= "NIL";
		}
		$where='';
		if ($type != "NIL"){
			if($type=='Approved'){
				$where	.= "  where status=1";
			} elseif($type=='Unapproved'){
				$where	.= "  where status=2";
			}
		}
		
		$row_count_data	=	$this->db->query("select work_order_no, work_order_date, client_name, project_name from work_order_main ".$where." and work_order_no not in (select distinct(work_order_number) from furniture_invoice_details
inner join furniture_invoice ON furniture_invoice.invoice_id=furniture_invoice_details.invoice_id where invoice_status = 1 OR invoice_status='10' )  ".$sql." order by client_name, project_name");
		
		//pagging start
		$config['uri_segment'] = 6;
        //$config['use_page_numbers'] = TRUE;
		$config['base_url'] = base_url() . "index.php/invoice/list_un_invoice_work_order/".$work_order_date."/".$client."/".$project_id;
        $config["total_rows"] = $row_count_data->num_rows();
        $config['num_links'] = 10;
        $config["per_page"] = 1000000000000;
        $this->pagination->initialize($config);
        if ($this->uri->segment(6)) {
            $page = $this->uri->segment(6)*1000000000000-1000000000000;
            $i=$page+1;
        } else {
            $page = 0;
            $i=1;
        }
        //pagging end
		
	
		
		$data1				=	$this->db->query("select work_order_no, work_order_date, client_name, project_name from work_order_main ".$where." and work_order_no not in (select distinct(work_order_number) from furniture_invoice_details
inner join furniture_invoice ON furniture_invoice.invoice_id=furniture_invoice_details.invoice_id where invoice_status = 1 OR invoice_status='10' ) ".$sql."  order by client_name, project_name limit ".$page.",".$config["per_page"]);
		
		$records	=	$data1->result_array();
		
        	$list	='';
			$details    =   array();
        	foreach($records as $record){
				
						$new    =   array(
							$i++,
							$record['work_order_no'],
							date("M d Y", strtotime($record['work_order_date'])),
							$record['client_name'],
							$record['project_name']
						);
						array_push($details,$new);
					
					} 
					$head   =   array(
						"No",
						"Work Order No",
						"Work Order Date",
						"Client Name",
						"Project Name"
					);
        			$this->load->library('Excel');
        			$Excel = new Excel;
        			$Excel->export($head, $details, 0, "Uninvoiced");
					
	}
}
?>