<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Work_order_listing extends CI_Controller {
	function Work_order_listing() {
		parent::__construct();
		if($this->session->userdata('user_logged_in') != true){
			$this->session->set_flashdata('response','<div class="alert alert-error">Unauthorised access. Login required.</div>');
			redirect('login');
		}
		if($this->crud_model->check_permission("work_order_listing","view")==false && $this->session->userdata('default_controller_name')!="work_order_listing/list_work_order"){
			$this->session->set_flashdata('response','<div class="alert alert-error">You have no permission to access this page.Please contact administrator.</div>');
			redirect($this->session->userdata('default_controller_name'));
		}
		$this->load->library('form_validation');
		$this->load->library('pagination');
		$this->load->model('furniture_quotation_model');
		$this->load->helper('num_words');
	}
	function list_work_order($item_name="NIL",$test_name="NIL",$from="NIL",$to="NIL",$client="NIL",$project_id="NIL") {
		
		
		$this->load->view('templates/header');
		$this->load->view('manage/list_work_order');
		$this->load->view('templates/footer');
	}
	
	function list_work_order_17($item_name="NIL",$test_name="NIL",$from="NIL",$to="NIL",$client="NIL",$project_id="NIL") {
		
		
		$this->load->view('templates/header');
		$this->load->view('manage/list_work_order_17');
		$this->load->view('templates/footer');
	}
	
	public function export_work_order_listing($from="NIL",$to="NIL",$status="NIL",$type="NIL") {
		$k=0;
		
		$sql='';
		
		if (@$this->input->post('type')) {
			$type =   $this->input->post("type");
		}elseif ($type != "NIL") {
			$type	=	$type;
		} else {
			$type	= "NIL";
		}
		
		if (@$this->input->post('from')) {
			$from =   $this->input->post("from");
		}elseif ($from != "NIL") {
			$from	=	$from;
		} else {
			$from	= "NIL";
		}
		
		if ($from != "NIL" && $to != "NIL"){
			if ($type=='wod'){
				$sql	.= " WHERE WMO.work_order_date BETWEEN '$from' AND '$to'";
			} else if( $type=='ssd' ) {
				$sql	.= " WHERE WMO.sampled_submitted_date BETWEEN '$from' AND '$to'";
			}
		}
		
		if (@$this->input->post('status')) {
			$status =   $this->input->post("status");
		}elseif ($status != "NIL") {
			$status	=	$status;
		} else {
			$status	= "NIL";
		}
		
		
		
		if ($status != "NIL"){
			if ($status=='1'){
				$sql	.= " and WMO.status='1'";
			} else if ($status=='2') {
				$sql	.= " and WMO.status='2'";
			} else if ($status=='0') {
				$sql	.= " and WMO.status='0'";
			} else {
				$sql	.= "";
			}
			
		}
		$this->db->query("SET SQL_BIG_SELECTS=1");
		$work_order_sub2			=	$this->db->query("SELECT WOR.`work_order_no`,WOR.`work_order_id`,WOR.`report_no`,WOR.`repoert_no_2`,WMO.`work_order_date`,WMO.`project_name`,WMO.`client_name`,WMO.`sampled_submitted_date` FROM `work_order_reports` WOR INNER JOIN `work_order_main` WMO on WOR.`work_order_no`=WMO.`work_order_no` INNER JOIN jobs J ON J.job_id=WMO.job_id ".$sql);
		
		
		$work_order_main	=	$work_order_sub2->result_array();
		
		$list	='';
		$details    =   array();
		$m=1;
		/*foreach ($work_order_main as $work_order_mains){
			
			$work_order_no	=	$work_order_mains['work_order_no'];
			
			$work_order_sub22			=	$this->db->query("SELECT work_order_no,item_id,sample_no,item_name,sub_clause,item_order FROM `work_order` WHERE work_order_no='$work_order_no' GROUP BY item_name,item_order");
			$work_order			=	$work_order_sub22->result_array();
			if($work_order!=false && $work_order_mains!="C"){
							$k=1;
							foreach($work_order as $work_orders){
								$work_order_details	=	$this->crud_model->get('work_order',array('work_order_no'=>$work_orders['work_order_no'],'item_id'=>$work_orders['item_id'],'item_order'=>$work_orders['item_order'])); 
								for($i=0;$i<$work_orders['sample_no'];$i++) {
									
									if($work_order_details!=false){ $j=1;
									foreach($work_order_details as $work_order_detail){
										$pro	=	$work_order_mains['project_name'];
										
										if (strpos($pro, '@') !== false) {
   												$pieces = explode("@", $pro);
												if($pieces[1]!==''){
													$location=$pieces[1];
												} else {
													$location='';
												}
										} else {
											$location='';
										}
										
										$new    =   array(
													$m++,
													date("M d Y",strtotime($work_order_detail['work_order_date'])),
													$work_order_detail['work_order_no'],
													$work_order_mains['client_name'],
													$work_order_mains['project_name'],
													$location,
													$work_orders['item_name'],
													$work_order_detail['test_name'],
													$work_order_detail['test_method'],
													$work_order_detail['work_order_no'].'-'.($k).'-'.$j,
													$work_order_detail['quantity'],
													$work_order_detail['uom']
												);
									array_push($details,$new);
									
									
									$j++;
									
									}
									}
									$k++;
								}
							}
			}
			
		}*/
		foreach ($work_order_main as $work_order_mains){
			$work_order_details_id	=	$work_order_mains['work_order_id'];
			$work_order_details	=	$this->crud_model->get('work_order',array('id'=>$work_order_details_id)); 
			$pro	=	$work_order_mains['project_name'];

			$work_files_data	=	$this->crud_model->get('work_files',array('work_id'=>$work_order_mains['work_order_no']));
			if($work_files_data!=false){
				$no_file	=	'';
			} else {
				$no_file	=	'No Files Available';
			}
										
			if (strpos($pro, '@') !== false) {
					$pieces = explode("@", $pro);
					if($pieces[1]!==''){
						$location=$pieces[1];
					} else {
						$location='';
					}
			} else {
				$location='';
			}
			/*$work_orders['item_name'],
								$work_order_detail['test_name'],
								$work_order_detail['test_method'],
								$work_order_detail['work_order_no'].'-'.($k).'-'.$j,
								$work_order_detail['quantity'],
								$work_order_detail['uom']*/
								if($work_order_details[0]['quantity']==0){
									$hold_qty	=	$work_order_details[0]['hold_qty'];
								} else {
									$hold_qty	= NULL;
								}
			$new    =   array(
								$m++,
								date("M d Y",strtotime($work_order_mains['work_order_date'])),
								$work_order_mains['work_order_no'],
								date("M d Y",strtotime($work_order_mains['sampled_submitted_date'])),
								$work_order_mains['client_name'],
								$work_order_mains['project_name'],
								$location,
								$work_order_details[0]['item_name'],
								$work_order_details[0]['test_name'],
								$work_order_details[0]['test_method'],
								$work_order_mains['report_no'],
								$work_order_details[0]['quantity'],
								$work_order_details[0]['uom'],
								$hold_qty,
								$no_file,
							);
				array_push($details,$new);
			
		}
		
		$head   =   array(
			"No",
			"Work Order Date",
			"Work Order No",
			"Samples / Submitted Date",
			"Client Name",
			"Project Name",
			"Location",
			"Item Name",
			"Test Name",
			"Test Method",
			"Report No",
			"Quantity",
			"Unit Of Measurement",
			"Hold Qty"
		);
		$this->load->library('Excel');
        $Excel = new Excel;
        $Excel->export($head, $details, 0, "WorkOrderListing");
					
	}
	
	
	public function export_work_order_listing_17($from="NIL",$to="NIL",$status="NIL",$type="NIL") {
		$k=0;
		
		$sql='';
		
		if (@$this->input->post('type')) {
			$type =   $this->input->post("type");
		}elseif ($type != "NIL") {
			$type	=	$type;
		} else {
			$type	= "NIL";
		}
		
		if (@$this->input->post('from')) {
			$from =   $this->input->post("from");
		}elseif ($from != "NIL") {
			$from	=	$from;
		} else {
			$from	= "NIL";
		}
		
		if ($from != "NIL" && $to != "NIL"){
			if ($type=='wod'){
				$sql	.= " WHERE WMO.work_order_date BETWEEN '$from' AND '$to'";
			} else if( $type=='ssd' ) {
				$sql	.= " WHERE WMO.sampled_submitted_date BETWEEN '$from' AND '$to'";
			}
		}
		
		
		if (@$this->input->post('status')) {
			$status =   $this->input->post("status");
		}elseif ($status != "NIL") {
			$status	=	$status;
		} else {
			$status	= "NIL";
		}
		
		if ($status != "NIL"){
			if ($status=='1'){
				$sql	.= " and WMO.status='1'";
			} else if ($status=='2') {
				$sql	.= " and WMO.status='2'";
			} else if ($status=='0') {
				$sql	.= " and WMO.status='0'";
			} else {
				$sql	.= "";
			}
			
		}
		$this->db->query("SET SQL_BIG_SELECTS=1");
		$work_order_sub2			=	$this->db->query("SELECT WMO.`work_order_no`,WMO.`work_order_date`,WMO.`project_name`,WMO.`client_name`,WMO.`sampled_submitted_date` FROM `work_order_main` WMO INNER JOIN jobs J ON J.job_id=WMO.job_id ".$sql);
		
		$work_order_main	=	$work_order_sub2->result_array();
		
		$list	='';
		$details    =   array();
		$m=1;
		foreach ($work_order_main as $work_order_mains){
			
			$work_order_no	=	$work_order_mains['work_order_no'];
			$this->db->query("SET SQL_BIG_SELECTS=1");
			$work_order_sub22			=	$this->db->query("SELECT work_order_no,item_id,sample_no,item_name,sub_clause,item_order FROM `work_order` WHERE work_order_no='$work_order_no' GROUP BY item_name,item_order");
			$work_order			=	$work_order_sub22->result_array();
			if($work_order!=false && $work_order_mains!="C"){
							$k=1;
							foreach($work_order as $work_orders){
								$work_order_details	=	$this->crud_model->get('work_order',array('work_order_no'=>$work_orders['work_order_no'],'item_id'=>$work_orders['item_id'],'item_order'=>$work_orders['item_order'])); 
								for($i=0;$i<$work_orders['sample_no'];$i++) {
									
									if($work_order_details!=false){ $j=1;
									foreach($work_order_details as $work_order_detail){
										$pro	=	$work_order_mains['project_name'];
										
										if (strpos($pro, '@') !== false) {
   												$pieces = explode("@", $pro);
												if($pieces[1]!==''){
													$location=$pieces[1];
												} else {
													$location='';
												}
										} else {
											$location='';
										}
										
										$new    =   array(
													$m++,
													date("M d Y",strtotime($work_order_detail['work_order_date'])),
													$work_order_detail['work_order_no'],
													date("M d Y",strtotime($work_order_mains['sampled_submitted_date'])),
													$work_order_mains['client_name'],
													$work_order_mains['project_name'],
													$location,
													$work_orders['item_name'],
													$work_order_detail['test_name'],
													$work_order_detail['test_method'],
													$work_order_detail['work_order_no'].'-'.($k).'-'.$j,
													$work_order_detail['quantity'],
													$work_order_detail['uom']
												);
									array_push($details,$new);
									
									
									$j++;
									
									}
									}
									$k++;
								}
							}
			}
			
		}
		
		$head   =   array(
			"No",
			"Work Order Date",
			"Work Order No",
			"Samples / Submitted Date",
			"Client Name",
			"Project Name",
			"Location",
			"Item Name",
			"Test Name",
			"Test Method",
			"Report No",
			"Quantity",
			"Unit Of Measurement"
		);
		$this->load->library('Excel');
        $Excel = new Excel;
        $Excel->export($head, $details, 0, "WorkOrderListing");
					
	}
	
}
?>