<?php
$receipt_code='';
if($receipt_code == "SA" ){
	$address_line='Al-Khobar Business Gate, King Faisal Road, Near Holiday Inn hotel, Al-Khobar.';
	$email = 'info@lroset.com';
	$tel = '+966138493955';
	$fax = '+966556734185';
	$price_round=2;
	$price_fraction_text="halal";	
} else {
	$address_line='P.O Box 80779, Kingdom of Bahrain';
	$email = 'vincent@inventhouse.net, incas@inventhouse.net';
	$tel = '+973-13642222, 13643333';
	$fax = '+973-39919187, 39374445';
	$price_round=3;
	$price_fraction_text="Fils";
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>Reciept Voucher</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<style type="text/css">

	.receipt_bg {
		border: 2px solid #000000;
		border-radius: 5px 5px 5px 5px;
		font-family: arial;
		font-size: 15px;
		height: 540px;
		margin: 0 auto;
		width: 850px;
		position:relative;
	}
	.logo{
		height:102px;
	}
	.logoimg {
		margin-left: 15px;
		margin-right: 49px;
		margin-top: 10px;
		max-height: 90px;
	}
	.logoimg:last-child {
		margin-right: 0;
	}
	.log_left{
		float:right;
		margin-right:15px;
	}
	h1.title{
		text-align: center;
		padding: 0px;
		margin: 0px;
		line-height: 42px;
		font-size: 18px;
		font-family: Arial, Helvetica, sans-serif;
		background-color:#d6d6d6;
		border:1px solid #000;
		border-radius: 5px 5px 5px 5px;
		width:824px;
		margin:0 auto;
	}
	a.no_print {
		color: #0088cc;
		text-decoration: none;
		font-size:14px;
		margin-left:14px;
	}

	.quotation_details {
		border: 1px solid #000000;
		border-radius: 5px 5px 5px 5px;
		height: 56px;
		margin: 25px auto 10px;
		width: 824px;
	}
	.quotation_details table{
		width:98%;
		margin:0 auto;
	}
	.receipt_content{
		width:824px;
		margin:0 auto;
	}
	.right td.result {
		width: 160px;
	}
	.receipt_content table.left {
		border: 1px solid #000000;
		border-radius: 5px 5px 5px 5px;
		float: left;
		height: 240px;
		padding: 0 10px;
		width: 390px;
	}
	
	.receipt_content table.right {
		border: 1px solid #000000;
		border-radius: 5px 5px 5px 5px;
		float: right;
		height: 240px;
		padding: 0 0 0 10px;
		width: 433px;
	}

	.left td {
		height: 20px;
		line-height: 20px;
		vertical-align: top;
		/*width: 216px;*/
	}
	
	.left tr {
		float: left;
		min-height: 31px;
	}
		
	.right tr {
		float: left;
		min-height: 28px;
		width: 100%;
	}
	.right td {
		/*width: 228px;*/
	}
		
	.left td.priceWords {
		width: 336px;
	}
	.footer-print{
		width: 98%;
		left: 9px;
		position:absolute;
		bottom:15px;
	}
	td.mode{
		width:115px;
	}

	.priceField > span {
		float: right;
		margin-right: 15px;
	}
	td.type {
		padding-left: 14px;
		width: 245px;
	}

	.wideTable strong {
		float: right;
		width: 376px;
	}

	.wideTable span {
		float: right;
		margin: 0;
	}
	.remarksText {
		float: right;
		width: 376px;
	}
	
	.left td.wideTable {
		width: 392px;
	}
	
	.font_size {
		font-size: 13px;
	}
	
@media print {
	.no_print {
		display:none;
	}
	h1.title{
		text-align: center;
		padding: 0px;
		margin: 0px;
		line-height: 42px;
		font-size: 18px;
		font-family: Arial, Helvetica, sans-serif;
		background-color:#d6d6d6 !important;
		border:1px solid #000;
		border-radius: 5px 5px 5px 5px;
		width:824px;
		margin:0 auto;
	}
}
#watermark{
	  color: #FF0000;
	  font-size: 100pt;
	  -webkit-transform: rotate(-25deg);
	  -moz-transform: rotate(-45deg);
	  position: absolute;
	  width: 100%;
	  height: 100%;
	  margin: 0;
	  z-index: -1;
	  text-align:center;
	  top:150px;
	  left:100px;
	  opacity:0.2;
	}
</style>
</head>
<body>
<?php 
	
	$opening_balance_data = $this->db->query("SELECT NCM.opening_balance,FRD.invoice_amount as receipt_amount,FRD.invoice_discount as receipt_discount FROM `furniture_receipts_details` FRD join `new_client_master` NCM ON NCM.client_id=FRD.client_id where  FRD.`invoice_id`='0' and FRD.client_id='$client_id' and FRD.`receipt_id`='$receipt_id'");
?>
<!--<span class='icon-print no_print'></span><a class='no_print' href='javascript:window.print();'>Print Receipt</a><br/>-->
    <div class="receipt_bg">
	<?php if($receipt_status==0) { ?>
<div id="watermark">cancelled</div>
<?php } ?>
        <!--<div class="logo">
        <table width="98%">
        <tr>
        <td>
			<?php $no_of_logos = sizeof($logos_url);
            $l = 0;
            if($no_of_logos == 2){
                foreach($logos_url as $logo_url) { $l++; ?>
                <img src="<?php echo base_url()."images/logos/".$logo_url; ?>" alt="" class="logoimg <?php if($l==2) echo 'log_left'; ?>"/>
                <?php }
            } else {
                foreach($logos_url as $logo_url) { ?>
                <img src="<?php echo base_url().$logo_url; ?>" alt="" class="logoimg"/>
                <?php } 
            } ?>
            </td>
        </div>-->
        <div class="logo">
        <table width="98%">
        <tr>
        
        <td>
         <img src="<?php echo base_url()."images/company_logo/logo3.png"; ?>" alt="" class="logoimg"/>
        </td>
        </div>
        <?php $division_id=3; if($division_id==3) { ?>
            <td align="right" style="vertical-align:bottom;" class="details">
             QEL-Bahrain Branch.<br>
            C.R. No. 76096<br>
             Tel: +973 17250333, Fax: +97317243562<br>
             Bahrain
            </td>
            <?php } else { ?>
        <td align="right" style="vertical-align:bottom;" class="details">
             <?php if(isset($company_details->company_name)){ echo $company_details->company_name;} ?>  <?php if(isset($company_details->cr_number)){ if($company_details->cr_number!=""){ echo ' | '.$company_details->cr_number;}} ?><br>
             <?php if(isset($company_details->company_address)){ echo $company_details->company_address;} ?>  <?php if(isset($company_details->email_id)){ if($company_details->email_id!=""){ echo ' | '.$company_details->email_id;}} ?><br>
             <?php if(isset($company_details->telephone_no)){ echo $company_details->telephone_no;} ?>  <?php if(isset($company_details->fax_no)){ if($company_details->fax_no!=""){ echo ' | '.$company_details->fax_no;} } ?>
            </td>
			<?php } ?>
            </tr>
         </table>
        <h1 class="title">RECEIPT VOUCHER</h1>
       
        <div class="quotation_details">
        	<table>
            	<tr>
                	<td width="40%" align="left">Receipt No : <?php echo $receipt_number; ?></td>
                   	<td width="40%" align="right" style="font-size: 16px;"><!--Ref. Quote :--> <?php /*?><?php echo $quotation_number; ?><?php */?></td>
                </tr>
            	<tr>
                	<td width="40%" align="left">Date : <?php echo date('F d, Y',strtotime ($receipt_date)); ?></td>
                    <td width="40%" align="right"></td>
                </tr> 
            </table>
        </div>
        <div class="receipt_content">
        	<table class="left" style="width:500px;">
            	<tr>
                	<td width="124px;">Received from </td>
                    <td width="270px;" colspan="3">: &nbsp;<strong><?php echo $received_from; ?></strong></td>
                </tr>
                <tr>
                	<td width="124px;">Amount </td>
                    <td>: &nbsp;</td>
                    <td width="270px;" colspan="2"><strong><?php 
					$currency_name1="Bahrain Dinar";
						$intpart=(int) ($receipt_amount);
						$floatpart=(round($receipt_amount,$price_round)*pow(10,$price_round)-($intpart*pow(10,$price_round)));
						if($floatpart !=0) { 
							echo $currency_name1.'&nbsp'.num_words($intpart) . '&nbsp;&amp;&nbsp;'. $price_fraction_text. '&nbsp;' . $floatpart. "/ 1000 Only";
						} else {
							echo $currency_name1.'&nbsp'.num_words($intpart)." Only";
						}	
					
					?></strong></td>
                </tr>
                <tr>
                	<td width="124px;">Payment Mode </td>
                    <?php if(trim($receipt_mode) == "Cash") { ?>
                    	<td width="270px;" colspan="2">: &nbsp;<strong><?php echo $receipt_mode; ?></strong></td>
                    <?php } else { ?>
                    	<td width="270px;" class="mode">: &nbsp;<strong><?php echo $receipt_mode; ?></strong></td>
                        <!--<td width="270px;" class="type"><?php if(trim($receipt_mode) == "Credit Card") echo "Card Type"; else echo "Bank Name" ?>: &nbsp;&nbsp;<strong><?php echo $receipt_bankname; ?></strong></td>-->
                    <?php } ?>
                </tr>
                <?php /*?><?php if($receipt_remarks) { ?><?php */?>
                <!--<tr>
                	<td>Remarks </td>
                    <td class="wideTable" colspan="2">: <span class="remarksText"><?php /*?><?php echo $receipt_remarks; ?><?php */?></span></td>
                </tr>-->
                <?php /*?><?php } ?><?php */?>
                <?php if($receipt_bankname!=""){?>
                <tr>
                	<td width="124px;">Bank </td>
                    <td width="270px;" colspan="2">: &nbsp;<strong><?php echo $receipt_bankname; ?></strong></td>
                </tr>
                <?php } if($receipt_reference!=""){?>
                <tr>
                	<td width="124px;">Reference Number </td>
                    <td width="270px;" colspan="2">: &nbsp;<strong><?php echo $receipt_reference; ?></strong></td>
                </tr>
                <?php } ?>
                <tr>
                	<td width="124px;">Received By </td>
                    <td width="270px;" colspan="2">: &nbsp;<strong><?php echo $generated_by; ?></strong></td>
                </tr>
				<?php //if($receipt_discount!=0) { ?>
				<tr>
                    <td width="124px;">Discount</td>
                    <td width="270px;" colspan="2">: &nbsp;<strong> <?php if (count($opening_balance_data->row())>0){ $op_receipt_discount=$opening_balance_data->row()->receipt_discount;} else { $op_receipt_discount=0;}  echo number_format($receipt_discount+$op_receipt_discount,3); ?></strong></td>
                </tr>
				<?php //} ?>
                <tr>
                    <td width="124px;">Received Amount</td>
                    <td width="270px;" style="font-size:19px;" colspan="2">: &nbsp;BD <strong><?php if (count($opening_balance_data->row())>0){ $op_receipt_amount=$opening_balance_data->row()->receipt_amount;} else { $op_receipt_amount=0;}  echo number_format($receipt_amount+$op_receipt_amount,3); ?></strong></td>
                </tr>
                <?php if($receipt_remarks!="") { ?>
                <tr>
                <td colspan="2">
                <?php echo $receipt_remarks;?>
                </td>
                </tr>
                <?php }?>
            </table>
        	<table class="right" <?php if($receipt_reference!="" && $receipt_bankname!=""){ echo 'style="height:274px;"';} if($receipt_reference!="" || $receipt_bankname!=""){ echo 'style="height:237px;"';} ?>  style="width:320px;">
            	<tr>
                	<td align="left" width="100px"><b>Inv No.</b></td>
                    <td align="right" width="60px"><b>Amt</b></td>
                    <td align="right" width="60px"><b>Paid</b></td>
                    <td align="right" width="60px"><b>Bal</b></td>
                </tr>
                <?php /*?><?php if(!isset($cancel_flag)) { ?><?php */?>
                   <?php
				   
				   if($receipt_status==0) {
						$sql='';
					} else {
						$sql="FR.`receipt_status`='1' and ";
					}
				   
				   if (count($opening_balance_data->row())>0){
					$op_result = $this->db->query("SELECT SUM(FRD.invoice_amount) AS total_paid_amount,SUM(FRD.invoice_discount) AS total_receipt_discount FROM `furniture_receipts_details` FRD  JOIN furniture_receipts FR ON FR.`receipt_id`=FRD.`receipt_id`  where ".$sql." FRD.`invoice_id`='0' and FRD.client_id='$client_id'  AND FR.receipt_date<='$receipt_date' ");
					
					
			if (count($op_result->row())>0){
				$op_total_paid_amount	=	$op_result->row()->total_paid_amount;
				$op_total_receipt_discount	=	$op_result->row()->total_receipt_discount;
			} else {
				$op_total_paid_amount	=	0;
				$op_total_receipt_discount	=	0;
			}   
					
					?>
					   <tr>
                        
                        <td align="left" width="100px" class="font_size"><?php /*?><?php echo $currency_code; ?><?php */?> <?php echo "Opn Bal";?></td>
                        <td align="right" width="60px" class="font_size"><?php /*?><?php echo $currency_code; ?><?php */?> <?php echo number_format($opening_balance_data->row()->opening_balance,3);?></td>
                        <td align="right" width="60px" class="font_size"><?php /*?><?php echo $currency_code; ?><?php */?> <?php echo number_format($opening_balance_data->row()->receipt_amount+$opening_balance_data->row()->receipt_discount,3);?></td>
                        <td align="right" width="60px" class="font_size"><?php /*?><?php echo $currency_code; ?><?php */?> <?php 
						$op_balcn	=	$opening_balance_data->row()->opening_balance-($op_total_paid_amount+$op_total_receipt_discount);
						echo number_format($op_balcn,3);?></td>
                    </tr>
			<?php		}
	if($receipt_inv != false)
	{
		foreach($receipt_inv as $receipt_inv){?> 
		<?php
			//$receipt_date = $receipt_inv['receipt_date'];
			
			
			
			$invoice_id = $receipt_inv['invoice_id'];
			$result = $this->db->query("SELECT SUM(FRD.invoice_amount) AS total_paid_amount,SUM(FRD.invoice_discount) AS total_receipt_discount FROM furniture_receipts_details FRD  JOIN furniture_receipts FR ON FR.`receipt_id`=FRD.`receipt_id` WHERE ".$sql."  FRD.invoice_id='$invoice_id'  AND FR.receipt_date<='$receipt_date' ");
			
			if (count($result->row())>0){
				$total_paid_amount	=	$result->row()->total_paid_amount;
				$total_receipt_discount	=	$result->row()->total_receipt_discount;
			} else {
				$total_paid_amount	=	0;
				$total_receipt_discount	=	0;
			}
		?>
                    <tr>
                        
                        <td align="left" width="100px" class="font_size"><?php echo $receipt_inv['invoice_number'];?></td>
                        <td align="right" width="60px" class="font_size"><?php echo number_format($receipt_inv['invoice_amount'],3);?></td>
                        <td align="right" width="60px" class="font_size"><?php echo number_format($receipt_inv['receipt_amount']+$receipt_inv['receipt_discount'],3);?></td>
                        <td align="right" width="60px" class="font_size"><?php 
						$balcn2	=	$receipt_inv['invoice_amount']-($total_paid_amount+$total_receipt_discount);
						echo number_format($balcn2,3);?></td>
                    </tr>
                    <?php }
	}?>
                <?php /*?><?php } ?><?php */?>
            </table>
        </div>
		
        <!--<div class="footer-print">
        	<table width="100%">
            	<tr>
                	<td align="left"><?php if(isset($company_details->company_name)){ echo $company_details->company_name;} if(isset($company_details->company_address)){ echo ' - '.$company_details->company_address;} ?></td>
                    <td align="right"><?php if(isset($company_details->telephone_no)){ echo "Tel: ".$company_details->telephone_no; }?></td>
                </tr>
                <tr>
                	<td align="left"><?php if(isset($company_details->email_id)){ echo "Email: ".$company_details->email_id; }?></td>
                    <td align="right"><?php if(isset($company_details->fax_no)){ echo "Fax: ".$company_details->fax_no; }?></td>
                </tr>
            </table>			
        </div>	-->
		<?php //if($receipt_remarks!="") { ?>
		<!--<table width="100%"><tr>
		<td style="padding-left:16px;">
							Remarks : <?php //echo $receipt_remarks; ?>
							</td></tr>
							</table>-->
				<?php //} ?>
    </div>
</body>
</html>