<?php
	$price_round=3;
	$price_fraction_text="Fils";
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<style type="text/css">

	.receipt_bg {
		border: 2px solid #000000;
		border-radius: 5px 5px 5px 5px;
		font-family: arial;
		font-size: 15px;
		height: 540px;
		margin: 0 auto;
		/*width: 850px;*/
		position:relative;
	}
	.logo{
		height:102px;
	}
	.logoimg {
		margin-left: 15px;
		margin-right: 49px;
		margin-top: 10px;
		max-height: 90px;
	}
	.logoimg:last-child {
		margin-right: 0;
	}
	.log_left{
		float:right;
		margin-right:15px;
	}
	h1.title{
		text-align: center;
		padding: 0px;
		margin: 0px;
		line-height: 42px;
		font-size: 18px;
		font-family: Arial, Helvetica, sans-serif;
		background-color:#d6d6d6;
		border:1px solid #000;
		border-radius: 5px 5px 5px 5px;
		width:700px;
		margin:0 auto;
	}
	a.no_print {
		color: #0088cc;
		text-decoration: none;
		font-size:14px;
		margin-left:14px;
	}

	.quotation_details {
		border: 1px solid #000000;
		border-radius: 5px 5px 5px 5px;
		height: 56px;
		margin: 25px auto 10px;
		width: 700px;
	}
	.quotation_details table{
		width:98%;
		margin:0 auto;
	}
	.receipt_content{
		width:700px;
		margin:0 auto;
	}
	.right td.result {
		/*width: 160px;*/
	}
	.receipt_content table.left {
		border: 1px solid #000000;
		border-radius: 5px 5px 5px 5px;
		/*float: left;*/
		height: auto;
		padding: 0 10px;
		width: 100%;
	}
	
	.receipt_content table.right {
		border: 1px solid #000000;
		border-radius: 5px 5px 5px 5px;
		/*float: right;*/
		height: auto;
		padding: 0 0 0 10px;
		width: 100%;
	}

	.left td {
		height: 20px;
		line-height: 20px;
		vertical-align: top;
		/*width: 216px;*/
	}
	
	.left tr {
		float: left;
		min-height: 37px;
	}
		
	.right tr {
		float: left;
		min-height: 37px;
		/*width: 100%;*/
	}
	.right td {
		/*width: 228px;*/
	}
		
	.left td.priceWords {
		/*width: 336px;*/
	}
	.footer-print{
		width: 98%;
		left: 9px;
		position:absolute;
		bottom:15px;
	}
	td.mode{
		/*width:115px;*/
	}

	.priceField > span {
		float: right;
		margin-right: 15px;
	}
	td.type {
		padding-left: 14px;
		/*width: 245px;*/
	}

	.wideTable strong {
		float: right;
		/*width: 376px;*/
	}

	.wideTable span {
		float: right;
		margin: 0;
	}
	.remarksText {
		float: right;
		/*width: 376px;*/
	}
	
	.left td.wideTable {
		/*width: 392px;*/
	}
	
@media print {
	.no_print {
		display:none;
	}
	h1.title{
		text-align: center;
		padding: 0px;
		margin: 0px;
		line-height: 42px;
		font-size: 18px;
		font-family: Arial, Helvetica, sans-serif;
		background-color:#d6d6d6 !important;
		border:1px solid #000;
		border-radius: 5px 5px 5px 5px;
		width:524px;
		margin:0 auto;
	}
}
#watermark{
	  color: #FF0000;
	  font-size: 100pt;
	  -webkit-transform: rotate(-25deg);
	  -moz-transform: rotate(-45deg);
	  position: absolute;
	  width: 100%;
	  height: 100%;
	  margin: 0;
	  z-index: -1;
	  text-align:center;
	  top:350px;
	  left:50px;
	  opacity:0.2;
	}
</style>
</head>
<body>
			<?php 
                $opening_balance_data = $this->db->query("SELECT NCM.opening_balance,FRD.invoice_amount as receipt_amount,FRD.invoice_discount as receipt_discount FROM `furniture_receipts_details` FRD join `new_client_master` NCM ON NCM.client_id=FRD.client_id where  FRD.`invoice_id`='0' and FRD.client_id='$client_id' and FRD.`receipt_id`='$receipt_id'");
            ?>
			<?php if($receipt_status==0) { ?>
            		<div id="watermark">cancelled</div>
            <?php } ?>
    	<div class="receipt_bg">
        	<div class="logo">
        		<table width="98%">
        			<tr>
        				<td>
         					<img src="<?php echo base_url()."images/company_logo/logo3.png"; ?>" alt="" class="logoimg"/>
        				</td>
        	</div>
        				<td align="right" style="vertical-align:bottom;" class="details">
                            QEL-Bahrain Branch.<br>
                            C.R. No. 76096<br>
                            Tel: +973 17250333, Fax: +973 17243562<br>
                            Bahrain
            			</td>
            		</tr>
         		</table>
        <h1 class="title">RECEIPT VOUCHER</h1>
       	<div class="quotation_details">
        	<table>
            	<tr>
                	<td width="40%" align="left">Receipt No : <?php echo $receipt_number; ?></td>
                   	<td width="40%" align="right" style="font-size: 16px;">&nbsp;</td>
                </tr>
            	<tr>
                	<td width="40%" align="left">Date : <?php echo date('F d, Y',strtotime ($receipt_date)); ?></td>
                    <td width="40%" align="right"></td>
                </tr> 
            </table>
        </div>
        <div class="receipt_content">
        	<table class="left">
            	<tr>
                	<td >Received from </td>
                    <td  colspan="3">: &nbsp;<strong><?php echo $received_from; ?></strong></td>
                </tr>
                <tr>
                	<td >Amount </td>
                    <td  colspan="3">: &nbsp;<strong><?php 
						$currency_name1="Bahrain Dinar";
						$intpart=(int) ($receipt_amount);
						$floatpart=(round($receipt_amount,$price_round)*pow(10,$price_round)-($intpart*pow(10,$price_round)));
						if($floatpart !=0) { 
							echo $currency_name1.' '.num_words($intpart) . '&nbsp;&amp;&nbsp;'. $price_fraction_text. '&nbsp;' . $floatpart. "/ 1000 Only";
						} else {
							echo $currency_name1.' '.num_words($intpart)." Only";
						}	
					?></strong></td>
                </tr>
                <tr>
                	<td >By </td>
                    <?php if(trim($receipt_mode) == "Cash") { ?>
                    	<td  colspan="2">: &nbsp;<strong><?php echo $receipt_mode; ?></strong></td>
                    <?php } else { ?>
                    	<td class="mode">: &nbsp;<strong><?php echo $receipt_mode; ?></strong></td>
                        <!--<td  class="type"><?php if(trim($receipt_mode) == "Credit Card") echo "Card Type"; else echo "Bank Name" ?>: &nbsp;&nbsp;<strong><?php echo $receipt_bankname; ?></strong></td>-->
                    <?php } ?>
                </tr>
                
                <?php if($receipt_bankname!=""){?>
                <tr>
                	<td >Bank </td>
                    <td colspan="2">: &nbsp;<strong><?php echo $receipt_bankname; ?></strong></td>
                </tr>
                <?php } if($receipt_reference!=""){?>
                <tr>
                	<td>Reference Number </td>
                    <td colspan="2">: &nbsp;<strong><?php echo $receipt_reference; ?></strong></td>
                </tr>
                <?php } ?>
                <tr>
                	<td >Received By </td>
                    <td  colspan="2">: &nbsp;<strong><?php echo $generated_by; ?></strong></td>
                </tr>
                <?php if ($receipt_discount>0 or $opening_balance_data->row()->receipt_discount>0){?>
				<tr>
                    <td >Discount</td>
                    <td  colspan="2" >: &nbsp;<strong><?php if (count($opening_balance_data->row())>0){ $op_receipt_discount=$opening_balance_data->row()->receipt_discount;} else { $op_receipt_discount=0;}  echo number_format($receipt_discount+$op_receipt_discount,3); ?></strong></td>
                </tr>
                <?php } ?>
				<tr>
                    <td >Received Amount</td>
                    <td  colspan="2" style="font-size:19px;">: &nbsp;<strong>BD <?php if (count($opening_balance_data->row())>0){ $op_receipt_amount=$opening_balance_data->row()->receipt_amount;} else { $op_receipt_amount=0;}  echo number_format($receipt_amount+$op_receipt_amount,3); ?></strong></td>
                </tr>
            </table>
            <div>&nbsp;</div>
        	<table class="right">
            	<tr>
                	<td align="left" ><b>Inv No.</b></td>
                    <td align="left" ><b>Amount</b></td>
                    <td align="left" ><b>Settled</b></td>
                    <td align="left" ><b>Balance</b></td>
                </tr>
                <?php 
				if($receipt_status==0) {
						$sql='';
						} else {
							$sql="FR.`receipt_status`='1' and ";
						}
					   	if (count($opening_balance_data->row())>0){
								$op_result = $this->db->query("SELECT SUM(FRD.invoice_amount) AS total_paid_amount,SUM(FRD.invoice_discount) AS total_receipt_discount FROM `furniture_receipts_details` FRD  JOIN furniture_receipts FR ON FR.`receipt_id`=FRD.`receipt_id`  where ".$sql." FRD.`invoice_id`='0' and FRD.client_id='$client_id'  AND FR.receipt_date<='$receipt_date' ");
							if (count($op_result->row())>0){
								$op_total_paid_amount	=	$op_result->row()->total_paid_amount;
								$op_total_receipt_discount	=	$op_result->row()->total_receipt_discount;
							} else {
								$op_total_paid_amount	=	0;
								$op_total_receipt_discount	=	0;
							}     
				?>
                		<tr>
                             <td align="left" ><?php echo 'Opening Balance';?></td>
                             <td align="left" ><?php echo number_format($opening_balance_data->row()->opening_balance,3);?></td>
                             <td align="left" ><?php echo number_format($opening_balance_data->row()->receipt_amount+$opening_balance_data->row()->receipt_discount,3);?></td>
                             <td align="left" ><?php $op_balcn	=	$opening_balance_data->row()->opening_balance-($op_total_paid_amount+$op_total_receipt_discount);
                                echo number_format($op_balcn,3); ?></td>
                    	</tr>
             <?php }
					if($receipt_inv != false)
					{
						foreach($receipt_inv as $receipt_inv){
							$invoice_id = $receipt_inv['invoice_id'];
							$result = $this->db->query("SELECT SUM(FRD.invoice_amount) AS total_paid_amount,SUM(FRD.invoice_discount) AS total_receipt_discount FROM furniture_receipts_details FRD  JOIN furniture_receipts FR ON FR.`receipt_id`=FRD.`receipt_id` WHERE ".$sql."  FRD.invoice_id='$invoice_id'  AND FR.receipt_date<='$receipt_date' ");
							if (count($result->row())>0){
								$total_paid_amount	=	$result->row()->total_paid_amount;
								$total_receipt_discount	=	$result->row()->total_receipt_discount;
							} else {
								$total_paid_amount	=	0;
								$total_receipt_discount	=	0;
							}
		?>
                            <tr>
                                <td align="left" ><?php echo $receipt_inv['invoice_number'];?></td>
                                <td align="left" ><?php echo number_format($receipt_inv['invoice_amount'],3);?></td>
                                <td align="left" ><?php echo number_format($receipt_inv['receipt_amount']+$receipt_inv['receipt_discount'],3);?></td>
                                <td align="left" ><?php $balcn2=$receipt_inv['invoice_amount'] - ($total_paid_amount+$total_receipt_discount);
                                echo number_format($balcn2,3); ?></td>
                            </tr>
            <?php }
		}?>
            </table>
			<?php if($receipt_remarks!="") { echo $receipt_remarks; } ?>
        </div>
    </div>
</body>
</html>