<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Update_work_order_rate extends CI_Controller {

	function Update_work_order_rate() {
		parent::__construct();
		if($this->session->userdata('user_logged_in') != true)
		{
			$this->session->set_flashdata('response','<div class="alert alert-error">Unauthorised access. Login required.</div>');
			redirect('login');
		}
		$this->load->library('form_validation');
		$this->load->library('pagination');
		$this->load->model('furniture_quotation_model');
		$this->load->helper('num_words');
	}

	public function index() {
		$this->load->view('templates/header');
		$this->load->view('furniture/quotations/update_work_order_rate');
		$this->load->view('templates/footer');
	}
	public function update() {
		$this->form_validation->set_rules('from', 'From', 'required');
		$this->form_validation->set_rules('to', 'To', 'required');
		
		if ($this->form_validation->run() == FALSE){
			$this->session->set_flashdata('response','<div class="alert alert-error">'.validation_errors().'</div>',':old:');
			$this->index();
        } else {
			$from = date("Y-m-d", strtotime($this->input->post('from')));
			$to   = date("Y-m-d", strtotime($this->input->post('to')));
			$query    = $this->db->query("UPDATE work_order w INNER JOIN job_details j ON w.`job_details_id` = j.`id` SET w.rate= j.rate,w.uom= j.uom,w.minimum_call_out= j.minimum_call_out WHERE w.`work_order_date`>='$from' AND w.`work_order_date`<='$to'");
			$this->session->set_flashdata('response','<div class="alert alert-success">Update Work Order Rate Updated</div>');
			redirect('furniture/update_work_order_rate');
		}
	}
}
?>