<html>
	<head>
		<meta charset="utf-8">
		<title>Print Invoice</title>
		<link rel="stylesheet" href="<?php echo base_url();?>css/work.css">
        <script src="<?php echo base_url(); ?>js/jquery-1.8.3.min.js"></script>
		
		<style type="text/css">
		.work { cursor: pointer; }
		body { height: auto; }
		header {
			margin:0 0 0 !important;
		
		}
		table{
			margin:0 !important;
		}
		#watermark{
		  color: #FF0000;
		  font-size: 100pt;
		  -webkit-transform: rotate(-25deg);
		  -moz-transform: rotate(-45deg);
		  position: relative;
		  width: 100%;
		  height: 0;
		  margin: 0;
		  text-align:center;
		  top:-140px;
		  left:-50px;
		  opacity:0.2;
		  z-index:1;
		}
		.btn {
    display: inline-block;
    *display: inline;
    padding: 4px 12px;
    margin-bottom: 0;
    *margin-left: .3em;
    font-size: 14px;
    line-height: 20px;
    *line-height: 20px;
    color: #333333;
    text-align: center;
    text-shadow: 0 1px 1px rgba(255, 255, 255, 0.75);
    vertical-align: middle;
    cursor: pointer;
    background-color: #f5f5f5;
    background-color: #e6e6e6;
    background-image: -moz-linear-gradient(top, #ffffff, #e6e6e6);
    background-image: -webkit-gradient(linear, 0 0, 0 100%, from(#ffffff), to(#e6e6e6));
    background-image: -webkit-linear-gradient(top, #ffffff, #e6e6e6);
    background-image: -o-linear-gradient(top, #ffffff, #e6e6e6);
    background-image: linear-gradient(to bottom, #ffffff, #e6e6e6);
    background-repeat: repeat-x;
    border: 1px solid #bbbbbb;
        border-top-color: rgb(187, 187, 187);
        border-right-color: rgb(187, 187, 187);
        border-bottom-color: rgb(187, 187, 187);
        border-left-color: rgb(187, 187, 187);
    *border: 0;
    border-color: #e6e6e6 #e6e6e6 #bfbfbf;
    border-color: rgba(0, 0, 0, 0.1) rgba(0, 0, 0, 0.1) rgba(0, 0, 0, 0.25);
    border-bottom-color: #a2a2a2;
    -webkit-border-radius: 4px;
    -moz-border-radius: 4px;
    border-radius: 4px;
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#ffffffff', endColorstr='#ffe6e6e6', GradientType=0);
    filter: progid:DXImageTransform.Microsoft.gradient(enabled=false);
    *zoom: 1;
    -webkit-box-shadow: inset 0 1px 0 rgba(255, 255, 255, 0.2), 0 1px 2px rgba(0, 0, 0, 0.05);
    -moz-box-shadow: inset 0 1px 0 rgba(255, 255, 255, 0.2), 0 1px 2px rgba(0, 0, 0, 0.05);
    box-shadow: inset 0 1px 0 rgba(255, 255, 255, 0.2), 0 1px 2px rgba(0, 0, 0, 0.05);
}

		.btn-primary {
    color: #ffffff;
    text-shadow: 0 -1px 0 rgba(0, 0, 0, 0.25);
    background-color: #006dcc;
    background-color: #0044cc;
    background-image: -moz-linear-gradient(top, #0088cc, #0044cc);
    background-image: -webkit-gradient(linear, 0 0, 0 100%, from(#0088cc), to(#0044cc));
    background-image: -webkit-linear-gradient(top, #0088cc, #0044cc);
    background-image: -o-linear-gradient(top, #0088cc, #0044cc);
    background-image: linear-gradient(to bottom, #0088cc, #0044cc);
    background-repeat: repeat-x;
    border-color: #0044cc #0044cc #002a80;
    border-color: rgba(0, 0, 0, 0.1) rgba(0, 0, 0, 0.1) rgba(0, 0, 0, 0.25);
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#ff0088cc', endColorstr='#ff0044cc', GradientType=0);
    filter: progid:DXImageTransform.Microsoft.gradient(enabled=false);
}
		@media print
		{    
			.no-print
			{
				display: none !important;
			}
			.viewJobFiles { display: none; }
		}
		.modal {
			position: fixed;
			top: 40%;
			left: 50%;
			transform: translate(-50%, -50%);
			width: 50%;
			height: 50%;
			display: flex;
			align-items: center;
			justify-content: center;
			display: none;
			z-index: 1000;
		}

		.modal-overlay {
			position: absolute;
			top: 0;
			left: 0;
			width: 100%;
			height: 100%;
			background-color: rgba(0, 0, 0, 0.5);
		}

		.modal-content {
			background-color: #fff;
			padding: 20px;
			border-radius: 5px;
			display: flex;
		}

		
		

		</style>
	</head>
	<div class="modal fade" id="projectModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
		<div class="modal-dialog">
			<div class="modal-content">
				<div class="modal-body">
					<div id="listtHidden" style="min-height: 300px;" >
					</div>
				</div>
				<div style="clear:both;" > </div>
				<div class="modal-footer">
					<button type="button" class="btn btn-danger closeButton" data-dismiss="modal">Close</button>
				</div>
			</div>
		</div>
	</div>
	<body>
    
		<header>
			<h1>Schedule to Invoice</h1>
			<address>
				<!--<p><b style="font-size:20px;">QEL</b>-<b>Bahrain Branch</b></p>
				<p style="font-size:12px;">C.R NO. 76096<br>Tel : +973 17250333, Fax : +973 17243562</p>
				<p>E-mail : bkgh@batelco.com.bh</p>
				<p>Website : www.qelonweb.com</p>
                <br>-->
				<p><b>Client :</b></p>
				<p><b><?php echo $records[0]['client']; ?> </b></p>
				<p><?php //echo $records[0]['client_address']; ?></p>
                <?php $invoice_id	=	$records[0]['invoice_id'];
					$lpo_DATA   = $this->db->query("SELECT DISTINCT J.lpo_no FROM `furniture_invoice_details` FID JOIN `work_order_main` WOM ON FID.work_order_number=WOM.`work_order_no` INNER JOIN jobs J ON J.job_id=WOM.job_id WHERE FID.`invoice_id`='$invoice_id'  ");
						$lpo_D = $lpo_DATA->result_array();
						$lpo='';
						foreach($lpo_D as $lpo_D) { ?>
                        <?php $lpo.= $lpo_D['lpo_no'].',';?>
                        <?php } ?>
                        <p>LPO No: <?php echo substr($lpo, 0, -1);; ?></p>
			</address>
			<span><!--<img alt="" src="<?php echo base_url();?>images/company_logo/logo3.png">--><p  style="font-size: 11px !important; "><b>Invoice #: <?php echo $records[0]['invoice_number']; ?><b></p>
            
				<p  style="font-size: 11px !important; "><b>Invoice Date: <?php echo date("d-m-Y",strtotime($records[0]['invoice_date'])); ?><b></p></span>
                
			
		</header>
        <table border="0" class="no-print"  >
                                <tr>
                                    <td style="border:none !important;"><form id="data-form" class="form-horizontal" method="post" enctype="multipart/form-data" action="<?php echo base_url();?>index.php/invoice/invoice_update/" ><input class="btn btn-primary" id="approve" type="submit" value="Update Invoice" /><input type="hidden" name="hidden_invoice_id" id="hidden_invoice_id" value="<?php echo $invoice_id;?>" /> <input type="hidden" name="hidden_invoice_date" id="hidden_invoice_date" value="<?php echo date("Y-m-d",strtotime($records[0]['invoice_date'])); ?>" /><input type="hidden" name="hidden_division" id="hidden_division" value="M" /><input type="hidden" name="hidden_invoice_status" id="hidden_invoice_status" value="<?php echo $invoice_status;?>" /><input type="hidden" name="hidden_vat_percentage" id="hidden_vat_percentage" value="<?php echo $records[0]['vat_percentage'];?>" /></form></td>
                                    <td style="border:none !important;"><form id="data-form" class="form-horizontal" method="post" enctype="multipart/form-data" action="<?php echo base_url();?>index.php/invoice/work_order_rate_update/" ><input class="btn btn-primary" id="approve" type="submit" value="Update Work order Rate" /><input type="hidden" name="hidden_invoice_id_2" id="hidden_invoice_id_2" value="<?php echo $invoice_id;?>" /><input type="hidden" name="hidden_division_2" id="hidden_division_2" value="M" /><input type="hidden" name="hidden_invoice_status_2" id="hidden_invoice_status_2" value="<?php echo $invoice_status;?>" /></form></td>
                                </tr>
                            </table>
        <?php if ($invoice_status=='Draft'){ ?>
		<div id="watermark">Draft</div>
        <?php } ?>
		<article>
         <?php if($details!=false){$grand_total=0;
		  $xa = '';$st_no=1;
					foreach($details as $detail) { 
						$order_no = $detail['work_order_no'];
					
						$work_order_sub22   = $this->db->query("SELECT item_id,item_name,work_order_no,sample_no, item_order FROM `work_order` WHERE work_order_no='$order_no' GROUP BY item_name, item_order");
						$work_order = $work_order_sub22->result_array();
			?>
			<?php if($xa !== $detail['project_name']){ ?>
            
              <table>
				<thead>
					<tr>
						<th colspan="7"  style="text-align:center"><?php echo $detail['project_name'];?></th>
					</tr>

				</thead>
			</table>
            <table class="inventory">
				<thead>
					<tr>
						<th style="width:16%;">WODate</th>
						<th style="width:16%;">WO No.</th>
                        <th style="width:16%;">SubDate</th>
						<!--<th style="width:21%;">Report #</th>-->
						<th style="width:65%;">Test</th>
						<th style="width:11%;">Qty</th>
						<th style="width:12%;">Rate</th>
                        <th style="width:11%;">Disc</th>
                        <?php if($records[0]['invoice_date']>'2019-07-01') { ?>
                        <th style="width:8%;">Vat%</th>
                        <th style="width:12%;">Vat</th>
                        <?php } ?>
						<th style="width:14%;">Amnt</th>
					</tr>
				</thead>

			<?php } ?>
				<tbody>
				
                
                <?php 
				$vat_percentage=$records[0]['vat_percentage'];
				if($work_order!=false){
					
					$work_total=0;$k=1;
			
					foreach($work_order as $work_orders) { 

					$work_order_details=$this->crud_model->get('work_order',array('work_order_no'=>$work_orders['work_order_no'],'item_id'=>$work_orders['item_id'], 'item_order'=>$work_orders['item_order']));
					
					$total=0;
					
					for($i=0;$i<$work_orders['sample_no'];$i++) {
					
						if($work_order_details!=false){ $j=1;
							foreach($work_order_details as $work_order_detail) { 
							
								$amount = ($work_order_detail['quantity']*$work_order_detail['rate'])-$work_order_detail['discount'];
								if($work_order_detail['minimum_call_out']!=0){
									if($amount<$work_order_detail['minimum_call_out']){
										$amount = $work_order_detail['minimum_call_out'];
										$single_star='*';
										$st_no++;
									}else{
										$amount = ($work_order_detail['quantity']*$work_order_detail['rate'])-($work_order_detail['discount']);
										$single_star='';
									}
								}else{
									$amount = ($work_order_detail['quantity']*$work_order_detail['rate'])-($work_order_detail['discount']);
									$single_star='';
								}
	
								$total  = $total+$amount;
							
							$work_order_details	=	$this->crud_model->get('work_order',array('work_order_no'=>$work_orders['work_order_no'],'item_id'=>$work_orders['item_id'], 'item_order'=>$work_orders['item_order']));
							$won_bn=$work_orders['work_order_no'];
							$query= $this->db->query("SELECT sampled_submitted_date FROM `work_order_main` WHERE `work_order_no`='$won_bn'");
							$sampled_submitted_date      = $query->row()->sampled_submitted_date;
			?>
            
			
						
						<td style="width:16%;"><?php echo  date("d-m-y",strtotime($work_order_detail['work_order_date']));?></td>
						<td style="width:16%;padding: 0px;"><a class='work' id="<?php echo $work_order_detail['work_order_no'];?>"  work_id="<?php echo $work_order_detail['id'];?>"  ><?php echo $work_order_detail['work_order_no'];?></a><br><a class='viewJobFiles' style="color:blue; cursor:pointer;" job_id="<?php echo $work_order_detail['job_id'];?>" data-toggle="modal" data-target="#projectModal" >View</a></td>
						<td style="width:16%;"><?php echo date("d-m-y",strtotime($sampled_submitted_date));?></td>
						<td  style="width:65%;text-align:left !important;"><b><?php echo $work_order_detail['item_name'];?> <?php if ($work_order_detail['sub_clause']!=''){ echo '-'.$work_order_detail['sub_clause']; }?></b> <br> <?php echo $work_order_detail['test_name'];?></td>
						<td style="width:11%;padding: 0px;"><?php echo $work_order_detail['quantity'];?>  <?php if ($work_order_detail['uom']!='') {echo $work_order_detail['uom']; }?></td>
						<td  align="right" style="width:12%;padding: 0px;" ><?php echo number_format($work_order_detail['rate'],3);?></td>
                        <td style="width:11%;"><?php echo  number_format($work_order_detail['discount'],3);?></td>
                       <?php if($records[0]['invoice_date']>'2019-07-01') { ?> <td style="width:8%;"><?php echo $vat_percentage;?>%</td>
                        <td style="width:12%;"><?php echo  number_format(($amount)*($vat_percentage/100),3);?></td>
                        <?php } ?>
						<td  style="width:14%;"><?php echo $single_star;?> <?php if($records[0]['invoice_date']>'2019-07-01') { echo number_format($amount+(($amount)*($vat_percentage/100)),3); ?><?php } else {?><?php  echo number_format($amount,3); } ?></td> 
                        <?php //} }?>
                        
					</tr>
                    
                    <?php $j++;} }$k++; } ?>
					<?php //$work_total  = $work_total+$total;
					$grand_total  = $grand_total+$total; 
					 }}  ?>
					<?php 
					$xa = $detail['project_name'];
					} } ?>
				
                        </tbody>
			</table>
            <table cellpadding="0" cellspacing="0">
 			<tr class="total">
				<td colspan="3" style="font-size:13px; text-align:right;"><b>Grand Total (BD) :</b></td>
                <td align="right" style="font-size:13px; text-align:right !important;">
                  <b><?php echo number_format($grand_total,3); ?></b>
                </td>
                </tr>
              <?php if($records[0]['invoice_date']>'2019-07-01') { ?>
              
           <tr class="total">
                <td colspan="3" style="font-size:13px; text-align:right;"><b>Vat Amount (BD) :</b></td>
                <td align="right" style="font-size:13px; text-align:right !important;">
                  <b><?php echo number_format($records[0]['vat_amt'],3); ?></b>
                </td>
                </tr>
                <?php } ?>
                  <?php if ($records[0]['round_off']>0){?>
           <tr class="total">
                <td colspan="3" style="font-size:13px; text-align:right;"><b>Round OFF :</b></td>
                <td align="right" style="font-size:13px; text-align:right !important;">
                  <b><?php echo number_format($records[0]['round_off'],3); ?></b>
                </td>
                </tr>
                <?php } ?>
           <tr class="total">
                <td colspan="3" style="font-size:13px; text-align:right;"><b>Net Total (BD) :</b></td>
                <td align="right" style="font-size:13px; text-align:right !important;">
                  <b><?php echo number_format($records[0]['invoice_amount'],3); ?></b>
                </td>
            </tr>
            
			<tr class="total">
                <td style="text-align:right; font-weight:bold; font-size:13px;" colspan="4"><?php //echo num_words($grand_total);

										 
                                                                                 $grand_total = $records[0]['invoice_amount'];
                                                                                 $intpart = floor($grand_total);
                                                                                 $floatpart = round (($grand_total-$intpart)*1000);
										 //$intpart=(int) $grand_total;
										 //$floatpart=(round($grand_total,3)*pow(10,3)-($intpart*pow(10,3)));
										 if($floatpart !=0) {
											echo "Bahrain Dinar ".num_words($intpart) . '&nbsp;&amp;&nbsp;Fils &nbsp;' . $floatpart. "/ 1000 Only";
										 } else {
											echo "Bahrain Dinar ".num_words($intpart)." Only";
										 }
										 /*
                                                                                 $intpart=(int) $grand_total;
										 $floatpart=(round($grand_total,3)*pow(10,3)-($intpart*pow(10,3)));
										 if($floatpart !=0) {
											echo "Bahrain Dinar ".num_words($intpart) . '&nbsp;&amp;&nbsp;Fils &nbsp;' . $floatpart. "/ 1000 Only";
										 } else {
											echo "Bahrain Dinar ".num_words($intpart)." Only";
										 }*/
				
				 ?></td>
            </tr>
           <?php if ($st_no>1){ ?>
            <tr><td colspan="4"><p><b>* Minimum Call out Applied</b></p></td></tr>
           <?php  } ?>
        </table>
         <?php if($records[0]['invoice_remarks']!=""){?>
        <table>
            <tr>
                <td colspan="3">
                    <b>Remarks : </b><?php echo $records[0]['invoice_remarks'];?>
                </td>
        </table>
        <?php }?>
        <span style=" width:50%; float:left;">
        <table width="100%">
			<table>
				<tr>
					<td>
						<b>Prepared By</b><br><br><b><?php echo $records[0]['invoice_created_by']; ?></b><br>
					</td>
				</tr>
			</table>
		</table></span>
        <span style=" width:50%; float:left;"><table width="100%">
			<table>
				<tr>
					<td>
						<b>Checked By</b><br><br><br>
					</td>
				</tr>
			</table>
		</table>
        </span>
		</article>
		
	</body>
</html>

<script type="text/javascript">
	$("html").on('click',".closeButton",function(){
		$('.modal').hide();
	});
$("html").on('click',".viewJobFiles",function(){
	var job_id	=	$(this).attr("job_id");
	$('#message').text("");
	$('.overlay').show();
	jQuery.ajax({
		type: "POST",
		url: '<?php echo site_url("invoice/list_files")?>',
		data: {'job_id':job_id},
		success: function(res) {
			$('#listtHidden').html(res);
			$('.modal').show();
			$('#lpo_no').val($('#lpo_lpo').val());
			$('.overlay').hide();
		}
	});
});
$("html").on('click',".work",function(){
	var work_no	=	$(this).attr("id");
	var work_id	=	$(this).attr("work_id");
	
	$.ajax({
			type: "POST",
			url: '<?php echo site_url("invoice/work_file")?>',
			data: {'work_no':work_no,'work_id':work_id},
			success: function(data){
				var arrayData   =   JSON.parse(data);
				if(arrayData[0]==='0'){
					alert('No Work order files exists');
				} else {
					data = $.parseJSON(data);
					$.each(data, function(i, item) {
						window.open(item);
					});
				}
				
				}
		});
});
</script>