<style type="text/css">
	.align_right {text-align: right !important;}
	.input-small {width: 86px;}
	.divisionOuter { display: none; min-height:30px; }
	@media print{
	.hidePrint{
	display:none;
	}
	}
</style>

<h3>Reports</h3>
<?php echo $this->session->flashdata('response'); ?>
<link href="<?php echo base_url(); ?>css/jquery-ui.css" rel="stylesheet">
<script	src="<?php echo base_url(); ?>js/jquery-1.8.3.js"></script>
<script	src="<?php echo base_url(); ?>js/jquery-ui.js"></script>
<link rel="stylesheet" href="/resources/demos/style.css" />

<form id="quotation_report" name="quotation_report" class="form-horizontal" method="post" 
	action="<?php echo site_url('day_book/search_result');?>">
	
	<table class="hidePrint">
    	<tr>
			<td>Type&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
			<td>
				<?php echo form_dropdown('filter_by',array(0=>"All",1=>"Confirmed Quotations",2=>"Active Invoices",3=>"Cancelled Invoices",4=>"Active Receipts",5=>"Cancelled Receipts"),$this->input->post('filter_by'),'class="input-percentage_010"'); ?> 
			</td>
		</tr>
		<tr>
			<td>Date</td>
			<td>
				<input type="text" name="report_date_from" id="report_date_from"
					class='input-percentage_1100' value="<?php echo $this->input->post('report_date_from') ;?>" /> to
				<input type="text" name="report_date_to" id="report_date_to"
					class='input-percentage_1100' value="<?php echo $this->input->post('report_date_to') ;?>" />
			</td>
		</tr>		
		<tr>
			<td>&nbsp;</td>
			<td>
				<input type="submit" name="results" id="results" value="Show Results" class="btn btn-primary" />
				</*input type="submit" name="export" id="export" value="Export Results" class="btn" /*/>
			</td>
		</tr>
	</table>	
	
	<br /><br />
    <h3>Confirmed Quotations</h3>
	<table class="table table-bordered table-hover">
		<tr>
			<th>Quotation No</th>
			<th>Confirmation Date</th>
			<th>Client</th>
			<th>Project</th>
			<th>Amount</th>
			<th>User</th>
		</tr>
		<?php
        if($records != false) {
			$total_amount = 0;
			foreach($records as $record){
				$quote_amount = $record['quotation_total']-$record['quotation_discount'];
				$total_amount = $total_amount +	$quote_amount;
				?>
				<tr>
					<td><?php echo $record['division_code'].'-'.$record['quotation_number'].'-'.$record['quotation_revisionnumber']; ?></td>
					<td><?php echo date('M d, Y',strtotime($record['quotation_confirmationdate'])); ?></td>
					<td><?php echo $record['client_name']; ?></td>
					<td><?php echo $record['project_name']; ?></td>
					<td><?php echo $record['currency_code']." ".number_format($quote_amount,3); ?></td>
					<td><?php echo $record['user_name']; ?></td>
				</tr>
				<?php }?>
				<tr>
					<td style="text-align:right" colspan="4"><b>Total Amount</b></td>
					<td colspan="2"><b><?php echo number_format($total_amount,3); ?></b></td>
				</tr>
				<?php	 } else{ ?>
			<tr>
				<td colspan="7">No records available</td>
			</tr>
			<?php
		}
		?>
	</table>
    <br>
    <h3>Invoices</h3>
	<table class="table table-bordered table-hover">
		<tr>
        	<th>Type</th>
			<th>Invoice No</th>
			<th>Invoice Date</th>
			<th>Client</th>
			<th>Invoice Amount</th>
            <th>Cancelled Date</th>
			<th>Created By</th>
            <th>Cancelled By</th>
		</tr>
		<?php
        if($records1 != false) {
			$total_invoice_amount = 0;
			foreach($records1 as $record){
				$invoice_amount = $record['invoice_percentage_amount']-$record['invoice_discount'];
				$total_invoice_amount   = $total_invoice_amount + $invoice_amount;	
				?>
				<tr>
                	<td><?php if($record['invoice_status']==0){ echo "Active Invoice";}else{echo"Cancelled Invoice";} ?></td>
					<td><?php echo $record['division_code'].'-'.$record['invoice_number']; ?></td>
					<td><?php echo date('M d, Y',strtotime($record['invoice_date'])); ?></td>
					<td><?php echo $record['client']; ?></td>
					<td><?php echo $record['currency_code']." ".number_format($invoice_amount,3); ?></td>
                    <td><?php if($record['invoice_cancelled_date']=="0000-00-00 00:00:00" || $record['invoice_cancelled_date']==" "){echo"";}else{echo date('M d, Y',strtotime($record['invoice_cancelled_date']));} ?></td>
					<td><?php echo $record['invoice_created_by']; ?></td>
                    <td><?php echo $record['invoice_cancelled_by']; ?></td>
				</tr>
				<?php } ?>
				<tr>
					<td style="text-align:right" colspan="4"><b>Total Amount</b></td>
					<td colspan="4"><b><?php echo number_format($total_invoice_amount,3); ?></b></td>
				</tr>
				<?php } else{ ?>
			<tr>
				<td colspan="8">No records available</td>
			</tr>
			<?php
		}
		?>
	</table>
    <br>
    <h3>Receipts</h3>
	<table class="table table-bordered table-hover">
		<tr>
        	<th>Type</th>
			<th>Receipt No</th>
			<th>Receipt Date</th>
			<th>Client</th>
			<th>Receipt Amount</th>
            <th>Cancelled Date</th>
			<th>Created By</th>
            <th>Cancelled By</th>
		</tr>
		<?php
        if($records2 != false) {
			$total_receipt_amount = 0;
			foreach($records2 as $record){
				$receipt_amount = $record['receipt_amount']+$record['receipt_discount'];
				$total_receipt_amount = $total_receipt_amount + $receipt_amount;	
				?>
				<tr>
                	<td><?php if($record['receipt_status']==1){ echo "Active Receipt";}else{echo"Cancelled Receipt";} ?></td>
					<td><?php echo $record['division_code'].'-'.$record['receipt_number']; ?></td>
					<td><?php echo date('M d, Y',strtotime($record['receipt_date'])); ?></td>
					<td><?php echo $record['client']; ?></td>
					<td><?php echo $record['currency_code']." ".number_format($receipt_amount,3); ?></td>
                    <td><?php if($record['receipt_cancelled_date']=="0000-00-00 00:00:00" || $record['receipt_cancelled_date']==""){echo"";}else{echo date('M d, Y',strtotime($record['receipt_cancelled_date']));} ?></td>
					<td><?php echo $record['user_name']; ?></td>
                    <td><?php echo $record['receipt_cancelledby']; ?></td>
				</tr>
				<?php } ?>
				<tr>
					<td style="text-align:right" colspan="4"><b>Total Amount</b></td>
					<td colspan="4"><b><?php echo number_format($total_receipt_amount,3); ?></b></td>
				</tr>
				<?php } else{ ?>
			<tr>
				<td colspan="8">No records available</td>
			</tr>
			<?php
		}
		?>
	</table>
</form>
<script>
$( "#report_date_from" ).datepicker({ maxDate: '+0d' });
$( "#report_date_to" ).datepicker({ maxDate: '+0d' });
</script>