<style>
.align_right {text-align: right !important;}
</style>


<h3>Kitchen Quotations</h3>

<?php
echo $this->session->flashdata('response');
?>

<p>
	<a href="<?php echo site_url('transactions/quotations/create');?>">Create
		New Quotation</a> 
         <form id="filter_quotation" name="filter_quotation" method="post" action="<?php echo site_url('transactions/quotations/filter_quotation');?>" >
        <div class="filter_box clear">

        <?php 
        if($this->session->userdata('user_group_id') == 1 || $this->session->userdata('user_group_id') == 7){
        if(isset($salesman_list)) echo form_dropdown('filter_sales', $salesman_list, set_value($this->session->userdata('user_id')));
        }?>

        <?php echo form_dropdown('filter_by', array(1=>"Quotation Number", 2=>"Client", 3=>"Telephone"), set_value(1)); echo form_input('filter_value', '');?>

        
        <input type="submit" name="find" value=" " class=/>
        </div>
	</form>
</p>



<?php
echo $pagination;
?>
<table class="table table-bordered table-hover">
	<tr>
		<th>Quotation Number</th>
		<th style="width:100px;">Date</th>
		<th>Client</th>
		<th>Project</th>
		<th>Salesman</th>
        <th class='align_right'>Amount (in BD.)</th>
		<th>Action</th>
        <th>Previous Versions</th>
	</tr>

	<?php
	if($records != false)
	{
		foreach($records as $record){
			$status_colors = array(
				'Draft' => 'warning',
				'Open' => 'info',
				'Closed' => 'error',
				'Confirmed' => 'success'
			);
			?>

	<tr <?php echo 'class="'.$status_colors[$record['quotation_status']].'"'; ?>>
		<td><?php echo $record['quotation_number'].'-'.$record['quotation_revision_number']; ?></td>
		<td><?php echo date('M d,Y',strtotime ($record['quotation_date'])); ?></td>
		<td><?php echo $record['client_name']; ?></td>
		<td><?php echo $record['project_name']; ?></td>
		<td><?php echo $record['user_name']; ?></td>
		<td class='align_right'><?php echo number_format($record['quotation_net_total'],3); ?></td>
          	<td>
			<?php 
			if($record['quotation_status'] == 'Draft' or $record['quotation_status'] == 'Open'){
			?>
				<a class="icon-edit" title="Edit"
					href="<?php echo site_url('transactions/quotations/edit/'.$record['quotation_id']); ?>"></a>
				<?php
			}
			if($record['quotation_status'] != 'Draft'){
				?>
				<a class="icon-search iframe" title="Print Quote"
				href="<?php echo site_url('transactions/quotations/view/'.$record['quotation_id']); ?>"></a>
				
				<!-- <a class="icon-search iframe" title="Type #2"
				href="<?php echo site_url('transactions/quotations/view2/'.$record['quotation_id']); ?>"></a> -->
				
				<?php
			}
			if($record['quotation_status'] == 'Confirmed'){
				?>
				<a class="icon-file iframe" title="Agreement"
				href="<?php echo site_url('transactions/quotations/show_agreement/'.$record['quotation_id']); ?>"></a>
				<?php
			}
			?>
		</td>
        <td style="max-width:120px;"><?php 
			if($old_quotations[$record['quotation_number']]) {
							
				foreach($old_quotations[$record['quotation_number']] as $old_version_numer=>$old_version_id ) {
			?>		
					<a class="iframe" title="Print Quote"
				href="<?php echo site_url('transactions/quotations/view_old_version/'.$old_version_id); ?>"><?php echo $old_version_numer;  ?></a>&nbsp;
			<?php		
				}
			}
		
		?></td>
	</tr>

	<?php
		}
	}
	else{
?>
	<tr>
		<td colspan="8">No records available</td>
	</tr>
	<?php
	}

	?>

</table>

<?php
echo $pagination;
?>

<script type="text/javascript">
function isDel(id){
	if(confirm('Are you sure you want to delete?')){
		document.location.href="<?php echo site_url('transactions/quotations/do_delete'); ?>/"+id;
	}	
}
</script>


<div style='clear:both'>
Legend: <span class='alert alert-success'>Confirmed</span> <span class='alert alert-error'>Closed</span> <span class='alert alert-info'>Open</span> <span class='alert alert-warning'>Draft</span>
</div>

<br/>
<?php if($print_view !=0 && $print_quotation_id !=0) {

?>
<script>
$(document).ready(function(){
	<?php if($print_view==1) {
	?>
	$.colorbox({iframe:true, width:"80%", height:"80%", href:"<?php echo site_url('transactions/quotations/view/'.$print_quotation_id); ?>"});
<?php } else {
?>
	$.colorbox({iframe:true, width:"80%", height:"80%", href:"<?php echo site_url('transactions/quotations/show_agreement/'.$print_quotation_id); ?>"});
<?php }
?>
});
</script>	
<?php 
}
?>