<style>
.align_right {text-align: right !important;}
</style>








<h3>Reports</h3>

<?php
echo $this->session->flashdata('response');
?>
<link
	href="<?php echo base_url(); ?>css/jquery-ui.css" rel="stylesheet">

<script
	src="<?php echo base_url(); ?>js/jquery-1.8.3.js"></script>
<script
	src="<?php echo base_url(); ?>js/jquery-ui.js"></script>


<link
	rel="stylesheet" href="/resources/demos/style.css" />


<form id="quotation_report" name="quotation_report"
	class="form-horizontal" method="post"
	action="<?php echo site_url('transactions/quotations/report');?>">
	
	
	
	<table>
		<tr>
			<td>Quotation No</td>
			<td><input type="text" name="quotation_number1" class='input-small' id="quotation_number1"
				value="<?php echo $this->input->post('quotation_number1') ;?>" /> to <input type="text" class='input-small' name="quotation_number2" id="quotation_number2"
				value="<?php echo $this->input->post('quotation_number2') ;?>" />
			</td>
		</tr>
		<tr>
			<td>Date</td>
			<td>
				<input type="text" name="report_date_from" id="report_date_from"
					class='input-small' value="<?php echo $this->input->post('report_date_from') ;?>" /> to
				<input type="text" name="report_date_to" id="report_date_to"
					class='input-small' value="<?php echo $this->input->post('report_date_to') ;?>" />
			</td>
		</tr>
		
		<tr>
			<td>Salesman</td>
			<td>
				<?php echo form_dropdown('user_id', $users, $this->input->post('user_id')); ?>
			</td>
		</tr>
		
		<tr>
			<td>Area</td>
			<td>
				<input type="text" name="project_location" id="project_location"
				value="<?php echo $this->input->post('project_location') ;?>" />
			</td>
		</tr>
		
		<tr>
			<td>Status</td>
			<td>
				<?php 
				$quotation_statuses = array(
					'0' => 'All',
					'Draft'=>'Draft',
					'Open'=>'Open',
					'Closed'=>'Closed',
					'Confirmed'=>'Confirmed'
				);
				echo form_dropdown('quotation_status', $quotation_statuses, $this->input->post('quotation_status')); ?>
			</td>
		</tr>
		
		<tr>
			<td>Mobile Number</td>
			<td>
				<input type="text" name="client_phone_number1"
				id="client_phone_number1"
				value="<?php echo $this->input->post('client_phone_number1') ;?>" />
			</td>
		</tr>
		
		<tr>
			<td>Revision</td>
			<td>
				<input type="radio" name="revisions" id="recent" value="recent" <?php echo (($this->input->post('revisions') == 'recent' OR $this->input->post('revisions') != 'all') ? ' checked="checked"':''); ?> /> Recent
				<input type="radio" name="revisions" id="all" value="all" <?php echo ($this->input->post('revisions')=='all' ? 'checked="checked"' : ''); ?> /> All
			</td>
		</tr>
		
		<tr>
			<td>&nbsp;</td>
			<td>
				<input type="submit" name="results" id="results" value="Show Results" class="btn btn-primary" />
				</*input type="submit" name="export" id="export" value="Export Results" class="btn" /*/>
			</td>
		</tr>
	</table>
	
	

	<table class="table table-bordered table-hover">
		<tr>
			<th>Quotation No</th>
			<th>Date</th>
			<th>Client</th>
			<th>Project</th>
			<th>Salesman</th>
			<th class='align_right'>Amount (in BD.)</th>
			<th>Status</th>
		</tr>
		<?php
		$totalAmt = 0;
                if($records != false)
		{
			foreach($records as $record){

                          $status_colors = array(
				'Draft' => 'warning',
				'Open' => 'info',
				'Closed' => 'error',
				'Confirmed' => 'success'
			  );
				if($this->input->post('revisions') == 'all')
					$qdata = $this->quotation_model->get_full_quotation_details($record['quotation_id'],'all');
				else
					$qdata = $this->quotation_model->get_full_quotation_details($record['quotation_id']);
				//print_r($qdata);exit;

                               $totalAmt = $qdata['quotation_net_total'] + $totalAmt ;
				?>
				<tr <?php echo 'class="'.$status_colors[$record['quotation_status']].'"'; ?>>
					<td title="<?php echo '#'.$record['quotation_id']; ?>"><?php echo $record['quotation_number'].'-'.$record['quotation_revision_number']; ?></td>
					<td><?php echo date('M d, Y',strtotime($record['quotation_date'])); ?></td>
					<td><?php echo $record['client_name']; ?></td>
					<td><?php echo $record['project_name']; ?></td>
					<td><?php echo $record['user_name']; ?></td>
					<td class='align_right'><?php echo number_format($qdata['quotation_net_total'],3); ?></td>
					<td><?php echo $record['quotation_status']; ?></td>
				</tr>
				<?php
			}
			
			?>
			
			<table class="table table-bordered table_new" style="float: right; width: 385px;">

		               <tr>

                                    <td class="bg_grey" bgcolor="#cacaca" width="115">Total :</td>
                                    <td class='align_right'><?php echo number_format($totalAmt,3); ?></td>
                                    <td width="85"></td>
                                </tr>
                         </table>
                <?php
		}
		else{
			?>
			<tr>
				<td colspan="7">No records available</td>
			</tr>
			<?php
		}
		?>
	</table>
</form>
<script>
$( "#report_date_from" ).datepicker({ maxDate: '+0d' });
$( "#report_date_to" ).datepicker({ maxDate: '+0d' });
</script>



