<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Day_book extends CI_Controller {

	function Day_book()
	{
		parent::__construct();
		if($this->session->userdata('user_logged_in') != true)
		{
			$this->session->set_flashdata('response','<div class="alert alert-error">Unauthorised access. Login required.</div>');
			redirect('login');
		}
		$this->load->library('form_validation');
		//$this->load->library('pagination');
		$this->load->model('furniture_quotation_model');
	}		
	public function index() {
			$data['report_type'] = "confirmed qoute";	
			$data['records']= false;
			$this->load->view('templates/header');
			$this->load->view('reports/day_book',$data);
			$this->load->view('templates/footer');		
	}
	public function search_result() {
		if($this->input->post('filter_by')==0) {
		$where['quotation_status'] = "Confirmed";
		if($this->input->post('report_date_from') != ''  or $this->input->post('report_date_to') != '' ) {

						$date_fmt= date('Y-m-d',strtotime($this->input->post('report_date_from')));
						$date_to= date('Y-m-d',strtotime($this->input->post('report_date_to').' + 1 day'));

						if($this->input->post('report_date_from')!='' and $this->input->post('report_date_to')!='') {
							$where['quotation_confirmationdate >='] = $date_fmt;
							$where['quotation_confirmationdate <='] = $date_to;
						}
						else if($this->input->post('report_date_from') != '') {
							$where['quotation_confirmationdate >='] = $date_fmt;
						}
						else if($this->input->post('report_date_to')!=''){
							$where['quotation_confirmationdate <='] = $date_to;
						}

					}
		$data['records']=$this->crud_model->get('view_furniture_quotations_client_project_users', $where, null, null, "quotation_confirmationdate", "quotation_confirmationdate");
		
		$this->db->select('*');
		$this->db->from('furniture_invoice');
		$this->db->join('company_division', 'company_division.division_id = furniture_invoice.quotation_divisionid','inner');
		if($this->input->post('report_date_from') != ''  or $this->input->post('report_date_to') != '' ) {

						$date_fmt= date('Y-m-d',strtotime($this->input->post('report_date_from')));
						$date_to= date('Y-m-d',strtotime($this->input->post('report_date_to').' + 1 day'));

						if($this->input->post('report_date_from')!='' and $this->input->post('report_date_to')!='') {
							$this->db->where('invoice_date >=', $date_fmt);
							$this->db->where('invoice_date <=', $date_to);
						}
						else if($this->input->post('report_date_from') != '') {
							$this->db->where('invoice_date >=', $date_fmt);
						}
						else if($this->input->post('report_date_to')!=''){
							$this->db->where('invoice_date <=', $date_to);
						}

					}
		$this->db->order_by("invoice_date");
		$rs = $this->db->get();
		$data['records1'] = $rs->result_array();
		
		$this->db->select('receipt_status,division_code,receipt_number,receipt_date,client,currency_code,receipt_cancelled_date,user_name,receipt_cancelledby,furniture_receipts.receipt_amount,furniture_receipts.receipt_discount');
		$this->db->from('furniture_receipts');
		$this->db->join('company_division', 'company_division.division_id = furniture_receipts.quotation_divisionid','inner');
		$this->db->join('users', 'users.user_id = furniture_receipts.receipt_generatedby','inner');
		$this->db->join('furniture_invoice', 'furniture_invoice.invoice_id = furniture_receipts.invoice_id','inner');
		if($this->input->post('report_date_from') != ''  or $this->input->post('report_date_to') != '' ) {

						$date_fmt= date('Y-m-d',strtotime($this->input->post('report_date_from')));
						$date_to= date('Y-m-d',strtotime($this->input->post('report_date_to').' + 1 day'));

						if($this->input->post('report_date_from')!='' and $this->input->post('report_date_to')!='') {
							$this->db->where('receipt_date >=', $date_fmt);
							$this->db->where('receipt_date <=', $date_to);
						}
						else if($this->input->post('report_date_from') != '') {
							$this->db->where('receipt_date >=', $date_fmt);
						}
						else if($this->input->post('report_date_to')!=''){
							$this->db->where('receipt_date <=', $date_to);
						}

					}
		$this->db->order_by("receipt_date");
		$rs = $this->db->get();
		$data['records2'] = $rs->result_array();
		
		$this->load->view('templates/header');
		$this->load->view('reports/day_book_all',$data);
		$this->load->view('templates/footer');
		
		}else if($this->input->post('filter_by')==1) {
			$data['report_type'] = "confirmed qoute";
			$where['quotation_status'] = "Confirmed";
			if($this->input->post('report_date_from') != ''  or $this->input->post('report_date_to') != '' ) {

						$date_fmt= date('Y-m-d',strtotime($this->input->post('report_date_from')));
						$date_to= date('Y-m-d',strtotime($this->input->post('report_date_to').' + 1 day'));

						if($this->input->post('report_date_from')!='' and $this->input->post('report_date_to')!='') {
							$where['quotation_confirmationdate >='] = $date_fmt;
							$where['quotation_confirmationdate <='] = $date_to;
						}
						else if($this->input->post('report_date_from') != '') {
							$where['quotation_confirmationdate >='] = $date_fmt;
						}
						else if($this->input->post('report_date_to')!=''){
							$where['quotation_confirmationdate <='] = $date_to;
						}

					}
			$data['records']=$this->crud_model->get('view_furniture_quotations_client_project_users', $where, null, null, "quotation_confirmationdate", "quotation_confirmationdate");
			$this->load->view('templates/header');
			$this->load->view('reports/day_book',$data);
			$this->load->view('templates/footer');
		}else if($this->input->post('filter_by')==2 || $this->input->post('filter_by')==3) {
		    if($this->input->post('filter_by')==2){
			$data['report_type'] = "active invoices";
			}else{
			$data['report_type'] = "cancelled invoices";
			}
			$this->db->select('*');
			$this->db->from('furniture_invoice');
			$this->db->join('company_division', 'company_division.division_id = furniture_invoice.quotation_divisionid','inner');
			if($this->input->post('filter_by')==2){
			$this->db->where('invoice_status', 0);
			if($this->input->post('report_date_from') != ''  or $this->input->post('report_date_to') != '' ) {

						$date_fmt= date('Y-m-d',strtotime($this->input->post('report_date_from')));
						$date_to= date('Y-m-d',strtotime($this->input->post('report_date_to').' + 1 day'));

						if($this->input->post('report_date_from')!='' and $this->input->post('report_date_to')!='') {
							$this->db->where('invoice_date >=', $date_fmt);
							$this->db->where('invoice_date <=', $date_to);
						}
						else if($this->input->post('report_date_from') != '') {
							$this->db->where('invoice_date >=', $date_fmt);
						}
						else if($this->input->post('report_date_to')!=''){
							$this->db->where('invoice_date <=', $date_to);
						}

					}
			}else{
			$this->db->where('invoice_status', 1);
			if($this->input->post('report_date_from') != ''  or $this->input->post('report_date_to') != '' ) {

						$date_fmt= date('Y-m-d',strtotime($this->input->post('report_date_from')));
						$date_to= date('Y-m-d',strtotime($this->input->post('report_date_to').' + 1 day'));

						if($this->input->post('report_date_from')!='' and $this->input->post('report_date_to')!='') {
							$this->db->where('invoice_cancelled_date >=', $date_fmt);
							$this->db->where('invoice_cancelled_date <=', $date_to);
						}
						else if($this->input->post('report_date_from') != '') {
							$this->db->where('invoice_cancelled_date >=', $date_fmt);
						}
						else if($this->input->post('report_date_to')!=''){
							$this->db->where('invoice_cancelled_date <=', $date_to);
						}

					}
			}
			$this->db->order_by("invoice_date");
			$rs = $this->db->get();
			$data['records'] = $rs->result_array();
			$this->load->view('templates/header');
			$this->load->view('reports/day_book',$data);
			$this->load->view('templates/footer');
		}else if($this->input->post('filter_by')==4 || $this->input->post('filter_by')==5) {
		    if($this->input->post('filter_by')==4){
			$data['report_type'] = "active receipts";
			}else{
			$data['report_type'] = "cancelled receipts";
			}
			$this->db->select('receipt_status,division_code,receipt_number,receipt_date,client,currency_code,receipt_cancelled_date,user_name,receipt_cancelledby,furniture_receipts.receipt_amount,furniture_receipts.receipt_discount');
			$this->db->from('furniture_receipts');
			$this->db->join('company_division', 'company_division.division_id = furniture_receipts.quotation_divisionid','inner');
			$this->db->join('users', 'users.user_id = furniture_receipts.receipt_generatedby','inner');
			$this->db->join('furniture_invoice', 'furniture_invoice.invoice_id = furniture_receipts.invoice_id','inner');
			if($this->input->post('filter_by')==4){
			$this->db->where('receipt_status', 1);
			if($this->input->post('report_date_from') != ''  or $this->input->post('report_date_to') != '' ) {

						$date_fmt= date('Y-m-d',strtotime($this->input->post('report_date_from')));
						$date_to= date('Y-m-d',strtotime($this->input->post('report_date_to').' + 1 day'));

						if($this->input->post('report_date_from')!='' and $this->input->post('report_date_to')!='') {
							$this->db->where('receipt_date >=', $date_fmt);
							$this->db->where('receipt_date <=', $date_to);
						}
						else if($this->input->post('report_date_from') != '') {
							$this->db->where('receipt_date >=', $date_fmt);
						}
						else if($this->input->post('report_date_to')!=''){
							$this->db->where('receipt_date <=', $date_to);
						}

					}
			}else{
			$this->db->where('receipt_status', 0);
			if($this->input->post('report_date_from') != ''  or $this->input->post('report_date_to') != '' ) {

						$date_fmt= date('Y-m-d',strtotime($this->input->post('report_date_from')));
						$date_to= date('Y-m-d',strtotime($this->input->post('report_date_to').' + 1 day'));

						if($this->input->post('report_date_from')!='' and $this->input->post('report_date_to')!='') {
							$this->db->where('receipt_cancelled_date >=', $date_fmt);
							$this->db->where('receipt_cancelled_date <=', $date_to);
						}
						else if($this->input->post('report_date_from') != '') {
							$this->db->where('receipt_cancelled_date >=', $date_fmt);
						}
						else if($this->input->post('report_date_to')!=''){
							$this->db->where('receipt_cancelled_date <=', $date_to);
						}

					}
			}
			$this->db->order_by("receipt_date");
			$rs = $this->db->get();
			$data['records'] = $rs->result_array();
			$this->load->view('templates/header');
			$this->load->view('reports/day_book',$data);
			$this->load->view('templates/footer');
		}else{
			$this->index();
		}
	}
	function date_check($data) {
		$given_date = strtotime($data);
		$today_date = strtotime(date('Y-m-d'));
		/* echo date('Y-m-d',$given_date);
		 echo date('Y-m-d',$today_date);
		exit ; */
		if($given_date <= $today_date){
			//true
			return true;
		}
		else{
			//false
			$this->form_validation->set_message('date_check', 'Date cannot be future date');
			return FALSE;
		}

	}		
}
?>