<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Item_listing extends CI_Controller {
	function Item_listing() {
		parent::__construct();
		if($this->session->userdata('user_logged_in') != true){
			$this->session->set_flashdata('response','<div class="alert alert-error">Unauthorised access. Login required.</div>');
			redirect('login');
		}
		if($this->crud_model->check_permission("item_listing","view")==false && $this->session->userdata('default_controller_name')!="item_listing/list_item"){
			$this->session->set_flashdata('response','<div class="alert alert-error">You have no permission to access this page.Please contact administrator.</div>');
			redirect($this->session->userdata('default_controller_name'));
		}
		$this->load->library('form_validation');
		$this->load->library('pagination');
		$this->load->model('furniture_quotation_model');
		$this->load->helper('num_words');
	}
	function list_item($item_name="NIL",$test_name="NIL",$from="NIL",$to="NIL",$client="NIL",$project_id="NIL") {
		$list = $this->crud_model->get_list('id','category_name','main_category',array('-1'=>' - Main Categories - '),array(),'category_name','ASC');
		$data['main_category_list'] = $list;
		$this->load->view('templates/header');
		$this->load->view('manage/list_item',$data);
		$this->load->view('templates/footer');
	}
	
	public function export_item_listing($main_category_id="NIL") {
		$k=0;
		
		$sql='';
		
		if (@$this->input->post('main_category_id')) {
			$main_category_id =   $this->input->post("main_category_id");
		}elseif ($main_category_id != "NIL") {
			$main_category_id	=	$main_category_id;
		} else {
			$main_category_id	= "NIL";
		}
		
		if ($main_category_id != "NIL"){
			$sql	.= " AND MC.`id` = '$main_category_id'";
		}
		
		
		
		$data			=	$this->db->query("SELECT MC.`id`,MC.`category_name` AS item_name,SC.`sub_category_name` AS test_name,I.`item_name` AS method_name FROM `main_category` MC INNER JOIN `sub_category` SC ON SC.`main_category`=MC.`id` INNER JOIN `items` I ON I.`sub_category`=SC.`sub_id` WHERE MC.`status`='1' ".$sql." ORDER BY MC.`category_name` ASC  ");
		$data_result	=	$data->result_array();
		
		$list	='';
		$details    =   array();
		$i=1;
		foreach ($data_result as $data_results){
			$new    =   array(
					$i++,
					$data_results['item_name'],
					$data_results['test_name'],
					$data_results['method_name']
				);
			array_push($details,$new);
		}
		
		$head   =   array(
			"No",
			"Item Name",
			"Test Name",
			"Method Name"
		);
		$this->load->library('Excel');
        $Excel = new Excel;
		
        $Excel->export($head, $details, 0, "ItemListing");
	}
}
?>