<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Outinv_reports extends CI_Controller {

	function View_reports()
	{
		parent::__construct();
		if($this->session->userdata('user_logged_in') != true)
		{
			$this->session->set_flashdata('response','<div class="alert alert-error">Unauthorised access. Login required.</div>');
			redirect('login');
		}
		$this->load->library('form_validation');
		$this->load->model('furniture_quotation_model');
	 }	
	
	
	public function index($status='') 
	{
		        $client_list = $this->crud_model->get_list('client_id','client_name','new_client_master',array('0'=>' - None- '));
			$data['client_list'] = $client_list;
			$data['invoice_list']=false;
	       
			$data['invoice_list']=false;
			if($status == "result" ) 
		      {
		    $this->load->library('form_validation');
//    		  $this->form_validation->set_rules('client_name', 'client_name', 'required');
	        $this->form_validation->set_rules('report_date_from', 'Date', 'callback_date_check');
			//$this->form_validation->set_rules('report_date_to', 'Date', 'callback_date_check');
			$error_flag = false;
			$error_msg = '';
			$client_id = $this->input->post('client_id');
			
		    $from=$this->input->post('report_date_from') ;
			//$to= $this->input->post('report_date_to'); 
				
			/*$error_flag = false;
			$error_msg = '';
			if(!$client_id) 
			{
				$error_msg = '<p>Please select a client first.</p>';
				$error_flag = true;
			}*/
			if ($this->form_validation->run() == FALSE || $error_flag) 
			{
				// false section
				$this->session->set_flashdata('response','<div class="alert alert-error">'.validation_errors().$error_msg.'</div>',':old:');
				$data['records'] = false;
			}				 
			else  
		   {
			$data['records'] = false;
		    $from=$this->input->post('report_date_from') ;
			
			$this->load->model('outinvoice_model');
			$list = $this->crud_model->get_list('division_id','division_name','company_division',array());
		    unset($list[QMS_WORKSHOP_QTN_DIV_ID]);
		    $data['division_list'] = $list;
	
		    $data['invoice_list'] =$this->outinvoice_model->invoice($from,$client_id);
		  }
	
		}
			$query = $this->db->get('company_details');  
			$data['company_details'] = $query->row();
			$data['submitted_client_id'] = $this->input->post('client_id');
			
			$this->db->select('client_name,client_address,client_telephone1,client_email,contact_person');
			$this->db->from('new_client_master');
			$this->db->where('client_id', $this->input->post('client_id')); 
			$client_query = $this->db->get();
			$data['client_details'] = $client_query->row();
			
			$data['to'] = $this->input->post('report_date_from') ;
			
	        $this->load->view('templates/header');
			$this->load->view('reports/outinvoice_reports',$data);
		    $this->load->view('templates/footer');
		
	
	}
	public function print_details($client_id="",$from1="") 
	{
			$from = str_replace("-","/", $from1);
			
		    $client_list = $this->crud_model->get_list('client_id','client_name','new_client_master',array('0'=>' - None- '));
			$data['client_list'] = $client_list;
			$data['invoice_list']=false;
	       
		    $this->load->library('form_validation');
//    		  $this->form_validation->set_rules('client_name', 'client_name', 'required');
	        $this->form_validation->set_rules('report_date_from', 'Date', 'callback_date_check');
			//$this->form_validation->set_rules('report_date_to', 'Date', 'callback_date_check');
			$error_flag = false;
			$error_msg = '';
			
			$data['records'] = false;
			
			$this->load->model('outinvoice_model');
			$list = $this->crud_model->get_list('division_id','division_name','company_division',array());
		    unset($list[QMS_WORKSHOP_QTN_DIV_ID]);
		    $data['division_list'] = $list;
	
		    $data['invoice_list'] =$this->outinvoice_model->invoice($from,$client_id);
	
			$query = $this->db->get('company_details');  
			$data['company_details'] = $query->row();
			$data['submitted_client_id'] = $client_id;
			
			$this->db->select('client_name,client_address,client_telephone1,client_email,contact_person');
			$this->db->from('new_client_master');
			$this->db->where('client_id', $client_id); 
			$client_query = $this->db->get();
			$data['client_details'] = $client_query->row();
			
			$data['to'] = $from;
			if($client_id==0){
			$this->load->view('reports/print_without_outinvoice_reports',$data);
			}else{
			$this->load->view('reports/print_with_outinvoice_reports',$data);
			}
		
	
	}
	public function cancel_print_details($client_id="",$from1="") 
	{
			$from = str_replace("-","/", $from1);
			
		    $client_list = $this->crud_model->get_list('client_id','client_name','new_client_master',array('0'=>' - None- '));
			$data['client_list'] = $client_list;
			$data['invoice_list']=false;
	       
		    $this->load->library('form_validation');
//    		  $this->form_validation->set_rules('client_name', 'client_name', 'required');
	        $this->form_validation->set_rules('report_date_from', 'Date', 'callback_date_check');
			//$this->form_validation->set_rules('report_date_to', 'Date', 'callback_date_check');
			$error_flag = false;
			$error_msg = '';
			
			$data['records'] = false;
			
			$this->load->model('outinvoice_model');
			$list = $this->crud_model->get_list('division_id','division_name','company_division',array());
		    unset($list[QMS_WORKSHOP_QTN_DIV_ID]);
		    $data['division_list'] = $list;
	
		    $data['invoice_list'] =$this->outinvoice_model->invoice($from,$client_id);
	
			$query = $this->db->get('company_details');  
			$data['company_details'] = $query->row();
			$data['submitted_client_id'] = $client_id;
			$data['client_id_1'] = $client_id;
			
			$this->db->select('client_name,client_address,client_telephone1,client_email,contact_person');
			$this->db->from('new_client_master');
			$this->db->where('client_id', $client_id); 
			$client_query = $this->db->get();
			$data['client_details'] = $client_query->row();
			@$data['client_name'] = $client_query->row()->client_name;
			
			$data['to'] = $from;
			$this->load->view('templates/header');
			$this->load->view('reports/outinvoice_reports',$data);
		    $this->load->view('templates/footer');
		
	
	}

}

?>