<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Test_and_quantity extends CI_Controller {
	function Test_and_quantity() {
		parent::__construct();
		if($this->session->userdata('user_logged_in') != true){
			$this->session->set_flashdata('response','<div class="alert alert-error">Unauthorised access. Login required.</div>');
			redirect('login');
		}
		if($this->crud_model->check_permission("test_and_quantity","view")==false && $this->session->userdata('default_controller_name')!="test_and_quantity/list_test_and_quantity"){
			$this->session->set_flashdata('response','<div class="alert alert-error">You have no permission to access this page.Please contact administrator.</div>');
			redirect($this->session->userdata('default_controller_name'));
		}
		$this->load->library('form_validation');
		$this->load->library('pagination');
		$this->load->model('furniture_quotation_model');
		$this->load->helper('num_words');
	}
	function list_test_and_quantity($item_name="NIL",$test_name="NIL",$from="NIL",$to="NIL",$client="NIL",$type="NIL",$project_id="NIL") {
		$k=0;
		$html = '<option value="">-- select --</option>';
		if (@$this->input->post('type')) {
			$type =   $this->input->post("type");
		}elseif ($type != "NIL") {
			$type	=	$type;
		} else {
			$type	= "NIL";
		}
		
		if (@$this->input->post('item_name')) {
			$item_name =   $this->input->post("item_name");
		}elseif ($item_name != "NIL") {
			$item_name	=	$item_name;
		} else {
			$item_name	= "NIL";
		}
		$sql='';
		
		if ($item_name != "NIL"){
			$k++;
			$sql	.= " and w.item_id = '$item_name'";
		}
		
		if (@$this->input->post('test_name')) {
			$test_name =   str_replace("%20"," ",$this->input->post("test_name"));
		}elseif ($test_name != "NIL") {
			$test_name	=	str_replace("%20"," ",$test_name);
		} else {
			$test_name	= "NIL";
		}
		
		if ($test_name != "NIL"){
			$k++;
			$sql	.= " and w.test_name_id='$test_name'";
		}
		
		if (@$this->input->post('from')) {
			$from =   $this->input->post("from");
		}elseif ($from != "NIL") {
			$from	=	$from;
		} else {
			$from	= "NIL";
		}
		
		if ($from != "NIL" && $to != "NIL"){
			if ($type=='wod'){
				$sql	.= " and m.work_order_date BETWEEN '$from' AND '$to'";
			} else if( $type=='ssd' ) {
				$sql	.= " and m.sampled_submitted_date BETWEEN '$from' AND '$to'";
			}
		}
		
		if (@$this->input->post('client')) {
			$client =   str_replace("%20"," ",$this->input->post("client"));
		}elseif ($client != "NIL") {
			$client	=	str_replace("%20"," ",$client);
		} else {
			$client	= "NIL";
		}
		
		if ($client != "NIL"){
			$sql	.= " and m.client_id='$client'";
		}
		
		if (@$this->input->post('project_id')) {
			$project_id =   str_replace("%20"," ",$this->input->post("project_id"));
		}elseif ($project_id != "NIL") {
			$project_id	=	str_replace("%20"," ",$project_id);
		} else {
			$project_id	= "NIL";
		}
		
		if ($project_id != "NIL"){
			$sql	.= " and m.project_id='$project_id'";
		}
		
		
		
		if ( $k>0 ){
		
		
		
		
			$this->db->query("SET SQL_BIG_SELECTS=1");
			$data1				=	$this->db->query("SELECT w.work_order_no,m.work_order_date,m.project_name,m.client_name,m.sampled_submitted_date,w.sample_no as Samples,w.quantity,w.sample_no*w.quantity as Total FROM `work_order` w inner join work_order_main m on m.work_order_no = w.work_order_no where m.status = 1  " .$sql);
			$data['records']	=	$data1->result_array();
			
		}
		$this->db->query("SET SQL_BIG_SELECTS=1");
			//$data_val 		= 	$this->db->query("SELECT distinct w.item_id,w.item_name FROM `work_order` w inner join work_order_main m on m.work_order_no = w.work_order_no where m.status = 1 group by w.item_id order by w.item_name ASC");
			//$item_list	=	$data_val->result_array();				
			$data_val = $this->db->query("SELECT id as item_id,category_name as item_name FROM `main_category` where status = 1 order by category_name ASC");
			$item_list	=	$data_val->result_array();
			if($item_list != false ){
				$html = '<option value="">-- select --</option>';
				foreach($item_list as $item_lists){
					$html .= '<option value="'.$item_lists['item_id'].'"';  if ($item_lists['item_id']==$item_name){  $html .= 'selected="selected"'; }  $html .= '>'.$item_lists['item_name'].'</option>';
				}
			}
		
		if ( $k==0 ){
			$search_count=0;
		} else {
			$search_count=1;
		}
		$data['pagination'] = '';
		$data['item']	=	$html;
		$data['test']	=	'';
		$data['item_name']	=$item_name;
		$data['test_name']	=$test_name;
		$data['from']	=	$from;
		$data['to']	=	$to;
		$data['client']	=	$client;
		$data['project_id']	=	$project_id;
		$data['search_count']	=	$search_count;
		$data['type']	=	$type;
		
		$this->load->view('templates/header');
		$this->load->view('manage/list_test_and_quantity',$data);
		$this->load->view('templates/footer');
	}
	
	function test(){
		$item_name	=	$this->input->post('item_name');
		$this->db->query("SET SQL_BIG_SELECTS=1");
		//$data_val2 		= 	$this->db->query("SELECT distinct w.test_name,w.test_name_id FROM `work_order` w inner join work_order_main m on m.work_order_no = w.work_order_no where m.status = 1 and  w.item_id='$item_name'  order by w.test_name ASC");
		//$test_name_list	=	$data_val2->result_array();	
		$data_val2 = $this->db->query("SELECT sub_id as test_name_id,sub_category_name as test_name FROM `sub_category` where status = 1 and main_category = '$item_name' order by sub_category_name ASC");			
		$test_name_list	=	$data_val2->result_array();	
		if($test_name_list != false ){
			$html_test = '<option value="">-- select --</option>';
			foreach($test_name_list as $test_name_lists){
				$html_test .= '<option value="'.$test_name_lists['test_name_id'].'"';  $html_test .= '>'.$test_name_lists['test_name'].'</option>';
			}
		}
		if ($data_val2->num_rows()>0){
			print $html_test;
		} else {
			print 0;
		}
	}
	function test2(){
		//$url_item_name='';
		//$this->uri->segment(6);
		/*if ($this->uri->segment(3)!='NIL'){
			$url_item_name=$this->uri->segment(3);
		}*/
		$item_name	=	$this->input->post('item_name');
		$test_name	=	$this->input->post('test_name2');
		$this->db->query("SET SQL_BIG_SELECTS=1");
		$data_val2 		= 	$this->db->query("SELECT distinct w.test_name,w.test_name_id FROM `work_order` w inner join work_order_main m on m.work_order_no = w.work_order_no where m.status = 1 and  w.item_id='$item_name'  order by w.test_name_id ASC");
		$test_name_list	=	$data_val2->result_array();				
		
		if($test_name_list != false ){
			$html_test = '<option value="">-- select --</option>';
			foreach($test_name_list as $test_name_lists){
				$html_test .= '<option value="'.$test_name_lists['test_name_id'].'"'; 
				if ($test_name_lists['test_name_id']==$test_name){  $html_test .= 'selected="selected"'; }  
				 $html_test .= '>'.$test_name_lists['test_name'].'</option>';
			}
		}
		if (count($test_name_list)>0){
			print $html_test;
		} else {
			print 0;
		}
	}
	function print_test_and_quantity($item_name="NIL",$test_name="NIL",$from="NIL",$to="NIL",$client="NIL",$type="NIL",$project_id="NIL") {
		$k=0;
		if (@$this->input->post('type')) {
			$type =   $this->input->post("type");
		}elseif ($type != "NIL") {
			$type	=	$type;
		} else {
			$type	= "NIL";
		}
		
		if (@$this->input->post('item_name')) {
			$item_name =   $this->input->post("item_name");
		}elseif ($item_name != "NIL") {
			$item_name	=	$item_name;
		} else {
			$item_name	= "NIL";
		}
		$sql='';
		
		if ($item_name != "NIL"){
			$k++;
			$sql	.= " and w.item_id = '$item_name'";
		}
		
		if (@$this->input->post('test_name')) {
			$test_name =   str_replace("%20"," ",$this->input->post("test_name"));
		}elseif ($test_name != "NIL") {
			$test_name	=	str_replace("%20"," ",$test_name);
		} else {
			$test_name	= "NIL";
		}
		
		if ($test_name != "NIL"){
			$k++;
			$sql	.= " and w.test_name='$test_name'";
		}
		
		if (@$this->input->post('from')) {
			$from =   $this->input->post("from");
		}elseif ($from != "NIL") {
			$from	=	$from;
		} else {
			$from	= "NIL";
		}
		
		if ($from != "NIL" && $to != "NIL"){
			if ($type=='wod'){
				$sql	.= " and m.work_order_date BETWEEN '$from' AND '$to'";
			} else if( $type=='ssd' ) {
				$sql	.= " and m.sampled_submitted_date BETWEEN '$from' AND '$to'";
			}
		}
		
		if (@$this->input->post('client')) {
			$client =   str_replace("%20"," ",$this->input->post("client"));
		}elseif ($client != "NIL") {
			$client	=	str_replace("%20"," ",$client);
		} else {
			$client	= "NIL";
		}
		
		if ($client != "NIL"){
			$sql	.= " and m.client_id='$client'";
		}
		
		if (@$this->input->post('project_id')) {
			$project_id =   str_replace("%20"," ",$this->input->post("project_id"));
		}elseif ($project_id != "NIL") {
			$project_id	=	str_replace("%20"," ",$project_id);
		} else {
			$project_id	= "NIL";
		}
		
		if ($project_id != "NIL"){
			$sql	.= " and m.project_id='$project_id'";
		}
		
		
		
		$row_count_data	=	$this->db->query("SELECT w.work_order_no,m.work_order_date,m.project_name,m.client_name,w.sample_no as Samples,w.quantity,w.sample_no*w.quantity as Total FROM `work_order` w inner join work_order_main m on m.work_order_no = w.work_order_no where m.status = 1  " .$sql);
		//w.test_name='Particle Size Distribution'
		//pagging start
		$config['uri_segment'] = 6;
        //$config['use_page_numbers'] = TRUE;
		$config['base_url'] = base_url() . "index.php/invoice/list_un_invoice_work_order/".$item_name."/".$test_name."/".$from;
        $config["total_rows"] = $row_count_data->num_rows();
        $config['num_links'] = 10;
        $config["per_page"] = 1000000000000;
        $this->pagination->initialize($config);
        if ($this->uri->segment(6)) {
            $page = $this->uri->segment(6)*1000000000000-1000000000000;
            $i=$page+1;
        } else {
            $page = 0;
            $i=1;
        }
        //pagging end
		
		
		$this->db->query("SET SQL_BIG_SELECTS=1");
		$data1				=	$this->db->query("SELECT w.work_order_no,m.work_order_date,m.project_name,m.client_name,m.sampled_submitted_date,w.sample_no as Samples,w.quantity,w.sample_no*w.quantity as Total FROM `work_order` w inner join work_order_main m on m.work_order_no = w.work_order_no where m.status = 1  " .$sql);
		$data['records']	=	$data1->result_array();
		
		$this->db->query("SET SQL_BIG_SELECTS=1");
		$data_val 		= 	$this->db->query("SELECT distinct w.item_id,w.item_name FROM `work_order` w inner join work_order_main m on m.work_order_no = w.work_order_no where m.status = 1 order by w.item_name ASC");
		$item_list	=	$data_val->result_array();				
		
		if($item_list != false ){
			$html = '<option value="">-- select --</option>';
			foreach($item_list as $item_lists){
				$html .= '<option value="'.$item_lists['item_id'].'"';  if ($item_lists['item_id']==$item_name){  $html .= 'selected="selected"'; }  $html .= '>'.$item_lists['item_name'].'</option>';
			}
		}
		
		
		if ( $k==0 ){
			$search_count=0;
		} else {
			$search_count=1;
		}
		$data['item']	=	$html;
		$data['test']	=	'';
		$data['work_order_date']	=	$item_name;
		$data['client']	=	$test_name;
		$data['from']	=	$from;
		$data['to']	=	$to;
		$data['client']	=	$client;
		$data['project_id']	=	$project_id;
		$data['search_count']	=	$search_count;
		$data['type']	=	$type;
		$data['pagination'] = $this->pagination->create_links();
		//$this->load->view('templates/header');
		$this->load->view('manage/print_test_and_quantity',$data);
		//$this->load->view('templates/footer');
	}
	
	function project_list() {
		$client_id 		= 	$this->input->post('client_id');
		$data_val 		= 	$this->db->query("SELECT id,project_name FROM `projects` WHERE client_id='$client_id'");
		$method_list	=	$data_val->result_array();				
		if($method_list != false ){
			$html = '<option value="">-- select --</option>';
			foreach($method_list as $method_lists){
				$html .= '<option value="'.$method_lists['id'].'">'.$method_lists['project_name'].'</option>';
			}
			echo $html;
		}else{
			echo 0;
		}
	}
	public function export_test_and_quantity($item_name="NIL",$test_name="NIL",$from="NIL",$to="NIL",$client="NIL",$type="NIL",$project_id="NIL") {
		$k=0;
		if (@$this->input->post('type')) {
			$type =   $this->input->post("type");
		}elseif ($type != "NIL") {
			$type	=	$type;
		} else {
			$type	= "NIL";
		}
		if (@$this->input->post('item_name')) {
			$item_name =   $this->input->post("item_name");
		}elseif ($item_name != "NIL") {
			$item_name	=	$item_name;
		} else {
			$item_name	= "NIL";
		}
		$sql='';
		
		if ($item_name != "NIL"){
			$k++;
			$sql	.= " and w.item_id = '$item_name'";
		}
		
		if (@$this->input->post('test_name')) {
			$test_name =   str_replace("%20"," ",$this->input->post("test_name"));
		}elseif ($test_name != "NIL") {
			$test_name	=	str_replace("%20"," ",$test_name);
		} else {
			$test_name	= "NIL";
		}
		
		if ($test_name != "NIL"){
			$k++;
			$sql	.= " and w.test_name_id='$test_name'";
		}
		
		if (@$this->input->post('from')) {
			$from =   $this->input->post("from");
		}elseif ($from != "NIL") {
			$from	=	$from;
		} else {
			$from	= "NIL";
		}
		
		if ($from != "NIL" && $to != "NIL"){
			if ($type=='wod'){
				$sql	.= " and m.work_order_date BETWEEN '$from' AND '$to'";
			} else if( $type=='ssd' ) {
				$sql	.= " and m.sampled_submitted_date BETWEEN '$from' AND '$to'";
			}
		}
		
		if (@$this->input->post('client')) {
			$client =   str_replace("%20"," ",$this->input->post("client"));
		}elseif ($client != "NIL") {
			$client	=	str_replace("%20"," ",$client);
		} else {
			$client	= "NIL";
		}
		
		if ($client != "NIL"){
			$sql	.= " and m.client_id='$client'";
		}
		
		if (@$this->input->post('project_id')) {
			$project_id =   str_replace("%20"," ",$this->input->post("project_id"));
		}elseif ($project_id != "NIL") {
			$project_id	=	str_replace("%20"," ",$project_id);
		} else {
			$project_id	= "NIL";
		}
		
		if ($project_id != "NIL"){
			$sql	.= " and m.project_id='$project_id'";
		}
		
		
		
		$this->db->query("SET SQL_BIG_SELECTS=1");
		$row_count_data	=	$this->db->query("SELECT w.work_order_no,m.work_order_date,m.project_name,m.client_name,w.sample_no as Samples,w.quantity,w.sample_no*w.quantity as Total FROM `work_order` w inner join work_order_main m on m.work_order_no = w.work_order_no where m.status = 1  " .$sql);
		//w.test_name='Particle Size Distribution'
		//pagging start
		$config['uri_segment'] = 6;
        //$config['use_page_numbers'] = TRUE;
		$config['base_url'] = base_url() . "index.php/invoice/list_un_invoice_work_order/".$item_name."/".$test_name."/".$from;
        $config["total_rows"] = $row_count_data->num_rows();
        $config['num_links'] = 10;
        $config["per_page"] = 1000000000000;
        $this->pagination->initialize($config);
        /*if ($this->uri->segment(6)) {
            $page = $this->uri->segment(6)*1000000000000-1000000000000;
            $i=$page+1;
        } else {
            $page = 0;
            $i=1;
        }*/
        //pagging end
		$i=1;
		
		$this->db->query("SET SQL_BIG_SELECTS=1");
		$data1				=	$this->db->query("SELECT w.work_order_no,m.work_order_date,m.project_name,m.client_name,m.sampled_submitted_date,w.sample_no as Samples,w.quantity,w.sample_no*w.quantity as Total FROM `work_order` w inner join work_order_main m on m.work_order_no = w.work_order_no where m.status = 1  " .$sql);
		$records	=	$data1->result_array();
		
        	$list	='';
			$details    =   array();
			$total=0;
        	foreach($records as $record){
					$new    =   array(
							$i++,
							$record['work_order_no'],
							date("M d Y", strtotime($record['work_order_date'])),
							$record['client_name'],
							$record['project_name'],
							date("M d Y", strtotime($record['sampled_submitted_date'])),
							$record['Samples'],
							$record['quantity'],
							$record['Total']
						);
						$total=$total+$record['Total'];
						array_push($details,$new);
					}
					$new    =   array(
							'',
							'',
							'',
							'',
							'',
							'',
							'Grand Total',
							$total
						);
						array_push($details,$new); 
					$head   =   array(
						"No",
						"Work Order No",
						"Work Order Date",
						"Client Name",
						"Project Name",
						"Sampled / Submitted Date",
						"Samples",
						"Quantity",
						"Total"
					);
        			$this->load->library('Excel');
        			$Excel = new Excel;
        			$Excel->export($head, $details, 0, "TestAndQuantity");
					
	}
	
	public function export_nabas($item_name="NIL",$test_name="NIL",$from="NIL",$to="NIL",$client="NIL",$project_id="NIL") {
					$list	='';
					$details    =   array();
					$new1   =   array(
						"COMPRESSIVE STRENGTH OF CONCRETE CUBES",
					);
					array_push($details,$new1);
					
					$new2   =   array(
						"BS EN 12390 - Part 1:2012, Part 2:2009, Part 3:2009, Part 7:2009",
					);
					array_push($details,$new2);
					
					$new3   =   array(
						"Client",
						"",
						"",
						"",
						"",
						"",
						"",
						"",
						"",
						"Report No.",
						"",
						"",
					);
					array_push($details,$new3);
					
					$new4   =   array(
						"Address",
						"",
						"",
						"",
						"",
						"",
						"",
						"",
						"",
						"Work order No.",
						"",
						"",
					);
					array_push($details,$new4);
					
					$new5   =   array(
						"Project",
						"",
						"",
						"",
						"",
						"",
						"",
						"",
						"",
						"Date of Cast",
						"",
						"",
					);
					array_push($details,$new5);
					
					$new6   =   array(
						"Location",
						"",
						"",
						"",
						"",
						"",
						"",
						"",
						"",
						"Date sample Recd.",
						"",
						"",
					);
					array_push($details,$new6);
					
					$new7   =   array(
						"",
						"",
						"",
						"",
						"",
						"",
						"",
						"",
						"",
						"Date of test",
						"",
						"",
					);
					array_push($details,$new7);
					
					$new8   =   array(
						"",
						"",
						"",
						"",
						"",
						"",
						"",
						"",
						"",
						"Grade Of Concrete",
						"",
						"",
					);
					array_push($details,$new8);
					
					$new9   =   array(
						"Balance : ",
						"",
						"",
						"Compressive Machine : ",
						"",
						"",
						"Calliper : ",
						"",
						"",
						"Test Age",
						"",
						"",
					);
					array_push($details,$new9);
					
					$new10   =   array(
						"Feeler Guage : ",
						"",
						"",
						"Straight Edge :  ",
						"",
						"",
						"Right Angle :  ",
						"",
						"",
						"Surface Condition",
						"",
						"Moist",
						"Saturated",
						"",
					);
					array_push($details,$new10);
					
					$new11   =   array(
						"QEL Sample ID",
						"Client ID",
						"Dimensions (mm)",
						"",
						"",
						"Area (mm2)",
						"Flatness (mm)",
						"Perpendicularity (mm)",
						"Weight(kg)",
						"Load(kN)",
						"Density(kg/m3)",
						"Compressive Strength(N/mm2)",
						"Fracture Type",
						"Remarks",
					);
					array_push($details,$new11);
					
					$new12   =   array(
						"",
						"",
						"Height",
						"Width",
						"Length",
						"",
						"",
						"",
						"",
						"",
						"",
						"",
						"",
						"",
					);
					array_push($details,$new12);
					
					$head   =   array(
						"QEL -BAHRAIN BRANCH",
					);
        			$this->load->library('Excel');
        			$Excel = new Excel;
        			$Excel->export_test($head, $details, 0, "DownloadExcel");
					
	}
	public function xmlread(){
			 
			/*$xml = '<?xml version="1.0" encoding="UTF-8" ?> 
			<rss> 
				<channel> 
					<item> 
						<title><![CDATA[Tom & Jerry]]></title> 
						<title><![CDATA[hi]]></title> 
					</item> 
				</channel> 
			</rss>'; 
			
			$xml = simplexml_load_string($xml); 
			
			// echo does the casting for you 
			var_dump($xml->channel->item->title);*/ 
			$path	=	 base_url().'excelexport/vch.xml';
			//echo $mysongs->HEADER[0]->TALLYREQUEST;
			/*$mysongs = simplexml_load_file($path);
			echo '<ul id="songlist">';
			 foreach ($mysongs as $songinfo):
			  $title=$songinfo->TALLYREQUEST;
			   //echo "<li><div class="title">",$title,"</div><div class="artist">by ",$artist,"</div><time>",$date,"</time></li>n";
			    echo '<li><div class="title">",'.$title.',"</div></li>';
			 endforeach;
			 echo "</ul>";*/
			
			
			
		//	$xml=simplexml_load_file($path) or die("Error: Cannot create object");
//print_r($xml);
		/*foreach($xml->children() as $child)
  		{
	  	 		foreach($child as $child2){
		 		 echo $child->getName() . ": " . $child2 . "<br>";
				}*/
  //echo $child->getName() . ": " . $child . "<br>";
			 /* $xmlfile = $path;
			$xmlparser = xml_parser_create();
			
			// open a file and read data
			$fp = fopen($xmlfile, 'r');
			$xmldata = fread($fp, 4096);
			
			xml_parse_into_struct($xmlparser,$xmldata,$values);
			
			xml_parser_free($xmlparser);
			//print_r($values);
			//break;
			foreach($values as $val){
				echo $val['value'].'<br/>';
			}
			*/
			
			/*$xmlDoc = new DOMDocument();
$xmlDoc->load($path);

$x = $xmlDoc->documentElement;
foreach ($x->childNodes AS $item) {
  print $item->nodeName . " = " . $item->nodeValue . "<br>";
}*/

	$xml = new XMLReader();
$xml->open( $path );
while( $xml->read() ) {
  if( 'VOUCHER' === $xml->name ) {
		printf( '<hr>%3$s   %1$s  %2$d<br>', $xml->name, $xml->getAttribute('VCHTYPE'), $xml->getAttribute('ACTION') );
		$xml->next();
	}
}

	}
}
?>