<!DOCTYPE html>
<html>
<head>
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title>Q-Pro</title>
  <link rel="stylesheet" href="<?php echo base_url(); ?>css/bootstrap.min.css">
  <!--<link rel="stylesheet" href="<?php echo base_url(); ?>css/ddsmoothmenu.css">-->
  <script src="<?php echo base_url(); ?>js/jquery.min.js"></script>
  <script src="<?php echo base_url(); ?>js/bootstrap.min.js"></script>
  <!--<script src="<?php echo base_url(); ?>css/ddsmoothmenu.js"></script>-->
  <style type="text/css">
	  body {
		background-color: #CDE6F9;
		color: #000;
		background-image: url(<?php echo base_url(); ?>images/new/tile.gif);
	  }
	  .main_wrap {
		background-color: #FFF;
		height: auto;
		width: 100%;
		margin-top: 21px;
		margin-right: auto;
		margin-left: auto;
		border-top-width: 1px;
		border-right-width: 1px;
		border-bottom-width: 1px;
		border-left-width: 1px;
		border-top-style: solid;
		border-right-style: solid;
		border-bottom-style: solid;
		border-left-style: solid;
		border-top-color: #B3C4DD;
		border-right-color: #B3C4DD;
		border-bottom-color: #B3C4DD;
		border-left-color: #B3C4DD;
		padding-top: 33px;
		padding-bottom: 55px;
		-webkit-border-radius: 9px 9px 9px 9px;
		border-radius: 9px 9px 9px 9px;
	}
	.top_menu_controls {
		width: 510px;
		background-color: #DAEFFF;
		float: right;
		height: 47px;
		margin-top: 11px;
		-webkit-border-radius: 5px 5px 5px 5px;
		border-radius: 5px 5px 5px 5px;
		background-image: url(menu-tile.jpg);
		background-repeat: repeat-x;
	}
	.title3 {
		font-size: 15px;
		color: #21ADE8;
		line-height: normal;
		margin-top: 0px;
		margin-right: 0px;
		margin-left: 0px;
		padding-left: 7px;
	}
	#ashbar {
		background-image: url(<?php echo base_url(); ?>images/new/ashtile.jpg);
		background-repeat: repeat-x;
		background-position: 0px 0px;
		height: 70px;
		margin-top: 11px;
	}
	h2{
		font-size: 21px !important;
		color: #314e67;
		padding-top: 19px;
		padding-right: 0px;
		padding-bottom: 5px;
		font-weight: normal;
		line-height: normal;
		margin: 0px;
		padding-left: 15px;
	}
	.qlogo {
		width:243px;
		height:77px;
	}
	a:hover {
		text-decoration:none;
		cursor:pointer;
	}
	a:visited {
		text-decoration:none;
	}
	a:active {
		text-decoration:none;
	}
	a:link {
		text-decoration:none;
	} 
	@media only screen and (max-width: 500px) {
		.bigscreen {
			display:none;
		}
		.qlogo {
			width:122px;
			height:34px;
		}
		.mobilescreen{
			display:block;
		}
		.panel {
			width: 100px;
			background-color:#FFFFFF;
			float:right;
			clear:both;
		}
		.panel-body {
			background-color:#e8eaf6;
			position:absolute;
			left:20px;
			width: 53%;
			top:159px;
			padding:0;
		}
		.panel-heading{
			background-color:#2196f3 !important;
			color:#ffffff !important;
		}
		.panlhead {
			background-color:#90caf9 !important;
			color:#323b42 !important;
		}
		.panel label {
			border-bottom:3px solid #ffffff !important;
			width:100%;
			margin: 0;
    		padding: 0;
		}
		.panel label span {
			font-size:13px !important;
			padding-left:5px;
		}
		.panel label p {
			font-size:12px !important;
			font-weight:none;
			color:#7e7f84 !important;
			padding-left:5px;
		}
		.panel-title {
			font-size: 13.4px !important;
		}
		
		.imgpad {
			margin-top: 5px;
			width:51px !important;
			height:17px;
		}
		.main_wrap{
			height:600px;
			padding-top:7px !important;
		}
		.title3 {
			font-size:10px !important;
			padding-left:0px;
		}
		.hidewlcome {
			display:none;
		}
		.hidePrint{
			font-size:10px !important;
		}
	}
	@media only screen and (max-width: 300px) {
		.panel-body {
			width: 48% !important;
		}
		.panel label span {
			font-size:11px !important;
		}
		.panel label p {
			font-size:10px !important;
		}
	}
	@media only screen and (min-width: 501px) {
		.mobilescreen{
			display:none;
		}
		.bigscreen {
			display:block;
			width: 90% !important;
			margin: auto;
			padding-top: 10px;
		}
	}
  </style>
</head>
<body>
<div style="width:1313px;" class="modal fade" id="jobModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title" id="myModalLabel">Approval</h4>
				</div>
			<form id="approvaldashboard" name="approvaldashboard" class="form-horizontal" method="post" enctype="multipart/form-data" action="">
            <div class="modal-body">
                <table width="100%" border="0" cellspacing="0" cellpadding="5" id="tableAdd"  class="table table-striped  table-bordered">
                    
                </table>
			</div>
            <div class="modal-footer">
                <button type="button" class="btn btn-danger" data-dismiss="modal" id="closeBtn">Close</button>
                <button type="submit" id="Reject"  class="btn btn-primary">Reject</button>
                <button type="submit" id="Approve"  class="btn btn-success">Approve</button>
            </div>
			</form>
        </div>
    </div>
</div>
<div class="container">
<div class="main_wrap">
    	<table width="93%" border="0" align="center" cellpadding="0" cellspacing="0" >
    		<tr>
            	<td width="243"><img src="<?php echo base_url(); ?>/images/new/q-pro-logo.jpg"  class="qlogo" alt="Q-pro" /></td>
                <?php 
                	if($this->session->userdata('user_logged_in') == true){
				?>
    			<td class="hidePrint" width="222"><span class="hidewlcome">Welcome :</span><span class="title3"><?php echo $this->session->userdata('user_name');?> </span></td>
    			<td valign="top">
                	<table width="100%" border="0" align="right" cellpadding="0" cellspacing="0">
    					<tr class="hidePrint">
          					<td align="right">
                            	<a href="<?php echo site_url('my_account');?>">
                                	<img src="<?php echo base_url(); ?>/images/new/myaccount.gif" width="112" height="30" class="imgpad" hspace="5" border="0" />
                                </a>
                                <a href="<?php echo site_url('logout');?>">
                                	<img src="<?php echo base_url(); ?>/images/new/logout.gif" width="112" height="30" class="imgpad" hspace="5" border="0" />
                                </a>
                           	</td>
        				</tr>
                 	</table>
    				<?php
						//$this->load->view('templates/menu');
					?>
          		</td>
                <?php
					}
				?>
           	</tr>
      	</table>
        <div  id="ashbar">
        <h2>Approver Dashboard</h2>
        </div>

	<h1 style="text-align:center; color:#009933;">
		<?php	echo $this->session->flashdata('response');?>
	</h1>
  <div class="panel-group bigscreen" id="accordion">
    <div class="panel panel-default">
      <div class="panel-heading">
        <h4 class="panel-title">
          <a data-toggle="collapse" data-parent="#accordion" href="#collapse1">Quotation</a>
        </h4>
      </div>
      <div id="collapse1" class="panel-collapse collapse in">
        <div class="panel-body">
        	<div class="table-responsive"> 
            	<table class="table table-striped">
                    <thead>
                      <tr>
                        <th>Quotation #</th>
                        <th>Date</th>
                        <th>Client</th>
                        <th>Project</th>
                        <th>Amount</th>
                        <th>Prepared By</th>
                        <th>&nbsp;</th>
                      </tr>
                    </thead>
                    <tbody>
                    <?php
						if($records != false){
							foreach($records as $record){
								$user_id	=	$this->session->userdata('user_id');
								$query= $this->db->query("SELECT * FROM `approval` A WHERE A.`user_id`='$user_id' and A.`module`='1'");
								$ListData	=	$query->row();
							if (count($query->row())>0){
								$record_found = 1;
								$status_colors = array(
									'Draft' 	=> 'violet-draft',
									'Open' 		=> 'blue-open',
									'Closed' 	=> 'orange-closed',
									'Confirmed' => 'yellow-confimed'
								);
					?>
                    <tr class="close_tr" >
                        <td height="45">
                              <span class="q_no">   <?php echo $record['division_code'] . '-'. $record['quotation_number'].'-'.$record['quotation_revisionnumber']; ?></span>
                        </td>
                        <td>
                           <span class="quotation_date"> <?php echo date('M d,Y',strtotime ($record['quotation_date'])); ?></span>
                        </td>
                        <td align="left">
                            <span class="client_name"> <?php echo htmlspecialchars_decode($record['client_name']); ?></span>
                        </td>
                        <td align="left">
                            <span class="project_name"> <?php echo htmlspecialchars_decode($record['project_name']); ?></span>
                        </td>
                        <td align="left">
                             <span class="amount"> <?php echo html_entity_decode($record['currency_code']).' ' .number_format(($record['quotation_total'] - $record['quotation_discount']),3); ?></span>
                        </td>
                        <td align="left">
                        	<span class="user_name"> <?php echo htmlspecialchars_decode($record['user_name']); ?></span>
                        <td> <a class="quotation_approve" ref="<?php echo $record['quotation_id'];?>" data-toggle="modal" data-target="#jobModal" >[ View & Approve ]</a></td>
                  		<?php	
								} else {
						?>
                        <td style="color:#ff0000;" colspan="7"> 
                        No Record Found
                        </td>
						<?php	
								}
							} 
					   	}
				  		?>
                    </tr>
                      
                    </tbody>
  				</table>
  			</div>
  		</div>
      </div>
    </div>
    <div class="panel panel-default">
      <div class="panel-heading">
        <h4 class="panel-title">
          <a data-toggle="collapse" data-parent="#accordion" href="#collapse2">Job Order</a>
        </h4>
      </div>
      <div id="collapse2" class="panel-collapse collapse">
        <div class="panel-body">Lorem ipsum dolor sit amet, consectetur adipisicing elit,
        sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,
        quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.</div>
      </div>
    </div>
    <div class="panel panel-default">
      <div class="panel-heading">
        <h4 class="panel-title">
          <a data-toggle="collapse" data-parent="#accordion" href="#collapse3">Work Order</a>
        </h4>
      </div>
      <div id="collapse3" class="panel-collapse collapse">
        <div class="panel-body">Lorem ipsum dolor sit amet, consectetur adipisicing elit,
        sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,
        quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.</div>
      </div>
    </div>
     <div class="panel panel-default">
      <div class="panel-heading">
        <h4 class="panel-title">
          <a data-toggle="collapse" data-parent="#accordion" href="#collapse4">Invoice</a>
        </h4>
      </div>
      <div id="collapse4" class="panel-collapse collapse">
        <div class="panel-body">Lorem ipsum dolor sit amet, consectetur adipisicing elit,
        sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,
        quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.</div>
      </div>
    </div>
     <div class="panel panel-default">
      <div class="panel-heading">
        <h4 class="panel-title">
          <a data-toggle="collapse" data-parent="#accordion" href="#collapse5">Receipt</a>
        </h4>
      </div>
      <div id="collapse5" class="panel-collapse collapse">
        <div class="panel-body">Lorem ipsum dolor sit amet, consectetur adipisicing elit,
        sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,
        quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.</div>
      </div>
    </div>
  </div> 


<!--
Mobli version Start
-->
<div class="panel-group mobilescreen" id="accordion2" style="padding-top: 4px; padding-right: 2px;">
    <div class="panel panel-default">
      <div class="panel-heading panlhead">
        <h4 class="panel-title">
          <a data-toggle="collapse" data-parent="#accordion2" href="#mobcollapse1" class="moblieahref">Quotation</a>
        </h4>
      </div>
      <div id="mobcollapse1" class="panel-collapse collapse in">
        <div class="panel-body"><label><span>Almmoyed Contracting</span><p>6 Storey Bldg @ Saar</p></label>
        <label><span>Kanoo </span><p>6 Storey Bldg @ Saar</p></label>
        <label><span>MSCEB </span><p>6 Storey Bldg @ Saar</p></label>
        </div>
      </div>
    </div>
    <div class="panel panel-default">
      <div class="panel-heading">
        <h4 class="panel-title">
          <a data-toggle="collapse" data-parent="#accordion2" href="#mobcollapse2"  class="moblieahref">Job Order</a>
        </h4>
      </div>
      <div id="mobcollapse2" class="panel-collapse collapse">
        <div class="panel-body">Lorem ipsum dolor sit amet, consectetur adipisicing elit,
        sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,
        quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.</div>
      </div>
    </div>
    <div class="panel panel-default">
      <div class="panel-heading">
        <h4 class="panel-title">
          <a data-toggle="collapse" data-parent="#accordion2" href="#mobcollapse3" class="moblieahref">Work Order</a>
        </h4>
      </div>
      <div id="mobcollapse3" class="panel-collapse collapse">
        <div class="panel-body">Lorem ipsum dolor sit amet, consectetur adipisicing elit,
        sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,
        quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.</div>
      </div>
    </div>
     <div class="panel panel-default">
      <div class="panel-heading">
        <h4 class="panel-title">
          <a data-toggle="collapse" data-parent="#accordion2" href="#mobcollapse4" class="moblieahref">Invoice</a>
        </h4>
      </div>
      <div id="mobcollapse4" class="panel-collapse collapse">
        <div class="panel-body">Lorem ipsum dolor sit amet, consectetur adipisicing elit,
        sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,
        quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.</div>
      </div>
    </div>
     <div class="panel panel-default">
      <div class="panel-heading">
        <h4 class="panel-title">
          <a data-toggle="collapse" data-parent="#accordion2" href="#mobcollapse5" class="moblieahref">Receipt</a>
        </h4>
      </div>
      <!--defualtpanlhead-->
      <div id="mobcollapse5" class="panel-collapse collapse">
        <div class="panel-body">Lorem ipsum dolor sit amet, consectetur adipisicing elit,
        sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,
        quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.</div>
      </div>
    </div>
  </div> 
</div>
    </div>
</div>
<script type="text/javascript">
	$(document).ready(function(){
		$('.panel .moblieahref').click(function(){
			$('.panel .moblieahref').closest("div.panel-heading").removeClass("panlhead");
			$(this).closest("div.panel-heading").addClass("panlhead");
		});
		$('.quotation_approve').click(function(){
			var quotation_id	=	$(this).attr("ref");
			var quotation_no	=	$(this).closest('.close_tr').find(".q_no").text();
			var quotation_date	=	$(this).closest('.close_tr').find(".quotation_date").text();
			var client_name	=	$(this).closest('.close_tr').find(".client_name").text();
			var project_name	=	$(this).closest('.close_tr').find(".project_name").text();
			var amount	=	$(this).closest('.close_tr').find(".amount").text();
			var user_name	=	$(this).closest('.close_tr').find(".user_name").text();
			var html="<tbody><tr><input type='hidden' name='q_id' id='q_id' value="+quotation_id+" /><td>Quotation</td><td>"+quotation_no+"</td></tr><tr><td>Date</td><td>"+quotation_date+"</td></tr><tr><td>Client Name</td><td>"+client_name+"</td></tr><tr><td>Project Name</td><td>"+project_name+"</td></tr><tr><td>Amount</td><td>"+amount+"</td></tr></tbody>";
			$("#tableAdd").html(html);
		});
		$('#Approve').click(function(){
			$('#approvaldashboard').attr("action", "<?php echo site_url('approval/quotation_approval/quotation_approved'); ?>");
		});
	});
</script>
</body>
</html>