<html>
	<head>
		<meta charset="utf-8">
		<title>Work Order</title>
		<link rel="stylesheet" href="<?php echo base_url();?>css/work.css">
        <script src="<?php echo base_url(); ?>js/jquery-1.8.3.min.js"></script>
		<style type="text/css">
		body { height: auto; }
		.btn {
    display: inline-block;
    *display: inline;
    padding: 4px 12px;
    margin-bottom: 0;
    *margin-left: .3em;
    font-size: 14px;
    line-height: 20px;
    *line-height: 20px;
    color: #333333;
    text-align: center;
    text-shadow: 0 1px 1px rgba(255, 255, 255, 0.75);
    vertical-align: middle;
    cursor: pointer;
    background-color: #f5f5f5;
    background-color: #e6e6e6;
    background-image: -moz-linear-gradient(top, #ffffff, #e6e6e6);
    background-image: -webkit-gradient(linear, 0 0, 0 100%, from(#ffffff), to(#e6e6e6));
    background-image: -webkit-linear-gradient(top, #ffffff, #e6e6e6);
    background-image: -o-linear-gradient(top, #ffffff, #e6e6e6);
    background-image: linear-gradient(to bottom, #ffffff, #e6e6e6);
    background-repeat: repeat-x;
    border: 1px solid #bbbbbb;
        border-top-color: rgb(187, 187, 187);
        border-right-color: rgb(187, 187, 187);
        border-bottom-color: rgb(187, 187, 187);
        border-left-color: rgb(187, 187, 187);
    *border: 0;
    border-color: #e6e6e6 #e6e6e6 #bfbfbf;
    border-color: rgba(0, 0, 0, 0.1) rgba(0, 0, 0, 0.1) rgba(0, 0, 0, 0.25);
    border-bottom-color: #a2a2a2;
    -webkit-border-radius: 4px;
    -moz-border-radius: 4px;
    border-radius: 4px;
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#ffffffff', endColorstr='#ffe6e6e6', GradientType=0);
    filter: progid:DXImageTransform.Microsoft.gradient(enabled=false);
    *zoom: 1;
    -webkit-box-shadow: inset 0 1px 0 rgba(255, 255, 255, 0.2), 0 1px 2px rgba(0, 0, 0, 0.05);
    -moz-box-shadow: inset 0 1px 0 rgba(255, 255, 255, 0.2), 0 1px 2px rgba(0, 0, 0, 0.05);
    box-shadow: inset 0 1px 0 rgba(255, 255, 255, 0.2), 0 1px 2px rgba(0, 0, 0, 0.05);
}

		.btn-primary {
    color: #ffffff;
    text-shadow: 0 -1px 0 rgba(0, 0, 0, 0.25);
    background-color: #006dcc;
    background-color: #0044cc;
    background-image: -moz-linear-gradient(top, #0088cc, #0044cc);
    background-image: -webkit-gradient(linear, 0 0, 0 100%, from(#0088cc), to(#0044cc));
    background-image: -webkit-linear-gradient(top, #0088cc, #0044cc);
    background-image: -o-linear-gradient(top, #0088cc, #0044cc);
    background-image: linear-gradient(to bottom, #0088cc, #0044cc);
    background-repeat: repeat-x;
    border-color: #0044cc #0044cc #002a80;
    border-color: rgba(0, 0, 0, 0.1) rgba(0, 0, 0, 0.1) rgba(0, 0, 0, 0.25);
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#ff0088cc', endColorstr='#ff0044cc', GradientType=0);
    filter: progid:DXImageTransform.Microsoft.gradient(enabled=false);
}
		}
		</style>
	</head>
	<body>
		<header>
			<h1>Testing Work Order ( Cube )</h1>
			<address>
				<p>Qatar Engineering Laboratories</p>
				<p>PO Box 50191, Hidd
Laboratory location: Flat 9,<br> Building 2189, Road 1529, Block 115,<br> Hidd
Kingdom of Bahrain</p>
				<p>+973 17250333<br>bkgh@batelco.com.bh</p>
			</address>
			<span><img alt="" src="<?php echo base_url();?>images/company_logo/logo3.png"></span>
		</header>
		<article>
			<table class="meta" style="float:left; width:60%">
				<tr>
					<th style="width:20%">Client Name</th>
					<td><?php echo $work_order_main[0]['client_name'];?></td>
				</tr>
				<tr>
					<th>Project Name</th>
					<td><?php echo $work_order_main[0]['project_name'];?></td>
				</tr>
				<?php if($work_order_main[0]['lpo_no']!=""){ ?>
				<tr>
					<th>LPO No.</th>
					<td><?php echo $work_order_main[0]['lpo_no'];?></td>
				</tr>
				<?php } ?>
				<?php if($work_order_main[0]['attn']!=""){ ?>
				<tr>
					<th>Technician</th>
					<td><?php echo $work_order_main[0]['attn'];?></td>
				</tr>
				<?php } ?>
			</table>
			<table class="meta">
				<tr>
					<th>Work Order #</th>
					<td><b><?php echo $work_order_main[0]['work_order_no'];?></b></td>
				</tr>
				<tr>
					<th>Date</th>
					<td><?php echo date("d-m-Y", strtotime($work_order_main[0]['work_order_date']));?></td>
				</tr>
				<tr>
					<th><?php if($work_order_main[0]['sampled']==1){echo "Sampled ";}else{echo "Submitted ";}?>Date</th>
					<td><?php if($work_order_main[0]['sampled_submitted_date']!="0000-00-00") { echo date("d-m-Y", strtotime($work_order_main[0]['sampled_submitted_date'])); } ?></td>
				</tr>
				<tr>
					<th>Job No.</th>
					<td><?php echo $work_order_main[0]['job_no'];?></td>
				</tr>
			</table>
			<table class="inventory">
				<thead>
					<tr>
						<th style="width:7%;">Sample</th>
						<th style="width:57%;" colspan="2">Description</th>
						<th style="width:6%;">QTY</th>
						<th style="width:18%;">Report No.</th>
					</tr>
				</thead>
				<tbody>	
				<?php 
						if($work_order!=false && $work_order_main[0]['division']!="C"){$k=1;
							foreach($work_order as $work_orders){
							
								$work_order_details	=	$this->crud_model->get('work_order',array('work_order_no'=>$work_orders['work_order_no'],'item_id'=>$work_orders['item_id'],'item_order'=>$work_orders['item_order'])); 
								for($i=0;$i<$work_orders['sample_no'];$i++) {?>
									<tr>
										<td><?php echo ($i+1);?></td>
										<td colspan="2"><b><?php echo $work_orders['item_name'];?></b><?php if($work_orders['sub_clause']!=""){ echo " - ".$work_orders['sub_clause'];}?></td>
									</tr>
								<?php 
								if($work_order_details!=false){ $j=1;
									foreach($work_order_details as $work_order_detail){ ?>
									
									<tr>
										<td></td>
										<td><?php echo $work_order_detail['test_name'];?></td>
										<td style="text-align:left;"><?php echo $work_order_detail['test_method'];?></td>
										<?php if($work_order_detail['quantity']==0){ ?>
										<td style="color:#FF0000;">Hold</td>
										<?php }else{ ?>
										<td><?php echo number_format($work_order_detail['quantity'],2);?></td>
										<?php } ?>
										<td><?php echo $work_order_detail['work_order_no'].'-'.($k).'-'.$j;?></td>
									</tr>
						<?php $j++;} } $k++;} } } ?>
						
						<?php 
						if($work_order!=false && $work_order_main[0]['division']=="C"){$k=1;
							foreach($work_order as $work_orders){
							
								$work_order_details	=	$this->crud_model->get('work_order',array('work_order_no'=>$work_orders['work_order_no'],'item_id'=>$work_orders['item_id'],'item_order'=>$work_orders['item_order'])); 
								?>
									<tr>
										<td><?php echo $work_orders['sample_no'];?></td>
										<td colspan="2"><b><?php echo $work_orders['item_name'];?></b><?php if($work_orders['sub_clause']!=""){ echo " - ".$work_orders['sub_clause'];}?></td>
									</tr>
								<?php 
								if($work_order_details!=false){ $j=1;
									foreach($work_order_details as $work_order_detail){ 
										$test = explode("-",$work_order_detail['test_name']);?>
									
									<tr>
										<td></td>
										<td>
											<?php echo $work_order_detail['test_name'];?>
										</td>
										<td style="text-align:left;">
											<?php if($work_order_detail['sample_no_starting'] == $work_order_detail['sample_no_ending']){
														echo $work_order_detail['sample_no_starting'];
												   }else{
												   		echo $work_order_detail['sample_no_starting'].'-'.$work_order_detail['sample_no_ending'];
												   }?>
										</td>
										<?php if($work_order_detail['quantity']==0){ ?>
										<td style="color:#FF0000;">Hold</td>
										<?php }else{ ?>
										<td><?php if($work_order_detail['test_name']!="Spare"){echo number_format($work_order_detail['quantity'],2);}?></td>
										<?php } ?>
										<td><?php if($work_order_detail['test_name']!="Spare"){echo $work_order_detail['work_order_no'].'-'.(@$test[1]);}?></td>
									</tr>
						<?php $j++;} } $k++; } } ?>
						
				</tbody>
			</table>
		</article>
		<aside>
			<?php if($work_order_main[0]['w/o_remarks']!=""){?>
			<table>
				<tr>
					<td colspan="3">
                    	<b>Remarks : </b><?php echo $work_order_main[0]['w/o_remarks'];?>
					</td>
			</table>
			<?php }?>
            <?php 		$us_id=$this->session->userdata('user_id');
						$da   = $this->db->query("SELECT * FROM `approval` WHERE `module`='3' and `user_id`='$us_id'  ");
						$da_arr = $da->result_array();
						if (count($da_arr)>0){  if ($work_order_main[0]['status']=='2'){?>
                            <form id="data-form" class="form-horizontal" method="post" enctype="multipart/form-data" >
                            <table border="0" >
                                <tr>
                                    <td style="border:none !important;"><input class="btn btn-primary" id="approve" type="submit" value="Approve" /><input type="hidden" name="hidden_work_order_no" id="hidden_work_order_no" value="<?php echo $work_order_main[0]['work_order_no'];?>" /></td>
                                    <td style="border:none !important;"><input class="btn btn-primary" id="reject" type="submit"  value="Reject" /></td>
                                </tr>
                            </table>
            </form>
            <?php } } ?>
			<table>
				<tr>
					<td>
						<input type="checkbox">&nbsp;Chemical Lab
					</td>
					<td>
						<input type="checkbox">&nbsp;MAT Lab
					</td>
					<td>
						<input type="checkbox">&nbsp;Others&nbsp;&nbsp;<input type="text" style="border-bottom:dotted 1px; width:155px; border-left:none; border-top:none;">
					</td>
				</tr>
			</table>
            <table>
				<tr>
					<td>
						<b>Job Created By</b><br><?php if($work_order_main[0]['created_by']!=""){echo $work_order_main[0]['created_by'];}?><br><?php if($work_order_main[0]['created_date']!="0000-00-00 00:00:00"){ echo date("d-m-Y h:i A", strtotime($work_order_main[0]['created_date']));}?>
					</td>
					<td>
						<b>W/O Created By</b><br><?php if($work_order_main[0]['w/o_created_by']!=""){ echo $work_order_main[0]['w/o_created_by'];}?><br><?php if($work_order_main[0]['w/o_created_date']!="0000-00-00 00:00:00"){ echo date("d-m-Y h:i A", strtotime($work_order_main[0]['w/o_created_date']));}?>
					</td>
                    <?php 
						$work_order_no	=	$work_order_main[0]['work_order_no'];
						$check_data   = $this->db->query("SELECT U.`user_name`,LT.trn_date_time FROM `log_table` LT INNER JOIN `users` U ON LT.`trn_user_id`=U.`user_id` WHERE LT.`trn_no`='$work_order_no' AND LT.trn_type='A' AND LT.voc_type='WO' ");
						$check_data = $check_data->result_array();
					?>
					<td>
						<b>Checked By</b><br>
                        <?php 
						if (count($check_data)>0){
							echo $check_data[0]['user_name'].'<br>';
							echo date("d-m-Y h:i A", strtotime($check_data[0]['trn_date_time']));
						}
						?>
					</td>
				</tr>
			</table>
		</aside>
	</body>
</html>
<script type="text/javascript">
	$(document).ready(function(){
		$("#approve").click(function(){
			 var	hidden_work_order_no=	$("#hidden_work_order_no").val();
			 if (hidden_work_order_no===''){
				 alert('Error');
				 return false;
			 }
			 var r=confirm("Do you want to Approve?");
			if (r==true) {
			 var approve='approve';
			 $("#data-form").attr("action", "<?php echo base_url();?>index.php/furniture/cube/work_order_approval_status/"+hidden_work_order_no+"/"+approve);
			} else {
				return false;
			} 
			 
			 //return true;
		});
		$("#reject").click(function(){
			 var	hidden_work_order_no=	$("#hidden_work_order_no").val();
			 if (hidden_work_order_no===''){
				 alert('Error');
				 return false;
			 }
			  var r=confirm("Do you want to Reject?");
			if (r==true) {
			 var reject='reject';
			 $("#data-form").attr("action", "<?php echo base_url();?>index.php/furniture/cube/work_order_approval_status/"+hidden_work_order_no+"/"+reject);
			 } else {
				return false;
			} 
			 
			 //return true;
		});
    });
	$('.overlay').hide();
</script>