<html>
	<head>
		<meta charset="utf-8">
		<title>Work Order</title>
		<link rel="stylesheet" href="<?php echo base_url();?>css/work.css">
		<style type="text/css">
		body { height: auto; }
		</style>
	</head>
	<body>
		<header>
			<h1>Testing Work Order</h1>
			<address>
				<p>Qatar Engineering Laboratories</p>
				<p>PO Box 50191, Hidd
Laboratory location: Flat 9,<br> Building 2189, Road 1529, Block 115,<br> Hidd
Kingdom of Bahrain</p>
				<p>+973 17250333<br>bkgh@batelco.com.bh</p>
			</address>
			<span><img alt="" src="<?php echo base_url();?>images/company_logo/logo3.png"></span>
		</header>
		<article>
			<table class="meta" style="float:left; width:60%">
				<tr>
					<th style="width:20%">Client Name</th>
					<td><?php echo $work_order_main[0]['client_name'];?></td>
				</tr>
				<tr>
					<th>Project Name</th>
					<td><?php echo $work_order_main[0]['project_name'];?></td>
				</tr>
				<?php if($work_order_main[0]['lpo_no']!=""){ ?>
				<tr>
					<th>LPO No.</th>
					<td><?php echo $work_order_main[0]['lpo_no'];?></td>
				</tr>
				<?php } ?>
				<?php if($work_order_main[0]['attn']!=""){ ?>
				<tr>
					<th>Technician</th>
					<td><?php echo $work_order_main[0]['attn'];?></td>
				</tr>
				<?php } ?>
			</table>
			<table class="meta">
				<tr>
					<th>Work Order #</th>
					<td><b><?php echo $work_order_main[0]['work_order_no'];?></b></td>
				</tr>
				<tr>
					<th>Date</th>
					<td><?php echo date("d-m-Y", strtotime($work_order_main[0]['work_order_date']));?></td>
				</tr>
				<tr>
					<th><?php if($work_order_main[0]['sampled']==1){echo "Sampled ";}else{echo "Submitted ";}?>Date</th>
					<td><?php if($work_order_main[0]['sampled_submitted_date']!="0000-00-00") { echo date("d-m-Y", strtotime($work_order_main[0]['sampled_submitted_date'])); } ?></td>
				</tr>
				<tr>
					<th>Job No.</th>
					<td><?php echo $work_order_main[0]['job_no'];?></td>
				</tr>
			</table>
			<table class="inventory">
				<thead>
					<tr>
						<th style="width:7%;">Sample</th>
						<th style="width:50%;" colspan="2">Description</th>
						<th style="width:6%;">QTY</th>
						<th style="width:9%;">Rate</th>
						<th style="width:10%;">Amount</th>
						<th style="width:18%;">Report No.</th>
					</tr>
				</thead>
				<tbody>	
				<?php 
						if($work_order!=false && $work_order_main[0]['division']!="C"){$k=1;$grand_total=0;
							foreach($work_order as $work_orders){
							
								$work_order_details	=	$this->crud_model->get('work_order',array('work_order_no'=>$work_orders['work_order_no'],'item_id'=>$work_orders['item_id'],'item_order'=>$work_orders['item_order'])); 
								for($i=0;$i<$work_orders['sample_no'];$i++) {?>
									<tr>
										<td><?php echo ($i+1);?></td>
										<td colspan="2"><b><?php echo $work_orders['item_name'];?></b><?php if($work_orders['sub_clause']!=""){ echo " - ".$work_orders['sub_clause'];}?></td>
									</tr>
								<?php 
									if($work_order_details!=false){ $j=1;$total=0;
										foreach($work_order_details as $work_order_detail){ 
										
											$amount = $work_order_detail['quantity']*$work_order_detail['rate'];
											
											if($work_order_detail['minimum_call_out']!=0){
												if($amount<$work_order_detail['minimum_call_out']){
													$amount = $work_order_detail['minimum_call_out'];
												}else{
													$amount = $work_order_detail['quantity']*$work_order_detail['rate'];
												}
											}else{
												$amount = $work_order_detail['quantity']*$work_order_detail['rate'];
											}
											$total  = $total+$amount;
								?>
									
									<tr>
										<td></td>
										<td colspan="2"><?php echo $work_order_detail['test_name'];?></td>
										<?php if($work_order_detail['quantity']==0){ ?>
										<td style="color:#FF0000;">Hold</td>
										<?php }else{ ?>
										<td><?php echo number_format($work_order_detail['quantity'],2);?></td>
										<?php } ?>
										<td><?php echo number_format($work_order_detail['rate'],3);?></td>
										<td><?php echo number_format($amount,3);?></td>
										<td><?php echo $work_order_detail['work_order_no'].'-'.($k).'-'.$j;?></td>
									</tr>
						<?php $j++;}?>
									<tr>
										<td colspan="5" style="text-align:right; font-weight:bold;">Total : &nbsp;</td>
										<td colspan="2" style="font-weight:bold; padding-left:35px;"><?php echo number_format($total,3); ?></td>
									</tr>
						<?php } $k++;$grand_total  = $grand_total+$total;} } ?>
						<tr>
										<td colspan="5" style="text-align:right; font-weight:bold;">Grand Total : &nbsp;</td>
										<td colspan="2" style="font-weight:bold; padding-left:35px;"><?php echo number_format($grand_total,3); ?></td>
									</tr>
						<?php } ?>
						
						<?php 
						if($work_order!=false && $work_order_main[0]['division']=="C"){$k=1;
							foreach($work_order as $work_orders){
							
								$work_order_details	=	$this->crud_model->get('work_order',array('work_order_no'=>$work_orders['work_order_no'],'item_id'=>$work_orders['item_id'],'item_order'=>$work_orders['item_order'])); 
								?>
									<tr>
										<td><?php echo $work_orders['sample_no'];?></td>
										<td colspan="2"><b><?php echo $work_orders['item_name'];?></b><?php if($work_orders['sub_clause']!=""){ echo " - ".$work_orders['sub_clause'];}?></td>
									</tr>
								<?php 
								if($work_order_details!=false){ $j=1;$total=0;
									foreach($work_order_details as $work_order_detail){ 
										$test = explode("-",$work_order_detail['test_name']);
										$amount = $work_order_detail['quantity']*$work_order_detail['rate'];
										$total  = $total+$amount;
								?>
									
									<tr>
										<td></td>
										<td>
											<?php echo $work_order_detail['test_name'];?>
										</td>
										<td style="text-align:left;">
											<?php if($work_order_detail['sample_no_starting'] == $work_order_detail['sample_no_ending']){
														echo $work_order_detail['sample_no_starting'];
												   }else{
												   		echo $work_order_detail['sample_no_starting'].'-'.$work_order_detail['sample_no_ending'];
												   }?>
										</td>
										<?php if($work_order_detail['quantity']==0){ ?>
										<td style="color:#FF0000;">Hold</td>
										<?php }else{ ?>
										<td><?php if($work_order_detail['test_name']!="Spare"){echo number_format($work_order_detail['quantity'],2);}?></td>
										<?php } ?>
										<td><?php if($work_order_detail['test_name']!="Spare"){ echo number_format($work_order_detail['rate'],3);}?></td>
										<td><?php if($work_order_detail['test_name']!="Spare"){ echo number_format($amount,3);}?></td>
										<td><?php if($work_order_detail['test_name']!="Spare"){echo $work_order_detail['work_order_no'].'-'.(@$test[1]);}?></td>
									</tr>
						<?php $j++;} }?>
									<tr>
										<td colspan="5" style="text-align:right; font-weight:bold;">Total : &nbsp;</td>
										<td colspan="2" style="font-weight:bold;"><?php echo $total ?></td>
									</tr>
						<?php $k++; } } ?>
						
				</tbody>
			</table>
		</article>
		<aside>
			<?php if($work_order_main[0]['w/o_remarks']!=""){?>
			<table>
				<tr>
					<td colspan="3">
						<b>Remarks : </b><?php echo $work_order_main[0]['w/o_remarks'];?>
					</td>
			</table>
			<?php }?>
			<table>
				<tr>
					<td>
						<input type="checkbox">&nbsp;Chemical Lab
					</td>
					<td>
						<input type="checkbox">&nbsp;MAT Lab
					</td>
					<td>
						<input type="checkbox">&nbsp;Others&nbsp;&nbsp;<input type="text" style="border-bottom:dotted 1px; width:155px; border-left:none; border-top:none;">
					</td>
				</tr>
			</table>
			<table>
				<tr>
					<td>
						<b>Job Created By</b><br><?php if($work_order_main[0]['created_by']!=""){echo $work_order_main[0]['created_by'];}?><br><?php if($work_order_main[0]['created_date']!="0000-00-00 00:00:00"){ echo date("d-m-Y h:i A", strtotime($work_order_main[0]['created_date']));}?>
					</td>
					<td>
						<b>W/O Created By</b><br><?php if($work_order_main[0]['w/o_created_by']!=""){ echo $work_order_main[0]['w/o_created_by'];}?><br><?php if($work_order_main[0]['w/o_created_date']!="0000-00-00 00:00:00"){ echo date("d-m-Y h:i A", strtotime($work_order_main[0]['w/o_created_date']));}?>
					</td>
					<td>
						<b>Checked By</b><br><br><br>
					</td>
				</tr>
			</table>
		</aside>
	</body>
</html>