<div class="span12 whiteBg">
<h3>General Quotations</h3>

<?php
echo $this->session->flashdata('response');
?>
<p>
	<a href="<?php echo site_url('furniture/furniture_quotation_client_project/');?>">Create New Quotation</a>
        <form id="filter_quotation" name="filter_quotation" method="post" action="<?php echo site_url('general/general_quotations/filter_quotation');?>" >
        <div class="filter_box clear">        
        	<?php //echo form_dropdown('filter_division', $division_list, set_value("filter_division"));?>
			<?php echo form_dropdown('filter_by', array(1=>"Quotation Number", 2=>"Client", 3=>"Mobile"), set_value("filter_by")); 
			echo form_input('filter_value', set_value('filter_value'));?>
            <input type="submit" name="find" value="" />
        </div>
	</form>
</p>

<?php
echo htmlspecialchars_decode($pagination);
?>
<table class="table table-bordered table-hover">
	<tr>
		<th>Quotation Number</th>
		<th>Date</th>
		<th>Client</th>
		<th>Project</th>
		<th>Salesman</th>
        <th>Amount</th>
		<th>Action</th>
		<th>Previous Versions</th>

	</tr>

	<?php
	if($records != false)
	{
		foreach($records as $record){
			$status_colors = array(
				'Draft' => 'warning',
				'Open' => 'info',
				'Closed' => 'error',
				'Confirmed' => 'success'
			);
			?>

	<tr <?php echo 'class="'.$status_colors[$record['quotation_status']].'"'; ?>>
		<td><?php echo $record['division_code'] . '-'. $record['quotation_number'].'-'.$record['quotation_revisionnumber']; ?></td>
		<td><?php echo date('M d,Y',strtotime ($record['quotation_date'])); ?></td>
		<td><?php echo htmlspecialchars_decode($record['client_name']); ?></td>
		<td><?php echo htmlspecialchars_decode($record['project_name']); ?></td>
		<td><?php echo htmlspecialchars_decode($record['user_name']); ?></td>
        <td><?php echo $record['currency_code'] .' ' .number_format(($record['quotation_total'] - ($record['quotation_total']*$record['quotation_discount']/100)),3); ?> </td>
		<td>
			<?php
			if($record['quotation_status'] == 'Draft' or $record['quotation_status'] == 'Open'){
			?>
				<a class="icon-edit" title="Edit"
					href="<?php echo site_url('furniture/furniture_quotation_client_project/index/'.$record['quotation_id']); ?>"></a>
				<?php
			}
			if($record['quotation_status'] != 'Draft'){
				?>
				<a class="icon-search iframe" title="Print Quote"
				href="<?php echo site_url('general/general_quotations/printview/'.$record['quotation_id']); ?>"></a>
               
                <?php
			}
			if($record['quotation_status'] == 'Closed'){
				?>
				<a class="icon-full-details iframe" title="View Full Details"
				href="<?php echo site_url('furniture/furniture_full_details/index/'.$record['quotation_id']); ?>"></a>
                <?php
			}
			if($record['quotation_status'] == 'Confirmed'){
				?>
				<a class="icon-file" title="Receipt"
				href="<?php echo site_url('furniture/furniture_receipt/index/'.$record['quotation_id']); ?>"></a>
                <a class="icon-list iframe" title="Order Form"
				href="<?php echo site_url('furniture/furniture_quotations_order_form/index/'.$record['quotation_id']); ?>"></a>
                <a class="icon-full-details iframe" title="View Full Details"
				href="<?php echo site_url('furniture/furniture_full_details/index/'.$record['quotation_id']); ?>"></a>
				<?php
			}?>
			<a class="icon-file" title="PDF Quotation"
				href="<?php echo site_url('general/general_quotations/quotationpdf/'.$record['quotation_id']); ?>"></a>
			
		</td>
        <td style="max-width:120px;"><?php
			if($old_quotations[$record['quotation_number']]) {

				foreach($old_quotations[$record['quotation_number']] as $old_version_numer=>$old_version_id ) {
			?>
					<a class="iframe" title="Print Quote"
				href="<?php echo site_url('furniture/furniture_quotations/view_old_version/'.$old_version_id); ?>"><?php echo $old_version_numer;  ?></a>&nbsp;
			<?php
				}
			}

		?></td>
	</tr>

	<?php
		}
	}
	else{
?>
	<tr>
		<td colspan="8">No records available</td>
	</tr>
	<?php
	}

	?>

</table>

<?php
echo htmlspecialchars_decode($pagination);
?>

<div style='clear:both'>
Legend: <span class='alert alert-success'>Confirmed</span> <span class='alert alert-error'>Closed</span> <span class='alert alert-info'>Open</span> <span class='alert alert-warning'>Draft</span>
</div>
<br />
<br />
<br />
<br />
<br/>
<?php if($print_view !=0 && $print_quotation_id !=0) {

?>
<script>
$(document).ready(function(){
	<?php if($print_view==1) {
	?>
	$.colorbox({iframe:true, width:"80%", height:"80%", href:"<?php echo site_url('general/general_quotations/view/'.$print_quotation_id); ?>"});
<?php 
	} 
?>
});
</script>	
<?php 
}
?>