<style type="text/css">
	.align_right {text-align: right !important;}
	.input-small {width: 86px;}
	.divisionOuter { display: none; min-height:30px; }
	@media print{
	.hidePrint{
	display:none;
	}
	}
</style>

<h3>Reports</h3>
<?php echo $this->session->flashdata('response'); ?>
<link href="<?php echo base_url(); ?>css/jquery-ui.css" rel="stylesheet">
<script	src="<?php echo base_url(); ?>js/jquery-1.8.3.js"></script>
<script	src="<?php echo base_url(); ?>js/jquery-ui.js"></script>
<link rel="stylesheet" href="/resources/demos/style.css" />

<form id="quotation_report" name="quotation_report" class="form-horizontal" method="post" 
	action="<?php echo site_url('view_reports/index/result');?>">
	
	<table class="hidePrint">
    	<tr>
			<td>Division</td>
			<td>
            	<?php if(!isset($submitted_division_id)) $submitted_division_id = "select"; ?>
            	<?php echo form_dropdown('division', $division_list, $submitted_division_id, 'id="division" class="input-percentage_010"') ?>

			</td>
		</tr>
		<tr>
			<td>Date</td>
			<td>
				<input type="text" name="report_date_from" id="report_date_from"
					class='input-percentage_1100' value="<?php echo $this->input->post('report_date_from') ;?>" /> to
				<input type="text" name="report_date_to" id="report_date_to"
					class='input-percentage_1100' value="<?php echo $this->input->post('report_date_to') ;?>" />
			</td>
		</tr>		
		<tr>
			<td>Salesman</td>
			<td>
				<?php echo form_dropdown('user_id', $users, $this->input->post('user_id'),'class="input-percentage_010"'); ?>
			</td>
		</tr>		
		<tr>
			<td>Status</td>
			<td>
				<?php 
				$quotation_statuses = array(
					'0' => 'All',
					'Draft'=>'Draft',
					'Open'=>'Open',
					'Closed'=>'Closed',
					'Confirmed'=>'Confirmed'
				);
				echo form_dropdown('quotation_status', $quotation_statuses, $this->input->post('quotation_status'),'class="input-percentage_010"'); ?>
			</td>
		</tr>		
		<tr>
			<td>&nbsp;</td>
			<td>
				<input type="submit" name="results" id="results" value="Show Results" class="btn btn-primary" />
				</*input type="submit" name="export" id="export" value="Export Results" class="btn" /*/>
			</td>
		</tr>
	</table>	
	
	<br /><br />
	<table class="table table-bordered table-hover">
		<tr>
			<th>Quotation No</th>
			<th>Date</th>
			<th>Client</th>
			<th>Project</th>
			<th>Salesman</th>
			<th>
            <?php if($quotation_type == "kitchen") { echo "Amount (in BD.)"; } else { ?>           
            	<?php 
					if($submitted_division_id != "select" and $records) { 
						echo "Amount (in ".$records[0]['currency_code'].".)";
						$flag_division_selected = 1;
					} else {
						echo "Amount";
					}
				?>
            <?php } ?> 
            </th>
			<th>Status</th>
		</tr>
		<?php
		$totalAmt = 0;
        if($records != false) {
			foreach($records as $record){
				$status_colors = array(
					'Draft' => 'warning',
					'Open' => 'info',
					'Closed' => 'error',
					'Confirmed' => 'success'
				);
				if($quotation_type == "kitchen") {
					$qdata = $this->quotation_model->get_full_quotation_details($record['quotation_id']);
					$totalAmt = $qdata['quotation_net_total'] + $totalAmt ;
				}	
				?>
				<tr <?php echo 'class="'.$status_colors[$record['quotation_status']].'"'; ?>>
					<td title="<?php echo '#'.$record['quotation_id']; ?>">
						<?php if($quotation_type == "kitchen") echo $record['quotation_number'].'-'.$record['quotation_revision_number']; 
								else echo $record['division_code'].'-'.$record['quotation_number'].'-'.$record['quotation_revisionnumber']; ?>
                    </td>
					<td><?php echo date('M d, Y',strtotime($record['quotation_date'])); ?></td>
					<td><?php echo $record['client_name']; ?></td>
					<td><?php echo $record['project_name']; ?></td>
					<td><?php echo $record['user_name']; ?></td>
					<td>
						<?php 
							if($quotation_type == "kitchen") {
								echo number_format($qdata['quotation_net_total'],3); 
							} else { 
								if(!isset($flag_division_selected)) {
									echo $record['currency_code']." ".number_format(($record['quotation_total']-$record['quotation_discount']),3); 
								} else {
									echo number_format(($record['quotation_total']-$record['quotation_discount']),3); 
								}
							}
						?>
                    </td>
					<td><?php echo $record['quotation_status']; ?></td>
				</tr>
				<?php
			}			
			?>			
            <?php if($quotation_type == "kitchen") { ?>
                <table class="table table-bordered table_new" style="float: right; width: 440px;">
                    <tr>
                        <td class="bg_grey" bgcolor="#cacaca" width="118">Total :</td>
                        <td class='align_right'>BD. <?php echo number_format($totalAmt,3); ?></td>
                        <td width="83"></td>
                    </tr>
                </table>
            <?php } ?>
            <?php if(isset($furniture_division_total)) { ?>
                <table class="table table-bordered table_new" style="float: right; width: 440px;">
                    <tr>
                        <td class="bg_grey" bgcolor="#cacaca" width="118">Total :</td>
                        <td class='align_right'><?php echo $records[0]['currency_code'].". ".number_format($furniture_division_total,3); ?></td>
                        <td width="83"></td>
                    </tr>
                </table>
            <?php } 
		}
		else{
			?>
			<tr>
				<td colspan="7">No records available</td>
			</tr>
			<?php
		}
		?>
	</table>
</form>
<br />
<div class="hidePrint" style='clear:both'>
    Legend: <span class='alert alert-success'>Confirmed</span> <span class='alert alert-error'>Closed</span> <span class='alert alert-info'>Open</span> <span class='alert alert-warning'>Draft</span>
</div><br /><br />

<script>
$( "#report_date_from" ).datepicker({ maxDate: '+0d' });
$( "#report_date_to" ).datepicker({ maxDate: '+0d' });
$(document).ready(function(){

	$curr_quotation_type = $("#quotation_type").val();
	if($curr_quotation_type == "furniture") {
		$(".divisionOuter").show();
	}

	$("#quotation_type").change(function(){
		if($(this).val() == "furniture") {
			$(".divisionOuter").show(1000);
		} else {
			$(".divisionOuter").hide(500);
		}
	});
});
</script>