<h3>New Quotation</h3>


<div>
	<?php 
	echo anchor('transactions/quotation_client_project','1: Client and Project','class="badge"'). ' '.
	anchor('transactions/quotation_kitchens','2: Kitchens','class="badge"'). ' '.
	anchor('transactions/quotation_worktops','3: Worktops','class="badge"'). ' '.
	anchor('transactions/quotation_appliances','4: Appliances','class="badge"'). ' '.
	anchor('transactions/quotation_covering_letter','5: Covering Letter and Other','class="badge badge-info"');
	?>
</div>



<h4>Step 5 of 5: Covering Letter</h4>


<div class="sds alert">
<?php
echo $this->session->flashdata('response');
?>


<?php 
$this->load->view('transactions/quotation_covering_letter/quotation_status_update',array('quotation_status',$quotation_status));

?>
</div>
<form id="covering_letter" name="covering_letter"
	class="form-horizontal" method="post"
	action="<?php echo site_url('transactions/quotation_covering_letter/do_update');?>">

	<div class="control-group">
		<label class="control-label"> Quotation No </label>
		<div class="controls">
			<?php 
			echo $quotation_number.'-'.$quotation_revision_number;
			?>
		</div>
	</div>
	<div class="control-group">
		<label class="control-label"> Quotation Date </label>
		<div class="controls">
			<?php 
			echo date('M d, Y',strtotime($quotation_date));
			?>
		</div>
	</div>
	<div class="control-group">
		<label class="control-label"> Salesman Name </label>
		<div class="controls">
			
			
			
			
		<?php if(isset($salesman_name)) {
						echo $salesman_name;
					} else {
						echo $this->session->userdata('user_name'); 
					}	?>
		</div>
	</div>
    <div class="control-group">
		<label class="control-label">Total</label>
		<div class="controls">
			<input type="text" name="total_bd" id="total_bd"
				value="<?php if (isset($quotation_total))
										echo $quotation_total; ?>" readonly="readonly" />
		</div>
	</div>
	<div class="control-group">
		<label class="control-label">Discount %</label>
		<div class="controls">
			<input type="text" name="discount_percentage" id="discount_percentage"
				value="<?php if (isset($discount_percentage))
										echo $discount_percentage;
									else echo set_value('discount_percentage') ;?>" />
		</div>
	</div>
	<div class="control-group">
		<label class="control-label">Discount</label>
		<div class="controls">
			<input type="text" name="discount_bd" id="discount_bd"
				value="<?php if (isset($quotation_discount_amount))
										echo $quotation_discount_amount; ?>"  />
		</div>
	</div>
    <div class="control-group">
		<label class="control-label">GRAND TOTAL</label>
		<div class="controls">
			<input type="text" name="grand_totoal_bd" id="grand_totoal_bd"
				value="<?php if (isset($quotation_net_total))
										echo $quotation_net_total; ?>"   />
		</div>
	</div>
	<br>
    <?php if(isset($payment_terms)) { ?>
    <div class="control-group">
		<label class="control-label">Payment:</label>
		<div class="controls">
			<?php 
			$id='id="payment_id"';
			echo form_dropdown('payment_terms', $payment_terms, $payment_id,$id); ?>
            <input type="hidden" name="paymentterm_id" id="paymentterm_id"  />
		</div>
	</div>
    <div class="control-group">
		<label class="control-label"></label>
		<div class="controls">
			<span id="payment_terms_text">Select a Payment Term</span>
		</div>
	</div>
	
	<div class="control-group">
		<label class="control-label"></label>
		<div class="controls">
		        <input type="submit" name="update" id="update" value="Update Quotation" class="btn btn-primary" />

                </div>

	</div>
    <br><br>
    <?php
	}
	?>
	<strong>Covering Letter Content</strong>
<br><br>

	<div class="control-group">
		<label class="control-label">Template</label>
		<div class="controls">
		
			
		<?php $id='id="cl_template_id"';
		echo form_dropdown('cl_template_id', $covering_letter_template, $cl_template_id,$id); ?>
			<input type="hidden" name="update_close" id="update_close">
		</div>
	</div>
	<div class="control-group">
		<label class="control-label">Content</label>
		<div class="controls">
			<textarea class="textarea" cols="100" rows="20"
				name="cl_template_content" id="cl_template_content">

				<?php echo $cl_content; ?></textarea>
		</div>
	</div>

	<a href="<?php echo site_url('transactions/quotation_appliances'); ?>"
		class="btn">Back: Appliance Details</a> <input type="submit"
		name="update" id="update" value="Update Quotation"
		class="btn btn-primary" /> <input type="submit" name="update"
		id="update_close" value="Update Quotation & Close"
		class="btn btn-primary" /> <input type="button" name="update"
		id="close" value="Close" class="btn btn-primary" />

</form>
<script>

$("#quotation_status").change(function() {
	var status_value=$('#quotation_status').val();
	if(status_value=='Closed')
	{
		$('#reason_for_close').show();
		$('#status_cpr').hide();
		$("#update_quotation_status").val('Update and print');
	}
	if(status_value=='Open' || status_value=='Draft' )
	{
		$('#reason_for_close').hide();
		$('#status_cpr').hide();
		if(status_value=='Open') {
			$("#update_quotation_status").val('Update and print');
		} else {
			$("#update_quotation_status").val('Update');
		}
		
	}
	
	if(status_value=='Confirmed')
	{
		$('#reason_for_close').hide();
		$('#status_cpr').show();
		$("#update_quotation_status").val('Update and print agreement');
	}
	
}
);	
$("#cl_template_id").change(function() {
	var template_id=$('#cl_template_id').val();
	if(template_id>0){
		
		$.ajax({
			url: '<?php echo site_url("transactions/quotation_covering_letter/get_covering_contents")?>/'+ template_id ,
			type: "POST",
			data: "type=image",
			dataType: "html",
			success: function(data) {
				
				var editorInstance = editor.data('wysihtml5').editor;
				editorInstance.setValue(data, true);
			}
		});
	}
	else{
		var editorInstance = editor.data('wysihtml5').editor;
		editorInstance.setValue('', true);
	}
});
$('#close').click(function(){
	document.location.href='<?php echo site_url('transactions/quotations'); ?>';
});

$("#discount_percentage").focusout(function() {
	var discount_percentage = $('#discount_percentage').val();
	if(isNaN(discount_percentage)) {
		return false;
	}
	var total_bd = $('#total_bd').val();
	var discount_bd = total_bd * discount_percentage/100;
	discount_bd=Math.round(discount_bd*1000)/1000;
	var grand_totoal_bd = total_bd - discount_bd;
	
	$('#discount_bd').val(discount_bd);
	$('#grand_totoal_bd').val(grand_totoal_bd);
	return true;
	
	
});

$("#discount_bd").focusout(function() {
	var discount_bd = $('#discount_bd').val();
	if(isNaN(discount_bd)) {
		return false;
	}
	var total_bd = $('#total_bd').val();
	var discount_percentage = discount_bd/total_bd*100; 
	discount_percentage=Math.round(discount_percentage*1000000000)/1000000000;
	var grand_totoal_bd = total_bd - discount_bd;
	
	$('#discount_percentage').val(discount_percentage);
	$('#grand_totoal_bd').val(grand_totoal_bd);
	return true;
	
	
});

$("#grand_totoal_bd").focusout(function() {
	var total_bd = $('#total_bd').val();
	var discount_bd=$('#total_bd').val() - $('#grand_totoal_bd').val();
	var discount_percentage = discount_bd/total_bd*100;
	discount_percentage=Math.round(discount_percentage*1000000000)/1000000000;
	$('#discount_bd').val(discount_bd);
	$('#discount_percentage').val(discount_percentage);
});




<?php if(isset($payment_terms)) { ?>

var payment_texts = new Array();
<?php foreach ($payment_terms_text as $key=>$val) {
	echo "payment_texts[$key]='$val';\n";
}
?> 
if($("#payment_id").val() != 0 ) {
	$("#payment_terms_text").html(payment_texts[$("#payment_id").val()]);
	$("#paymentterm_id").val($("#payment_id").val());
} 

$("#payment_id").change(function()
{
	if($("#payment_id").val() != 0 ) {
		$("#payment_terms_text").html(payment_texts[$("#payment_id").val()]);
		$("#paymentterm_id").val($("#payment_id").val());
	}else {
		$("#payment_terms_text").html('Select a Payment Term');
		$("#paymentterm_id").val('');
	}
});

<?php 
} 
?>
</script>